﻿// Author: godsong. 06.10.07

function highlight()
{
	this._markdivid = new Array();
	this._markcount = new Array();
}

function isNullorEmpty(str) {
    if (typeof (str) == 'undefined')
        return true;
    if (!str)
        return true;
    return (str == null || str == 'undefined' || str == 'null');
}
function escapeRegExp(str) {
    return str.replace(/\\/gm, "\\\\").replace(/([\f\b\n\t\r[\^$|?*+(){}])/gm, "\\$1"); // string
}

highlight.prototype.getFirstElement = function(index, domelement)
{
	if (!domelement)
		domelement = document.body;
	var id = this._markdivid[index];
	var elements = domelement.getElementsByTagName('FONT');
	for(var i = 0; i < elements.length; i++)
	    if(elements[i].id == id)
	        return elements[i];
	return null;
}

//function markupReplace(node, keyword, fid, bgColor, color, enablemouseover, ischinese)
//{
//	for (var i = 0; i < node.childNodes.length; i++) {
//		switch (node.childNodes[i].nodeType) {
//			case 1: // ELEMENT_NODE
//			case 5: // ENTITY_REFERENCE_NODE
//				markupReplace(node.childNodes[i], keyword, fid, bgColor, color, enablemouseover, ischinese);
//				break;
//			case 3: // TEXT_NODE
//				//node.insertBefore(ff, node.childNodes[i]);
//				var txts = null;
//				if(ischinese == true)
//				    txts = node.childNodes[i].nodeValue.split(RegExp(dojo.string.escapeRegExp(keyword), 'ig'));
//				else
//				    txts = node.childNodes[i].nodeValue.split(RegExp("(?=\\b)" + dojo.string.escapeRegExp(keyword) + "(?=\\b)", 'ig'));
//			
//				for (var j = 0; j < txts.length; j++)
//				{							
//				
//					var newtxt = document.createTextNode(txts[j]);
//					node.insertBefore(newtxt, node.childNodes[i]);
//					i++;
//					if (j != txts.length - 1)
//					{
//						var newspan = document.createElement('div');
//						newspan.setAttribute('onclick', 'onHighlightFontClick(this)');
//						if(enablemouseover)
//						{
//						    newspan.setAttribute('onmouseover', 'onHighlightFontMouseOver(this, event)');
//						    //newspan.setAttribute('onmouseout', 'onHighlightFontMouseOut(this)');
//						}
//						newspan.style.display = "inline";
//						var newfont = document.createElement('font');
//						newfont.id = fid;
//						newfont.style.backgroundColor=bgColor;
//						newfont.style.color=color;
//						//newfont.style.cursor="pointer";
//						var newfonttxt = document.createTextNode(keyword);
//						newfont.appendChild(newspan);
//						newspan.appendChild(newfonttxt);
//						//newfont.appendChild(newfonttxt);
//						node.insertBefore(newfont, node.childNodes[i]);
//						i++;	
//					}
//				}
//				node.removeChild(node.childNodes[i]);
//				
//				//node.childNodes[i].nodeValue.replace(RegExp("(?![^0-9a-zA-Z_])" + keyword + "(?=[^0-9a-zA-Z_])", 'ig'), replacewith );						
//				i--;
//				break;
//			default:
//				break;
//		}
//	}
//}

var ffmarkedcount = 0;

function markupReplace(keyword, index, node, bgcolor, txtcolor, enablemouseover, ischinese, markmaxcount, borderbottomstyle, onclickFunc, onmouseoverFunc, onmouseoutFunc, existIndexArray, rankterm, pn)
{
    if((markmaxcount == null && ffmarkedcount > 0) || (markmaxcount != null && markmaxcount == ffmarkedcount))
        return;
	for (var i = 0; i < node.childNodes.length; i++) {
		switch (node.childNodes[i].nodeType) {
			case 1: // ELEMENT_NODE
			case 5: // ENTITY_REFERENCE_NODE
			    if(node.childNodes[i].tagName != 'FONT')// && node.childNodes[i].tagName != 'SPAN')    
			        markupReplace(keyword, index, node.childNodes[i], bgcolor, txtcolor, enablemouseover, ischinese, markmaxcount, borderbottomstyle, onclickFunc, onmouseoverFunc, onmouseoutFunc, existIndexArray, rankterm, pn);
				break;
case 3: // TEXT_NODE
    var txts = null;
    var nodetxt = '+++' + node.childNodes[i].nodeValue + '+++';
    if (ischinese == true)
        txts = nodetxt.split(RegExp(escapeRegExp(keyword), 'ig'));
    else if (keyword.charAt(keyword.length - 1) == '*')
        txts = nodetxt.split(RegExp("(?=\\b)" + escapeRegExp(keyword.substring(0, keyword.length - 1)), 'ig'));
    else
        txts = nodetxt.split(RegExp("(?=\\b)" + escapeRegExp(keyword) + "(?=\\b)", 'ig'));
    /*if(txts!=null){
    var ntxts = new Array();
    for(var k = 0; k < txts.length; k++){
    if(txts[k].length > 0)
    ntxts.push(txts[k]);
    }
    txts = ntxts;
    }*/
    if (txts.length > 0) {
        txts[0] = txts[0].substring(3);
        txts[txts.length - 1] = txts[txts.length - 1].substring(0, txts[txts.length - 1].length - 3);
    }
    if (!ischinese && txts != null) {
        if (txts.length > 1) {
            keyword = node.childNodes[i].nodeValue.substring(txts[0].length, txts[0].length + keyword.length);
        }
    }
    var clen = 0;
    var old_keyword = keyword;
    for (var j = 0; j < txts.length; j++) {
        var newtxt = document.createTextNode(txts[j]);
        node.insertBefore(newtxt, node.childNodes[i]);
        i++;
        //if (j != txts.length - 1 && (!(markmaxcount == null && ffmarkedcount > 0) || (markmaxcount != null && markmaxcount == ffmarkedcount)))
        if (j != txts.length - 1) {
            var sidx = node.childNodes[i].nodeValue.indexOf(txts[j], clen);
            if (sidx != -1) {
                sidx += txts[j].length;
                var eidx = node.childNodes[i].nodeValue.indexOf(txts[j + 1], sidx);

                if (eidx != -1) {
                    if (eidx == sidx)
                        eidx = sidx + old_keyword.length;
                    keyword = node.childNodes[i].nodeValue.substring(sidx, eidx);
                }
            }
            clen += txts[j].length + keyword.length;
            if ((markmaxcount == null && ffmarkedcount == 0) || (markmaxcount != null && markmaxcount > ffmarkedcount)) {
                var newfont = document.createElement('font');
                if (ffmarkedcount == 0) {
                    newfont.id = 'highlight-font-' + index;
                } else {
                    newfont.id = 'highlight-font-' + index;
                }
                newfont.style.backgroundColor = bgcolor;
                newfont.style.color = txtcolor;
                var newfonttxt = document.createTextNode(keyword);
                newfont.appendChild(newfonttxt);

                if (borderbottomstyle != null)
                    newfont.style.borderBottom = borderbottomstyle;


                //dojo.connect(newfont, "onclick", onclickFunc == null ? function (evt) { onHighlightFontClick(evt.srcElement); } : function (evt) { onclickFunc(evt.srcElement); });

                //dojo.connect(newfont, "oncontextmenu", function (evt) { onHighlightFontContextMenu(evt.srcElement); });

                if (enablemouseover) {
                    //dojo.connect(newfont, "onmouseover", onmouseoverFunc == null ? function (event) { onHighlightFontMouseOver(null, event); } : function (event) { onmouseoverFunc(null, event); });
                    //dojo.connect(newfont, "onmouseout", onmouseoutFunc == null ? function (event) { onHighlightFontMouseOut(null, event); } : function (event) { onmouseoutFunc(null, event); });
                }
                if (!isNullorEmpty(rankterm))
                    newfont.setAttribute('rankterm', rankterm);
                if (!isNullorEmpty(pn))
                    newfont.setAttribute('pn', pn);
                node.insertBefore(newfont, node.childNodes[i]);
                i++;
                ffmarkedcount++;
                //alert(ffmarkedcount + '##' + markmaxcount);
            }
            else {
                var newtxt = document.createTextNode(keyword);
                node.insertBefore(newtxt, node.childNodes[i]);
                i++;
            }
        }
    }
    node.removeChild(node.childNodes[i]);
    i--;
    break;
			default:
				break;
		}
	}
}

highlight.prototype.mark = function(keyword, index, domelement, bgcolor, txtcolor, enablemouseover, ischinese, markmaxcount, borderbottomstyle, onclickFunc, onmouseoverFunc, onmouseoutFunc, existIndexArray, rankterm, pn)
{
	if (!domelement)
		domelement = document.body;
		
	if (index >= 0 && keyword && keyword != '')
	{
	    if (true)//navigator.appName != "Microsoft Internet Explorer")
		{	
            ffmarkedcount = 0;
            markupReplace(keyword, index, domelement, bgcolor, txtcolor, enablemouseover, ischinese, markmaxcount, borderbottomstyle, onclickFunc, onmouseoverFunc, onmouseoutFunc, existIndexArray, rankterm, pn)
            var fid = 'highlight-font-' + index;
            var noid = domelement.getElementsByTagName('FONT');
            for (var i = 0; i < noid.length; ++i)
           	{
           		
           		        		
                if (noid[i].id == fid)
                    count++;
            }
            this._markdivid[index] = fid;
            this._markcount[index] = ffmarkedcount;
            return (ffmarkedcount > 0);
		}
	else
		{
			baserange = document.body.createTextRange();
			baserange.moveToElementText(domelement);
			workingrange = document.body.createTextRange();
			workingrange.moveToElementText(domelement);
	        var markedcount = 0;
	        var tagednoid = domelement.getElementsByTagName('FONT');
	        var tagedexistnoid = new Array();
	        if(existIndexArray != null && existIndexArray.length > 0)
			{
			    for (var i = 0; i < tagednoid.length; i++)
	                 for(var j = 0; j < existIndexArray.length; j++)
	                 {
	                    var pid = 'highlight-font-' + index;//existIndexArray[j];
	                    if (tagednoid[i].id == pid)
		 	                tagedexistnoid[tagedexistnoid.length] = tagednoid[i];
	                 }
			}
			 while (workingrange.findText(keyword, 9999999, 2) && baserange.inRange(workingrange))
			 {  
			    if(workingrange.htmlText.indexOf('<FONT') == -1 && (workingrange.htmlText.indexOf('<SPAN') == -1 || workingrange.htmlText.indexOf('onQueryTableContextMenu') != -1))
			    {
			        var shouldmark = true;
			        if(tagedexistnoid.length > 0)
			        {
			            for(var i = 0; i < tagedexistnoid.length; i++)
			            {
			                var parentrange = document.body.createTextRange();
	 	                    parentrange.moveToElementText(tagedexistnoid[i]);
	 	                    shouldmark = !parentrange.inRange(workingrange);
	 	                    if(!shouldmark)
	 	                        break;
			            }
			        }
			 	    if(shouldmark)
			 	    {
			 	        workingrange.execCommand('ForeColor', 'false', txtcolor);
			 	        workingrange.execCommand('BackColor', 'false', bgcolor);
			 	        markedcount++;
			 	    }
			 	    if((markmaxcount == null && markedcount > 0) || (markmaxcount != null && markmaxcount == markedcount))
			 	        break;
		 	        workingrange.setEndPoint('StartToEnd', workingrange);
		 	        workingrange.setEndPoint('EndToEnd', baserange);
			 	}
			 	else if(workingrange.htmlText != '')
			 	{
			 	    workingrange.setEndPoint('StartToEnd', workingrange);
			 	    workingrange.setEndPoint('EndToEnd', baserange);
			 	}
			 	else
			 	    break;
			 }	
			 
			 var noid = domelement.getElementsByTagName('FONT');
			 var count = 0;
	 		 this._markdivid[index] = 'highlight-font-' + index;	 		 
			 for (var i = 0; i < noid.length; ++i)
			 {
				 if (noid[i].id == '' && ToDBC(noid[i].innerText.toLowerCase()) == keyword.toLowerCase())
				 {
				 	noid[i].id = this._markdivid[index];
				 	if(i == 0)
				 	{
				 		noid[i].id = 'highlight-font-'+index;//keyword;
				 	}
				 	
				 	if(borderbottomstyle != null)
				 	    noid[i].style.borderBottom = borderbottomstyle;
				 	
				 	//dojo.connect(noid[i], "onclick", onclickFunc == null ? function(evt){ onHighlightFontClick(evt.srcElement); } : function(evt){ onclickFunc(evt.srcElement); });
				 	
				 	//dojo.connect(noid[i], "oncontextmenu", function(evt){ onHighlightFontContextMenu(evt.srcElement); });
				 	
				 	if(enablemouseover)
				 	{
    				 	//dojo.connect(noid[i], "onmouseover", onmouseoverFunc == null ? function(evt){ onHighlightFontMouseOver(evt.srcElement, evt); } : function(evt){onmouseoverFunc(evt.srcElement, evt)});				 	
    				 	//dojo.connect(noid[i], "onmouseout", onmouseoutFunc == null ? function(evt){ onHighlightFontMouseOut(evt.srcElement, evt); } : function(evt){ onmouseoutFunc(evt.srcElement, evt); });				 	
				 	}
				 	
				 	if(!isNullorEmpty(rankterm))
				 	    noid[i].setAttribute('rankterm', rankterm);
				 	if(!isNullorEmpty(pn))
				 	    noid[i].setAttribute('pn', pn);
				 	count++;
				 }
			 }
			 this._markcount[index] = count;
			 return (count > 0);
		}
	}	
}

function ToDBC(str)//全角转半角
{ 
    var result="";
    for (var i = 0; i < str.length; i++)
    {
        if (str.charCodeAt(i)==12288)
        {
            result+= String.fromCharCode(str.charCodeAt(i)-12256);
            continue;
        }
        if (str.charCodeAt(i)>65280 && str.charCodeAt(i)<65375)
            result+= String.fromCharCode(str.charCodeAt(i)-65248);
        else 
            result+= String.fromCharCode(str.charCodeAt(i));
    } 
    return result;
} 

//highlight.prototype.mark = function(keyword, index, domelement, bgcolor, txtcolor, enablemouseover, ischinese)
//{
//	if (!domelement)
//		domelement = document.body;
//	if (index >= 0 && keyword && keyword != '')
//	{
////	if (this._markcount[index] > 0)
////		this.UnMark(index);

//	if (navigator.appName != "Microsoft Internet Explorer")
//		{	
//			var fid = 'highlight-font-' + index;
//			this._markdivid[index] = fid;
//			//var fstyle = "cursor:pointer; background-color:"+bgcolor+"; color:"+txtcolor;
//			//var replacewith = "<font id='"+fid+"' style='"+fstyle+"' onclick='doMarkupSearch(this)'>$&</font>";
//			markupReplace(domelement, keyword, fid, bgcolor, txtcolor, enablemouseover, ischinese);
//			//domelement.innerHTML = domelement.innerHTML.replace(RegExp("(?![^0-9a-zA-Z_])" + keyword + "(?=[^0-9a-zA-Z_])", 'ig'), replacewith );
//			var count = 0;
//			var noid = domelement.getElementsByTagName('FONT');
//			for (var i = 0; i < noid.length; ++i)
//			 {
//				 if (noid[i].id == fid)
//				 {
//				 	count++;
//				 }
//			 }
//			 this._markcount[index] = count;
//		}
//	else
//		{

//				baserange = document.body.createTextRange();
//				baserange.moveToElementText(domelement);
//				workingrange = document.body.createTextRange();
//				workingrange.moveToElementText(domelement);
//			
//			 while (workingrange.findText(keyword, 9999999, 2) && baserange.inRange(workingrange))
//			 {
//			 	workingrange.execCommand('ForeColor', 'false', txtcolor);
//			 	workingrange.execCommand('BackColor', 'false', bgcolor);
//			 	workingrange.setEndPoint('StartToEnd', workingrange);
//			 	workingrange.setEndPoint('EndToEnd', baserange);
//			 	break;
//			 }
//			 
//			 var noid = domelement.getElementsByTagName('FONT');
//			 var count = 0;
//	 		 this._markdivid[index] = 'highlight-font-' + index;
//	 		 
//			 for (var i = 0; i < noid.length; ++i)
//			 {
//				 if (noid[i].id == '')
//				 {
//				 	noid[i].id = this._markdivid[index];
//				 	dojo.connect(noid[i], "onclick", function(evt){ onHighlightFontClick(evt.srcElement); });
//				 	if(enablemouseover)
//				 	{
//    				 	dojo.connect(noid[i], "onmouseover", function(evt){ onHighlightFontMouseOver(evt.srcElement, evt); });				 	
//    				 	dojo.connect(noid[i], "onmouseout", function(evt){ onHighlightFontMouseOut(evt); });				 	
//				 	}				 	
////				 	dojo.connect(noid[i], "onmouseover", function(evt){ onHighlightFontMouseOver(evt.srcElement); });				 	
////				 	dojo.connect(noid[i], "onmouseout", function(evt){ onHighlightFontMouseOut(evt.srcElement); });				 	
////				 	dojo.connect(noid[i], "oncontextmenu", function(evt){ onHighlightFontContextMenu(evt.srcElement); });				 	
//				 	//noid[i].style.cursor = "pointer";	
//				 	count++;
//				 }
//			 }
//			 this._markcount[index] = count;
//		}
//	}	
//}
	
highlight.prototype.changeColor = function(index, domelement, bgcolor, txtcolor)
{
	if (!domelement)
		domelement = document.body;
	if (index >= 0 && index <= this._markdivid.length)
	{
			 var thedivid = this._markdivid[index];			 
			 var theele = domelement.getElementsByTagName('FONT');
			 	for (var i = 0; i < theele.length; ++i)
			 	{
			 		if (theele[i].id == thedivid)
			 			{
			 				theele[i].style.backgroundColor = bgcolor;
			 				theele[i].style.color = txtcolor;
			 			}
			 }
	}
}

highlight.prototype.unMark = function(index, domelement)
{
	if (!domelement)
		domelement = document.body;
	if (index >= 0 && index <= this._markdivid.length)
	{
			 var thedivid = this._markdivid[index];
			 var theele = domelement.getElementsByTagName('FONT');
			 var isend = false;
			 while (!isend)
			 {
			 	isend = true;
			 	for (var i = 0; i < theele.length; ++i)
			 	{			 		
			 		if (theele[i].id == thedivid)
			 			{
			 				if (navigator.appName == "Microsoft Internet Explorer")
			 				{
			 					theele[i].removeNode(false);
			 				}
			 				else
			 				{
				 				var parentnode = theele[i].parentNode;
				 				var txtnode1 = theele[i].previousSibling;
				 				var cnodes = theele[i].childNodes;//[0].childNodes;
			 					parentnode.insertBefore(cnodes[0], theele[i]);			 				
				 				theele[i].parentNode.removeChild(theele[i]);
				 				if (txtnode1.nodeType == 3)
				 				{
					 				var nextnode = txtnode1.nextSibling;
					 				while (nextnode && nextnode.nodeType == 3)
					 				{
					 					txtnode1.nodeValue = txtnode1.nodeValue + nextnode.nodeValue;
					 					nextnode.parentNode.removeChild(nextnode);
					 					nextnode = txtnode1.nextSibling;	 					
					 				}
				 				}
			 				}
			 				isend = false;
			 				break;
			 			}
			 	}
			 }
			 this._markcount[index] = 0;
	}
}

highlight.prototype.getCount = function(index)
{
	if (index >= 0 && index <= this._markdivid.length)
	{
		return this._markcount[index];
	}
}

highlight.prototype.clear = function()
{
    var	domelement = document.body;
    var theele = domelement.getElementsByTagName('font');
    for (var i = theele.length-1; i >=0; i--)
    {
        if (theele[i].id.indexOf('highlight-font-')!=-1)
        {
            //if (navigator.appName == "Microsoft Internet Explorer")
            {
                theele[i].removeNode(false);
            }
        }
    }
	for (var index = 0; index <= this._markdivid.length; index++)
	{
			 this._markcount[index] = 0;
	}
}