<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="*|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="br">
    <br />
  </xsl:template>
  
  	<xsl:template match="/Result/Total">
		<br />
		<xsl:if test="normalize-space(/Result/Total) =0">
			<tr>
				<td>暂时没有与此专利相关的信息。</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template match="/Result/PN"></xsl:template>
	
  <xsl:template match="/Result/CommentList">
    <br />
    <table cellSpacing="2" cellPadding="0" width="100%" border="0">
      <xsl:for-each select="Comment">
        <tr >
          <td align="center" style="font-size:14px">
            <xsl:value-of select="normalize-space(Title)" />
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:apply-templates select="Content" />
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
  
	<xsl:template match="/Result/FileNoteList">
		<br />
    <table cellSpacing="2" cellPadding="0" width="100%" border="0">
      <xsl:for-each select="FileNote">
        <tr >
          <td align="center" style="font-size:14px">
            <xsl:value-of select="normalize-space(Title)" />
          </td>
        </tr>
    

      <xsl:for-each select="URL">
        <tr>
          <td>
          <span style="vertical-align:middle">
            <xsl:attribute name="class">querytag-w</xsl:attribute>
            <xsl:attribute name="onmouseover">onQuerytabContentMouseOver(this)</xsl:attribute>
            <xsl:attribute name="onmouseout">onQuerytabContentMouseOut(this)</xsl:attribute>
            <xsl:attribute name="onclick">
              onQueryTableClick(this, 'n', '<xsl:value-of select="normalize-space(../../../PN)" />','<xsl:value-of select="normalize-space(FileIndex)" />')
            </xsl:attribute>
            <xsl:value-of select="normalize-space(Word)" />
          </span>
          </td>
        </tr>
      </xsl:for-each>
      </xsl:for-each>
    </table>
	</xsl:template>
  <xsl:template match="UserID" />
  <xsl:template match="Permission" />
</xsl:stylesheet> 

