<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="Result">
		<table cellspacing="0" cellpadding="4" border="1" id="rotatebookmarklist-table" >
      <tr class="querylist-title-1">
        <td>
          编号
        </td>
        <td>
          查询表达式
        </td>
        <td>
          结果数目
        </td>
        <td>
          最大相关度
        </td>
        <td align="center">
          <input type="checkbox" style="width:12px; height:12px;" id="rotatebookmarklist-table-titlecheckbox" onclick="doCheckAllStatBookmarks()">
				  </input>
        </td>
        <td>
          <span>删</span>
        </td>
      </tr>
			<xsl:for-each select="BookmarkList/Bookmark">
				<tr>
       
          <td valign="top" align="left" >
						<span style="color:blue"  onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
							<xsl:attribute name="class">quickproject-name</xsl:attribute>
							<xsl:attribute name="onclick">doBookmarkClick(this, '<xsl:value-of select="normalize-space(Database)" />', '<xsl:value-of select="normalize-space(Option)" />', 1, 's')</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="normalize-space(CreateDate)" /></xsl:attribute>
              SS/<xsl:value-of select="normalize-space(Number)" />
						</span>
          </td>
    
          <td valign="top" align="left">
            <span onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
              <xsl:attribute name="class">quickproject-name</xsl:attribute>
              <xsl:attribute name="onclick">doBookmarkClick(this, '<xsl:value-of select="normalize-space(Database)" />', '<xsl:value-of select="normalize-space(Option)" />', 2, 's')</xsl:attribute>
              <xsl:value-of select="normalize-space(QueryText)" />
            </span>
          </td>
          <td>
            <span>
              <xsl:value-of select="normalize-space(Count)" />
            </span>
          </td>
          <td>
            <span>
              <xsl:if test="normalize-space(TopRank) != '0'">
                <xsl:value-of select="normalize-space(TopRank)" />%
              </xsl:if>
              <xsl:if test="normalize-space(TopRank) = '0'">
                --
              </xsl:if>
            </span>
          </td>
          <td valign="top" align="center">
            <input type="checkbox" style="width:12px; height:12px;" >
              <xsl:attribute name="caseValue">SS/<xsl:value-of select="normalize-space(Number)" /></xsl:attribute>
            </input>
          </td>
          <td align="center">
            <img class="imglink" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除">
					    <xsl:attribute name="onclick">deleteStatBookmarks(this, '<xsl:value-of select="normalize-space(Number)" />', '<xsl:value-of select="normalize-space(Id)" />')</xsl:attribute>
				    </img>  
          </td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>


