<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/Result">
  <table cellpadding="0" width="100%" style="background-color:#EDF1F8;">
    <tr>
      <td>
        <table cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <td align="right">
              <img alt="关闭" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" class="imglink" onclick="onSelectTypeChange(null)" />&#160;&#160;
            </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td>
        <table align="center" cellpadding="0" border="0" >
          <tr style="width:90%">
            <td style="width:80px" nowrap="true" align="right">
              <b>请输入关键词</b>
            </td>
            <td style="width:126px" align="left">
              <select class="smallcombo" style="z-index:9900" onchange="setComboBoxDataUrl(this);" id="booleaninput-select-1">
                <option selected="true" value="B">关键词</option>
                <option value="TTL">标题</option>
                <option value="IW">索引词</option>
                <option value="R">排序概念</option>
                <option value="ABST">摘要</option>
                <option value="ACLM">权利要求</option>
                <option value="SPEC">说明</option>
                <option value="AN">公司</option>
                <option value="ANN">标准化的公司</option>
                <option value="CCL">美国分类</option>
                <option value="PN">专利号</option>
                <option value="REF">美国专利引用</option>
                <option value="IN">发明人</option>
                <option value="APD">申请日</option>
                <option value="ISD">公开日 </option>
                <option value="IC">发明人所在城市</option>
                <option value="IS">发明人所在州</option>
                <option value="ICN">发明人所在国家</option>
                <option value="LREP">代理</option>
                <option value="AC">公司所在城市</option>
                <option value="ICL">国际分类 </option>
                <option value="APN">申请号</option>
                <option value="ACN">公司所在国家 </option>
                <option value="EXP">主审查员</option>
                <option value="PARN">父专利信息</option>
                <option value="EXA">助理审查员</option>
                <option value="PRIR">国际优先数据</option>
                <option value="FREF">国际专利引用</option>
                <option value="OREF">其他引用</option>
                <option value="APT">应用类型</option>
                <option value="PCT">PCT信息</option>
                <option value="GOVT">政府权益</option>
                <option value="RLAP">相关美国申请信息</option>
              </select>
            </td>
            <td style="width:98%" align="left">
              <select dojoType="ComboBox" dataUrl="invokejson.do?sf=CheckKW&#38;sp=%{searchString}" class="statsitic-search-input" style="width:95%"  autoComplete="false" mode="remote" widgetId="booleaninput-select-1-value" id="booleaninput-select-1-value" ></select>
            </td>
          </tr>
          <tr>
            <td align="right">
              <select class="smallcombo" id="booleaninput-select-andor-2">
                <option value="and">AND</option>
                <option value="or">OR</option>
                <option value="andnot">ANDNOT</option>
              </select>
            </td>
            <td>
              <select class="smallcombo" style="z-index:9900" onchange="setComboBoxDataUrl(this);" id="booleaninput-select-2">
                <option selected="true" value="B">关键词</option>
                <option value="TTL">标题</option>
                <option value="IW">索引词</option>
                <option value="R">排序概念</option>
                <option value="ABST">摘要</option>
                <option value="ACLM">权利要求</option>
                <option value="SPEC">说明</option>
                <option value="AN">公司</option>
                <option value="ANN">标准化的公司</option>
                <option value="CCL">美国分类</option>
                <option value="PN">专利号</option>
                <option value="REF">美国专利引用</option>
                <option value="IN">发明人</option>
                <option value="APD">申请日</option>
                <option value="ISD">公开日 </option>
                <option value="IC">发明人所在城市</option>
                <option value="IS">发明人所在州</option>
                <option value="ICN">发明人所在国家</option>
                <option value="LREP">代理</option>
                <option value="AC">公司所在城市</option>
                <option value="ICL">国际分类 </option>
                <option value="APN">申请号</option>
                <option value="ACN">公司所在国家 </option>
                <option value="EXP">主审查员</option>
                <option value="PARN">父专利信息</option>
                <option value="EXA">助理审查员</option>
                <option value="PRIR">国际优先数据</option>
                <option value="FREF">国际专利引用</option>
                <option value="OREF">其他引用</option>
                <option value="APT">应用类型</option>
                <option value="PCT">PCT信息</option>
                <option value="GOVT">政府权益</option>
                <option value="RLAP">相关美国申请信息</option>
              </select>
            </td>
            <td align="left">
              <select dojoType="ComboBox"  class="statsitic-search-input" style="width:95%"  autoComplete="false" mode="remote" widgetId="booleaninput-select-2-value" id="booleaninput-select-2-value" >
                <xsl:attribute name="dataUrl">invokejson.do?sf=CheckKW&#38;sp=%{searchString}</xsl:attribute>
                <xsl:attribute name="dojoType">ComboBox</xsl:attribute>
                <xsl:attribute name="widgetId">booleaninput-select-2-value</xsl:attribute>
                
              </select>
              
            </td>
          </tr>
          <tr>
            <td align="right">
              <select class="smallcombo" id="booleaninput-select-andor-3">
                <option value="and">AND</option>
                <option value="or">OR</option>
                <option value="andnot">ANDNOT</option>
              </select>
            </td>
            <td>
              <select class="smallcombo" style="z-index:9900" onchange="setComboBoxDataUrl(this);" id="booleaninput-select-3">
                <option selected="true" value="B">关键词</option>
                <option value="TTL">标题</option>
                <option value="IW">索引词</option>
                <option value="R">排序概念</option>
                <option value="ABST">摘要</option>
                <option value="ACLM">权利要求</option>
                <option value="SPEC">说明</option>
                <option value="AN">公司</option>
                <option value="ANN">标准化的公司</option>
                <option value="CCL">美国分类</option>
                <option value="PN">专利号</option>
                <option value="REF">美国专利引用</option>
                <option value="IN">发明人</option>
                <option value="APD">申请日</option>
                <option value="ISD">公开日 </option>
                <option value="IC">发明人所在城市</option>
                <option value="IS">发明人所在州</option>
                <option value="ICN">发明人所在国家</option>
                <option value="LREP">代理</option>
                <option value="AC">公司所在城市</option>
                <option value="ICL">国际分类 </option>
                <option value="APN">申请号</option>
                <option value="ACN">公司所在国家 </option>
                <option value="EXP">主审查员</option>
                <option value="PARN">父专利信息</option>
                <option value="EXA">助理审查员</option>
                <option value="PRIR">国际优先数据</option>
                <option value="FREF">国际专利引用</option>
                <option value="OREF">其他引用</option>
                <option value="APT">应用类型</option>
                <option value="PCT">PCT信息</option>
                <option value="GOVT">政府权益</option>
                <option value="RLAP">相关美国申请信息</option>
              </select>
            </td>
            <td align="left">
              <select dojoType="ComboBox" dataUrl="invokejson.do?sf=CheckKW&#38;sp=%{searchString}" class="statsitic-search-input" style="width:95%"  autoComplete="false" mode="remote" widgetId="booleaninput-select-3-value" id="booleaninput-select-3-value" ></select>
            </td>
          </tr>
          <tr>
            <td align="right">
              <select class="smallcombo" id="booleaninput-select-andor-4">
                <option value="and">AND</option>
                <option value="or">OR</option>
                <option value="andnot">ANDNOT</option>
              </select>
            </td>
            <td>
              <select class="smallcombo" style="z-index:9900" onchange="setComboBoxDataUrl(this);" id="booleaninput-select-4">
                <option selected="true" value="B">关键词</option>
                <option value="TTL">标题</option>
                <option value="IW">索引词</option>
                <option value="R">排序概念</option>
                <option value="ABST">摘要</option>
                <option value="ACLM">权利要求</option>
                <option value="SPEC">说明</option>
                <option value="AN">公司</option>
                <option value="ANN">标准化的公司</option>
                <option value="CCL">美国分类</option>
                <option value="PN">专利号</option>
                <option value="REF">美国专利引用</option>
                <option value="IN">发明人</option>
                <option value="APD">申请日</option>
                <option value="ISD">公开日 </option>
                <option value="IC">发明人所在城市</option>
                <option value="IS">发明人所在州</option>
                <option value="ICN">发明人所在国家</option>
                <option value="LREP">代理</option>
                <option value="AC">公司所在城市</option>
                <option value="ICL">国际分类 </option>
                <option value="APN">申请号</option>
                <option value="ACN">公司所在国家 </option>
                <option value="EXP">主审查员</option>
                <option value="PARN">父专利信息</option>
                <option value="EXA">助理审查员</option>
                <option value="PRIR">国际优先数据</option>
                <option value="FREF">国际专利引用</option>
                <option value="OREF">其他引用</option>
                <option value="APT">应用类型</option>
                <option value="PCT">PCT信息</option>
                <option value="GOVT">政府权益</option>
                <option value="RLAP">相关美国申请信息</option>
              </select>
            </td>
            <td align="left">
              <select dojoType="ComboBox" dataUrl="invokejson.do?sf=CheckKW&#38;sp=%{searchString}" class="statsitic-search-input" style="width:95%"  autoComplete="false" mode="remote" widgetId="booleaninput-select-4-value" id="booleaninput-select-4-value" ></select>
            </td>
          </tr>
        </table>
        <table cellpadding="0" cellspacing="0" width="100%">
          <tr align="left">
            <td align="center">
              <input type="button" class="advancedsearch-bt" style=" margin-bottom:1px" value="搜索" onclick="doSearchByBooleanInput();" />&#160;<input type="button" class="advancedsearch-bt" style=" margin-bottom:1px" value="清除" onclick="resetBooleanInput();" />
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</xsl:template>

</xsl:stylesheet> 

