<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="Result">
		<table cellspacing="2">
			<xsl:attribute name="class">historylist-content</xsl:attribute>
			<xsl:for-each select="HistoryList/History">
				<tr>
					<td>
						<img class="imglink" src="img/plus.gif">
							<xsl:attribute name="id">historylist-img-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
							<xsl:attribute name="onclick">showHistory('<xsl:value-of select="normalize-space(ID)" />')</xsl:attribute>
						</img>&#160;
						
						<span style="cursor:pointer">
							<xsl:attribute name="onclick">showHistory('<xsl:value-of select="normalize-space(ID)" />')</xsl:attribute>
							<xsl:if test="normalize-space(ID) = '0'">
								<xsl:value-of select="normalize-space(LoginTime)" />--Now
							</xsl:if>
							<xsl:if test="normalize-space(ID) != '0'">
								<xsl:value-of select="substring-before(normalize-space(LoginTime),'.')" />--<xsl:value-of select="substring-before(normalize-space(LogoutTime),'.')" />
							</xsl:if>
						</span>
					</td>
				</tr>
				<tr width="100%"  class="historylist-hiderow">
					<td>
						<div style="margin-left:17px;display:none">
							<xsl:attribute name="id">historylist-hidden-div-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
						</div>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>


