<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="utf-8"/>

	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="Footype"></xsl:template>
	<xsl:template match="Total"></xsl:template>
	<xsl:template match="PageSize"></xsl:template>
	<xsl:template match="PageIndex"></xsl:template>
	<xsl:template match="Suffix"></xsl:template>
	<xsl:template match="Classsuffix"></xsl:template>
	<xsl:template match="PageCount"></xsl:template>
	<xsl:template match="DisplayFieldList"></xsl:template>
	<xsl:template match="PN"></xsl:template>
	<xsl:template match="ID"></xsl:template>
	<xsl:template match="Other"></xsl:template>
	<xsl:template match="Color"></xsl:template>
	<xsl:template match="ColorList"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>

	<xsl:template match="RelatedList">
		<!--	<table cellspacing="2" width="100%">
			<tr>
				<td nowrap="true" width="25%">
					<xsl:for-each select="Related">
						<xsl:if test="position() &lt; 3">
							<img class="imglink" style="vertical-align:middle"  src="/img/st.gif" title="用此相关概念做关键词(B)搜索">
								<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
							</img>
							<span style="color:Green" title="用此相关概念做概念搜索">
								<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
								</xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:value-of select="normalize-space(.)" />
							</span>
							<br />
						</xsl:if>
					</xsl:for-each>
				</td>
				<td nowrap="true" width="25%">
					<xsl:for-each select="Related">
						<xsl:if test="2 &lt; position() and position() &lt; 5">
							<img class="imglink" style="vertical-align:middle"  src="/img/st.gif" title="用此相关概念做关键词(B)搜索">
								<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
							</img>
							<span style="color:Green" title="用此相关概念做概念搜索">
								<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
								</xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:value-of select="normalize-space(.)" />
							</span>
							<br />
						</xsl:if>
					</xsl:for-each>
				</td>
				<td nowrap="true" width="25%">
					<xsl:for-each select="Related">
						<xsl:if test="4 &lt; position() and position() &lt; 7">
							<img class="imglink" style="vertical-align:middle"  src="/img/st.gif" title="用此相关概念做关键词(B)搜索">
								<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
							</img>
							<span style="color:Green" title="用此相关概念做概念搜索">
								<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
								</xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:value-of select="normalize-space(.)" />
							</span>
							<br />
						</xsl:if>
					</xsl:for-each>
				</td>
				<td nowrap="true" width="25%">
					<xsl:for-each select="Related">
						<xsl:if test="6 &lt; position()">
							<img class="imglink" style="vertical-align:middle"  src="/img/st.gif" title="用此相关概念做关键词(B)搜索">
								<xsl:attribute name="onclick">
									onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
							</img>
							<span style="color:Green" title="用此相关概念做概念搜索">
								<xsl:attribute name="class">
									querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
								</xsl:attribute>
								<xsl:attribute name="onmouseover">
									onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onmouseout">
									onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="onclick">
									onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:attribute name="oncontextmenu">
									onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
								</xsl:attribute>
								<xsl:value-of select="normalize-space(.)" />
							</span>
							<br />
						</xsl:if>
					</xsl:for-each>
				</td>
			</tr>
		</table>-->
		</xsl:template>

		<xsl:template match="p">
		<td valign="top">
			<xsl:if test="(../PN) &gt; 3574860 or (../PN) &lt; 60000 ">
				<span target="_self" href="#" title="查看全文">
					<xsl:attribute name="class">
						querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="url">pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" />
					</xsl:attribute>
					<!--<xsl:attribute name="href">invokehtml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>-->
					<!--<xsl:attribute name="href">invokexml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>-->
					<xsl:attribute name="onmouseover">
						onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						setCurrentEvent(event);return onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(.)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:if>
			<xsl:if test="(../PN) &lt; 3574861 and (../PN) &gt; 60000 ">
				<span>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:if>
		</td>
	</xsl:template>

	<xsl:template match="t">
		<td>
			<span target="_blank" title="用此概念搜索专利">
				<xsl:attribute name="class">
					querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onHighLightTitleClick(<xsl:value-of select="normalize-space(../PN)" />);
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="r">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">
					querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
					<xsl:attribute name="width">
						<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td>
	</xsl:template>

	<xsl:template match="a">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">
					querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="normalize-space(.) != ''">
				<span target="_blank">
					<xsl:attribute name="class">
						querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:if>
			<xsl:if test="normalize-space(.) = ''">
				&#160;
			</xsl:if>
		</td>
	</xsl:template>

	<xsl:template match="i">
		<span target="_blank">
			<xsl:attribute name="class">
				querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
		<xsl:if test="position() != last()"> | </xsl:if>
	</xsl:template>

	<xsl:template match="iList">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">
					querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<xsl:apply-templates />
		</td>
	</xsl:template>

	<xsl:template match="c">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">
					querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">
					querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="normalize-space(Value)" />
				</xsl:attribute>
				<xsl:value-of select="normalize-space(Key)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="w">
		<td>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">
					querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="n">
		<td >
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">
					querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="e">
		<td>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">
					querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="l">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">
					querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
					<xsl:attribute name="style">
						width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">
					querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>


	<xsl:template match="PatentList">
		<table cellspacing="2" >
			<xsl:for-each select="Patent">
				<tr>
					<xsl:apply-templates />
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="Threshold"></xsl:template>

	<xsl:template match="Result">
		<table cellspacing="0" cellpadding="0">
			<!--<tr>
				<td>
					<xsl:apply-templates select="RelatedList" />
				</td>
				<td align="right" valign="top">
					<img onmouseover="this.src='/img/close-active.gif'" onmouseout="this.src='/img/close.gif'" src="/img/close.gif" alt="关闭" title="关闭" onclick="hideKeywodsPopupDiv();" class="imglink"></img>
				</td>
			</tr>-->
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="PatentList" />
				</td>
			</tr>
		</table>

	</xsl:template>
	<xsl:template match="PageList"></xsl:template>
</xsl:stylesheet>