<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="Result">
    <table width="100%">
		  <tr>
			  <td align="left">
          <xsl:value-of select="count(/Result/TermList/Term)" />
          项结果:
        </td>
			  <td align="right">           
          <xsl:if test="normalize-space(/Result/Total) = 0" >
            <img src="img/close.gif" alt="关闭" onclick="hideParentDiv(this);" title="关闭"  class="imglink"></img>
          </xsl:if>
			  </td>
		  </tr>
	  </table>
	  <xsl:apply-templates select="TermList" />
	</xsl:template>
  
  <xsl:template match="TermList">
   	<table cellspacing="2" width="100%">
		  <xsl:attribute name="id">querylist-projectpatent-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
   		<xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			  <td width="15px" align="center">
				  <input type="checkbox">
					  <xsl:attribute name="id">querylist-projectpatent-titlecheckbox-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
					  <xsl:attribute name="onclick">doCheckAll('<xsl:value-of select="normalize-space(/Result/Foo)" />');</xsl:attribute>
				  </input>
			  </td>
  	 		<td width="100%"> 
  	 				公司
   			</td>
			  <td width="20px" align="center"></td>
 			</tr> 
 			<xsl:for-each select="Term">
 			 <tr>
 			 	<xsl:if test="position() mod 2 = 0">
 			 	 <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
 			 	<xsl:if test="position() mod 2 != 0">
 			 	 <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
				 <td>
					 <input type="checkbox" style="vertical-align:middle">
						 <xsl:attribute name="value"><xsl:value-of select="normalize-space(.)" /></xsl:attribute>
					 </input>
				 </td>
         <td>
           <span target="_blank">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(.)" />
		        </span>
         </td>
				 <td>
					 <img class="imglink"  src="img/delete.gif" title="删除" alt="删除">
						 <xsl:attribute name="onclick">
							 doProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />','<xsl:value-of select="normalize-space(.)" />')
						 </xsl:attribute>
					 </img>
				 </td>
			 </tr>
 			</xsl:for-each>
 		</table>
		 <table>
			 <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			 <tr width="100%">
				 <td align="left" colspan="3">
					 <table width="100%">
						 <tr width="100%">
							 <td align="left">
								 <xsl:if test="count(/Result/TermList/Term) &gt; 0">
									 <span>选中的公司:</span>&#160;
									 <span class="anchorunderline">
										 <xsl:attribute name="onclick">prepareProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>删除</span>
									 <span>|</span>
									 <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>添加到</span>&#160;
									 <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentMove('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>移动到</span>&#160;
									 <select>
										 <xsl:attribute name="class">selectproject</xsl:attribute>
										 <xsl:attribute name="id">querylist-projectpatent-select-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
									 </select>
								 </xsl:if>
							 </td>
               </tr>
							 <tr>
							 <td align="left">
								<span>公司:</span>&#160;
                 <input type="radio" checked="true" style="vertical-align:middle">
                   <xsl:attribute name="name">querylist-projectpatent-radio-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                   <xsl:attribute name="onclick">changeInputAssgneeType('3', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                 </input>美国
                 <input type="radio" style="vertical-align:middle">
                   <xsl:attribute name="name">querylist-projectpatent-radio-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                   <xsl:attribute name="onclick">changeInputAssgneeType('4', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                 </input>中国&#160;
                 <input style="width:250px">
                   <xsl:attribute name="id">querylist-projectpatent-inputpn-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                 </input>&#160;
								<span class="anchorunderline">
									<xsl:attribute name="onclick">
										doProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />', '#')
									</xsl:attribute>添加</span>
							 </td>
						 </tr>
					 </table>
		 		</td>				 
			 </tr>
		 </table>
	</xsl:template>
  
  
</xsl:stylesheet> 

