<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>
  <xsl:template match="Fooipid"></xsl:template>
	<xsl:template match="Result">
		<table cellspacing="2">
			<xsl:attribute name="class">project-content</xsl:attribute>
      <tr>
        <td align="left">
          <xsl:if test="normalize-space(/Result/Foo) = '1'">
            <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
              <xsl:attribute name="colspan">5</xsl:attribute>
            </xsl:if>
            <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
              <xsl:attribute name="colspan">4</xsl:attribute>
            </xsl:if>
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Foo) != '1'">
            <xsl:attribute name="colspan">4</xsl:attribute>
          </xsl:if>
          <input type="radio" name="projecttype" id="project-update-projecttype-1" onclick="loadProject('1')" />专利
          <input type="radio" name="projecttype" id="project-update-projecttype-2" onclick="loadProject('2')" />公司
          <input type="radio" name="projecttype" id="project-update-projecttype-3" onclick="loadProject('3')" />美国分类
          <input type="radio" name="projecttype" id="project-update-projecttype-4" onclick="loadProject('4')" />国际分类
          <input type="radio" name="projecttype" id="project-update-projecttype-7" onclick="loadProject('7')" />索引词
          <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
          &#160;
          <span title="新建项目文件夹">
            <xsl:attribute name="class">anchorunderline</xsl:attribute>
            <xsl:attribute name="onclick">prepareAddProject()</xsl:attribute>
            <xsl:attribute name="onmouseover">onProjectNameMouseOver(this)</xsl:attribute>
            <xsl:attribute name="onmouseout">onProjectNameMouseOut(this)</xsl:attribute>
            <b>新建</b>
          </span>
          </xsl:if>
        </td>
        <td align="right" colspan="2">
          <input type="radio" name="projectipdi" id="project-update-projectipdi-0" onclick="loadProject()" />个人
          <input type="radio" name="projectipdi" id="project-update-projectipdi--1" onclick="loadProject()" />全局
        </td>
      </tr>
		</table>
		<table id="project-update-table" style="border:1px solid #808080;" cellspacing="2">
			<tr>
				<td align="left" colspan="7" width="100%">
					<div style="display:none">
						<xsl:attribute name="id">projectupdate-div-projectupdate</xsl:attribute>
						<form id="projectupdate-newproject-form"  onsubmit="return false;" method="post">
							<table cellspacing="2"  width="100%" style="background-color:#e0e4f3">

								<tr>
									<td align="left" nowrap="nowrap">
										名称:<input type="text" class="login-input" maxlength="50" onkeydown="checkCreateNewProjectKey(event);"  style="width:120px" name="sn" />
										<div id="projectupdate-newproject-color" style="display:inline">
											颜色:
											<select style="vertical-align:middle" class="selectproject"  name="sc">
												<xsl:attribute name="onchange">onChangeColor(this)</xsl:attribute>
												<option style='background:white' value='' selected="selected" >无</option>
												<xsl:if test="normalize-space(/Result/Foo) = '1'">
													<option style='background:#ffffe0' value='#ffffe0'></option>
													<option style='background:#fcecd7' value='#fcecd7'></option>
													<option style='background:#fae7f3' value='#fae7f3'></option>
													<option style='background:#c9eaf2' value='#c9eaf2'></option>
													<option style='background:#e7f9e8' value='#e7f9e8'></option>
													<option style='background:#eaf3d4' value='#eaf3d4'></option>
													<option style='background:#fbe1ae' value='#fbe1ae'></option>
													<option style='background:#e5c3e1' value='#e5c3e1'></option>
													<option style='background:#d7d2f5' value='#d7d2f5'></option>
													<option style='background:#b2cde6' value='#b2cde6'></option>
													<option style='background:#bce6c6' value='#bce6c6'></option>
													<option style='background:#e5e0b2' value='#e5e0b2'></option>
												</xsl:if>
												<xsl:if test="normalize-space(/Result/Foo) = '2'">
													<option style='background:#ffffe1' value='#ffffe1'></option>
													<option style='background:#fcecd8' value='#fcecd8'></option>
													<option style='background:#fae7f4' value='#fae7f4'></option>
													<option style='background:#c9eaf3' value='#c9eaf3'></option>
													<option style='background:#e7f9e9' value='#e7f9e9'></option>
													<option style='background:#eaf3d5' value='#eaf3d5'></option>
													<option style='background:#fbe1af' value='#fbe1af'></option>
													<option style='background:#e5c3e2' value='#e5c3e2'></option>
													<option style='background:#d7d2f6' value='#d7d2f6'></option>
													<option style='background:#b2cde7' value='#b2cde7'></option>
													<option style='background:#bce6c7' value='#bce6c7'></option>
													<option style='background:#e5e0b3' value='#e5e0b3'></option>
												</xsl:if>
												<xsl:if test="normalize-space(/Result/Foo) = '3'">
													<option style='background:#ffffe2' value='#ffffe2'></option>
													<option style='background:#fcecd9' value='#fcecd9'></option>
													<option style='background:#fae7f5' value='#fae7f5'></option>
													<option style='background:#c9eaf4' value='#c9eaf4'></option>
													<option style='background:#e7f9ea' value='#e7f9ea'></option>
													<option style='background:#eaf3d6' value='#eaf3d6'></option>
													<option style='background:#fbe1b0' value='#fbe1b0'></option>
													<option style='background:#e5c3e3' value='#e5c3e3'></option>
													<option style='background:#d7d2f7' value='#d7d2f7'></option>
													<option style='background:#b2cde8' value='#b2cde8'></option>
													<option style='background:#bce6c8' value='#bce6c8'></option>
													<option style='background:#e5e0b4' value='#e5e0b4'></option>
												</xsl:if>
												<xsl:if test="normalize-space(/Result/Foo) = '4'">
													<option style='background:#ffffe3' value='#ffffe3'></option>
													<option style='background:#fcecda' value='#fcecda'></option>
													<option style='background:#fae7f6' value='#fae7f6'></option>
													<option style='background:#c9eaf5' value='#c9eaf5'></option>
													<option style='background:#e7f9eb' value='#e7f9eb'></option>
													<option style='background:#eaf3d7' value='#eaf3d7'></option>
													<option style='background:#fbe1b1' value='#fbe1b1'></option>
													<option style='background:#e5c3e4' value='#e5c3e4'></option>
													<option style='background:#d7d2f8' value='#d7d2f8'></option>
													<option style='background:#b2cde9' value='#b2cde9'></option>
													<option style='background:#bce6c9' value='#bce6c9'></option>
													<option style='background:#e5e0b5' value='#e5e0b5'></option>
												</xsl:if>
												<xsl:if test="normalize-space(/Result/Foo) = '7'">
													<option style='background:#ffffe3' value='#ffffe4'></option>
													<option style='background:#fcecda' value='#fcecdb'></option>
													<option style='background:#fae7f6' value='#fae7f7'></option>
													<option style='background:#c9eaf5' value='#c9eaf6'></option>
													<option style='background:#e7f9eb' value='#e7f9ec'></option>
													<option style='background:#eaf3d7' value='#eaf3d8'></option>
													<option style='background:#fbe1b1' value='#fbe1b2'></option>
													<option style='background:#e5c3e4' value='#e5c3e5'></option>
													<option style='background:#d7d2f8' value='#d7d2f9'></option>
													<option style='background:#b2cde9' value='#b2cdea'></option>
													<option style='background:#bce6c9' value='#bce6ca'></option>
													<option style='background:#e5e0b5' value='#e5e0b6'></option>
												</xsl:if>
											</select>
										</div>
									</td>
									<td nowrap="nowrap">
										描述:
									</td>
									<td style="width:100%" nowrap="nowrap">
										<input type='hidden' name='it' />
										<input type="text" class="login-input" maxlength="200" onkeydown="checkCreateNewProjectKey(event);"  style="width:98%" name="sdesc"/>
									</td>
								</tr>
								<tr>
									<td align="center" colspan="3">
										<input type="button" value="添加" class="login-bt">
											<xsl:attribute name="onclick">doProjectAdd()</xsl:attribute>
										</input>
										<input type="button" value="取消" class="login-bt" >
											<xsl:attribute name="onclick">cancelProjectAdd()</xsl:attribute>
										</input>
									</td>
								</tr>

							</table>
						</form>
					</div>
				</td>
			</tr>
			<tr>
				<xsl:attribute name="class">querylist-title</xsl:attribute>
				<td width="12px">
					<xsl:if test="normalize-space(Foo) != '1' or normalize-space(/Result/Fooipid) = '-1'">
						<xsl:attribute name="style">display:none</xsl:attribute>
					</xsl:if>
				</td>
				<td nowrap="nowrap" >名称</td>
				<td width="40px" nowrap="nowrap" >颜色</td>
				<td width="60px" nowrap="nowrap">类型</td>
				<td width="100%">描述</td>
				<td nowrap="nowrap" >创建日期</td>
				<td width="20px" nowrap="nowrap" align="center" valign="middle" >
					<xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
						<xsl:attribute name="style">display:none</xsl:attribute>
					</xsl:if>
				</td>
			</tr>
			<xsl:for-each select="ProjectList/Project">

				<tr>
					<xsl:if test="normalize-space(Type) != '1'">
						<xsl:attribute name="style">height:20px</xsl:attribute>
					</xsl:if>
					<xsl:if test="position() mod 2 = 0">
						<xsl:attribute name="class">querylist-dark</xsl:attribute>
					</xsl:if>
					<xsl:if test="position() mod 2 != 0">
						<xsl:attribute name="class">querylist-light</xsl:attribute>
					</xsl:if>
					<td valign="middle" align="center">
						<xsl:if test="normalize-space(Type) != '1'or normalize-space(/Result/Fooipid) = '-1'">
							<xsl:attribute name="style">display:none</xsl:attribute>
						</xsl:if>
						<xsl:if test="normalize-space(Id) != 0">
							<input type="checkbox">
								<xsl:attribute name="value">
									<xsl:value-of select="normalize-space(Name)" />
								</xsl:attribute>
							</input>
						</xsl:if>
					</td>
					<td>
						<span>
							<xsl:attribute name="id">project-update-name-span-<xsl:value-of select="normalize-space(Id)" />
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onProjectNameClick('<xsl:value-of select="normalize-space(Id)" />', false)
							</xsl:attribute>
							<xsl:attribute name="class">project-name</xsl:attribute>
							<xsl:attribute name="onmouseover">onProjectNameMouseOver(this)</xsl:attribute>
							<xsl:attribute name="onmouseout">onProjectNameMouseOut(this)</xsl:attribute>
							<xsl:value-of select="normalize-space(Name)" />
						</span>
						<xsl:if test="normalize-space(Id) != 0 and normalize-space(/Result/Fooipid) != '-1'">
							&#160;<img class="imglink"  src="img/update.gif" title="更新">
								<xsl:if test="Name = 'Temp'">
									<xsl:attribute name="style">
										display:none;
									</xsl:attribute>
								</xsl:if>
								<xsl:attribute name="id">project-update-img-<xsl:value-of select="normalize-space(Id)" />
								</xsl:attribute>
								<xsl:attribute name="onclick">
									prepeareProjectUpdate('<xsl:value-of select="normalize-space(Id)" />')
								</xsl:attribute>
							</img>
							<div style="display:none">
								<xsl:attribute name="id">project-update-hidden-div-<xsl:value-of select="normalize-space(Id)" />
								</xsl:attribute>
								<input class="login-input">
									<xsl:attribute name="id">project-update-hidden-input-<xsl:value-of select="normalize-space(Id)" />
									</xsl:attribute>
									<xsl:attribute name="value">
										<xsl:value-of select="normalize-space(Name)" />
									</xsl:attribute>
								</input>
								&#160;<img class="imglink"  onmouseover="this.src='img/save-active.gif'" onmouseout="this.src='img/save.gif'" src="img/save.gif" title="保存">
									<xsl:attribute name="onclick">
										doProjectUpdate('<xsl:value-of select="normalize-space(Id)" />')
									</xsl:attribute>
								</img>
								&#160;<img class="imglink"  src="img/closeblue.gif" title="取消">
									<xsl:attribute name="onclick">
										cancelProjectUpdate('<xsl:value-of select="normalize-space(Id)" />')
									</xsl:attribute>
								</img>
							</div>
						</xsl:if>
					</td>
					<td align="center">
						<xsl:if test="normalize-space(Id) != 0">
							<img>
								<xsl:attribute name="id">project-update-color-img-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
								<xsl:if test="normalize-space(Color) != ''">
									<xsl:attribute name="src">img/<xsl:value-of select="substring-after(normalize-space(Color), '#')" />.gif</xsl:attribute>
								</xsl:if>
								<xsl:if test="normalize-space(Color) = ''">
									<xsl:attribute name="style">display:none</xsl:attribute>
								</xsl:if>
							</img>
							<select class="selectproject"  style="display:none" name="sc">
								<xsl:attribute name="id">project-update-hidden-select-color-<xsl:value-of select="normalize-space(Id)" />
								</xsl:attribute>
								<xsl:attribute name="onchange">onChangeColor(this)</xsl:attribute>
								<option style='background:white' value='' >无</option>
								<xsl:if test="normalize-space(/Result/Foo) = '1'">
									<option style='background:#ffffe0' value='#ffffe0'></option>
									<option style='background:#fcecd7' value='#fcecd7'></option>
									<option style='background:#fae7f3' value='#fae7f3'></option>
									<option style='background:#c9eaf2' value='#c9eaf2'></option>
									<option style='background:#e7f9e8' value='#e7f9e8'></option>
									<option style='background:#eaf3d4' value='#eaf3d4'></option>
									<option style='background:#fbe1ae' value='#fbe1ae'></option>
									<option style='background:#e5c3e1' value='#e5c3e1'></option>
									<option style='background:#d7d2f5' value='#d7d2f5'></option>
									<option style='background:#b2cde6' value='#b2cde6'></option>
									<option style='background:#bce6c6' value='#bce6c6'></option>
									<option style='background:#e5e0b2' value='#e5e0b2'></option>
								</xsl:if>
								<xsl:if test="normalize-space(/Result/Foo) = '2'">
									<option style='background:#ffffe1' value='#ffffe1'></option>
									<option style='background:#fcecd8' value='#fcecd8'></option>
									<option style='background:#fae7f4' value='#fae7f4'></option>
									<option style='background:#c9eaf3' value='#c9eaf3'></option>
									<option style='background:#e7f9e9' value='#e7f9e9'></option>
									<option style='background:#eaf3d5' value='#eaf3d5'></option>
									<option style='background:#fbe1af' value='#fbe1af'></option>
									<option style='background:#e5c3e2' value='#e5c3e2'></option>
									<option style='background:#d7d2f6' value='#d7d2f6'></option>
									<option style='background:#b2cde7' value='#b2cde7'></option>
									<option style='background:#bce6c7' value='#bce6c7'></option>
									<option style='background:#e5e0b3' value='#e5e0b3'></option>
								</xsl:if>
								<xsl:if test="normalize-space(/Result/Foo) = '3'">
									<option style='background:#ffffe2' value='#ffffe2'></option>
									<option style='background:#fcecd9' value='#fcecd9'></option>
									<option style='background:#fae7f5' value='#fae7f5'></option>
									<option style='background:#c9eaf4' value='#c9eaf4'></option>
									<option style='background:#e7f9ea' value='#e7f9ea'></option>
									<option style='background:#eaf3d6' value='#eaf3d6'></option>
									<option style='background:#fbe1b0' value='#fbe1b0'></option>
									<option style='background:#e5c3e3' value='#e5c3e3'></option>
									<option style='background:#d7d2f7' value='#d7d2f7'></option>
									<option style='background:#b2cde8' value='#b2cde8'></option>
									<option style='background:#bce6c8' value='#bce6c8'></option>
									<option style='background:#e5e0b4' value='#e5e0b4'></option>
								</xsl:if>
								<xsl:if test="normalize-space(/Result/Foo) = '4'">
									<option style='background:#ffffe3' value='#ffffe3'></option>
									<option style='background:#fcecda' value='#fcecda'></option>
									<option style='background:#fae7f6' value='#fae7f6'></option>
									<option style='background:#c9eaf5' value='#c9eaf5'></option>
									<option style='background:#e7f9eb' value='#e7f9eb'></option>
									<option style='background:#eaf3d7' value='#eaf3d7'></option>
									<option style='background:#fbe1b1' value='#fbe1b1'></option>
									<option style='background:#e5c3e4' value='#e5c3e4'></option>
									<option style='background:#d7d2f8' value='#d7d2f8'></option>
									<option style='background:#b2cde9' value='#b2cde9'></option>
									<option style='background:#bce6c9' value='#bce6c9'></option>
									<option style='background:#e5e0b5' value='#e5e0b5'></option>
								</xsl:if>
								<xsl:if test="normalize-space(/Result/Foo) = '7'">
									<option style='background:#ffffe3' value='#ffffe4'></option>
									<option style='background:#fcecda' value='#fcecdb'></option>
									<option style='background:#fae7f6' value='#fae7f7'></option>
									<option style='background:#c9eaf5' value='#c9eaf6'></option>
									<option style='background:#e7f9eb' value='#e7f9ec'></option>
									<option style='background:#eaf3d7' value='#eaf3d8'></option>
									<option style='background:#fbe1b1' value='#fbe1b2'></option>
									<option style='background:#e5c3e4' value='#e5c3e5'></option>
									<option style='background:#d7d2f8' value='#d7d2f9'></option>
									<option style='background:#b2cde9' value='#b2cdea'></option>
									<option style='background:#bce6c9' value='#bce6ca'></option>
									<option style='background:#e5e0b5' value='#e5e0b6'></option>
								</xsl:if>
							</select>
						</xsl:if>
					</td>
					<td>
						<xsl:if test="normalize-space(Type) = 1">

						</xsl:if>
						<xsl:if test="normalize-space(Type) = 2">

						</xsl:if>
						<xsl:if test="normalize-space(Type) = 3">

						</xsl:if>
						<xsl:if test="normalize-space(Type) = 4">

						</xsl:if>
						<xsl:if test="normalize-space(Type) = 7">

						</xsl:if>
					</td>
					<td  nowrap="nowrap">
						<span>
							<xsl:attribute name="id">project-update-description-span-<xsl:value-of select="normalize-space(Id)" />
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onProjectNameClick('<xsl:value-of select="normalize-space(Id)" />', false)
							</xsl:attribute>
							<xsl:attribute name="class">project-name</xsl:attribute>
							<xsl:attribute name="onmouseover">onProjectNameMouseOver(this)</xsl:attribute>
							<xsl:attribute name="onmouseout">onProjectNameMouseOut(this)</xsl:attribute>
							<xsl:value-of select="normalize-space(Description)" />
						</span>&#160;
						<xsl:if test="normalize-space(Id) != 0">
							<div style="display:none">
								<xsl:attribute name="id">project-update-hidden-div-description-<xsl:value-of select="normalize-space(Id)" />
								</xsl:attribute>
								<input class="login-input" style="width:95%">
									<xsl:attribute name="id">project-update-hidden-input-description-<xsl:value-of select="normalize-space(Id)" />
									</xsl:attribute>
									<xsl:attribute name="value">
										<xsl:value-of select="normalize-space(Description)" />
									</xsl:attribute>
								</input>
							</div>
						</xsl:if>
					</td>
					<td nowrap="nowrap">
						<xsl:value-of select="substring-before(normalize-space(CreateDate),'.')" />
					</td>
					<td valign="middle" align="center">
						<xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
							<xsl:attribute name="style">display:none</xsl:attribute>
						</xsl:if>
						<xsl:if test="normalize-space(Id) != 0">
							<img class="imglink"  onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除">
								<xsl:if test="Name = 'Temp'">
									<xsl:attribute name="style">
										display:none;
									</xsl:attribute>
								</xsl:if>
								<xsl:attribute name="onclick">
									doProjectDelete('<xsl:value-of select="normalize-space(Id)" />')
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test=" normalize-space(Id) = 0">
							<img width="9px" heigh="9px"></img>
						</xsl:if>
					</td>
				</tr>
				
				<tr width="100%"  class="querylist-hiderow"  style="display:none">
					<td align="center" width="100%"  colspan="7" cellspacing="0" cellspading="0">
						<div>
							<xsl:attribute name="class">project-patentlist-content</xsl:attribute>
							<xsl:attribute name="id">project-hidden-div-<xsl:value-of select="normalize-space(Id)" />
							</xsl:attribute>
						</div>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<table align="left">
			<xsl:if test="normalize-space(Foo) = '1'">
				<tr width="100%" >
					<td align="left"  colspan="7">
						<b>选中的项目:</b>&#160;
						<input type="radio" value="and" style="vertical-align:top" id="project-update-type-and"   name="cluster-search-type"></input><span style="vertical-align:middle">与</span>
						<input type="radio" value="or" style="vertical-align:top" checked="true"  name="cluster-search-type"></input><span style="vertical-align:middle">或</span>&#160;
						<input class="cluster-search-bt" type="button"  value="搜索" onclick="doCheckedProjectSearch();"  />&#160;
					</td>
				</tr>
			</xsl:if>

		</table>
	</xsl:template>

</xsl:stylesheet>

