<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="countList"/>
	<xsl:template match="ClaimList"/>
	<xsl:template match="TechnicalList"/>
	<xsl:template match="/Result/sanList">
		<table class="querylist-contenttable-1">
			<tr class="querylist-title-1">
				<td align="left" width="4px">
					<img class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif" onclick="checkCheckboxImg(this);checkCheckboxImgAllAssignee(this);"/>
				</td>
				<td nowrap="true">
					公司名
				</td>
				<td nowrap="true">
					专利数
				</td>
				<td nowrap="true">
					专利度
				</td>
				<td nowrap="true">
					特征度
				</td>
			</tr>
			<xsl:for-each select="san">
				<xsl:variable name="curindex" select="position()" />
				<tr>
					<td align="left" width="4px">
						<img class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif" onclick="checkCheckboxImg(this);"/>
					</td>
					<td>
						<span target="_blank" title="点击搜索公司">
							<xsl:attribute name="class">
								querylist-a
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQueryTableMouseOver(this, 'a', '')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQueryTableMouseOut(this, 'a', '')
							</xsl:attribute>

							<xsl:attribute name="onclick">
								onQueryTableClick(this, 'an', '', '', '')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQueryTableContextMenu(this, 'a', '', '')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(.)" />

						</span>
					</td>
					<td>
						<xsl:apply-templates select="../../countList/count[position()=$curindex]"/>
					</td>
					<td>
						<xsl:apply-templates select="../../ClaimList/Claim[position()=$curindex]"/>
					</td>
					<td>
						<xsl:apply-templates select="../../TechnicalList/Technical[position()=$curindex]"/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
