<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="RH">
    <table cellspacing="0" cellpadding="0" id="search-quickhistory-table">
      <xsl:apply-templates select="C" />
    </table>
  </xsl:template>
  <xsl:template match="BH">
    <xsl:apply-templates select="C" />
  </xsl:template>
  <xsl:template match="PageSize">
  </xsl:template>

  <xsl:template match="PageIndex">
  </xsl:template>
  <xsl:template match="PageCount">
  </xsl:template>
  <xsl:template match="Total">
  </xsl:template>
  <xsl:template match="Foo">
  </xsl:template>
  
	<xsl:template match="SH">
		<tr>
			<xsl:if test="count(C/BH) = 0">
				<td style="vertical-align:top">
					<img src="img/s.gif" style="vertical-align:middle">
						<xsl:attribute name="id">search-quickhistory-img-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
						<xsl:attribute name="onclick">showQuickHistoryRow('<xsl:value-of select="normalize-space(ID)" />')</xsl:attribute>
					</img>
				</td>
				<td>
					<xsl:if test="string-length(normalize-space(Q)) &lt; 50">
						<span onclick="onHistoryTableClick(this)" ><xsl:attribute name="class">quickhistory-queryterm</xsl:attribute><xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'q')</xsl:attribute><xsl:attribute name="onmouseover">onQuickHistoryTableMouseOver(this)</xsl:attribute><xsl:attribute name="onmouseout">onQuickHistoryTableMouseOut(this)</xsl:attribute><xsl:value-of select="normalize-space(Q)" /></span>(<xsl:value-of select="normalize-space(RC)" />)
					</xsl:if>
					<xsl:if test="string-length(normalize-space(Q)) = 50 or string-length(normalize-space(Q)) &gt; 50">
						<span onclick="onHistoryTableClick(this)"><xsl:attribute name="class">quickhistory-queryterm</xsl:attribute><xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'q')</xsl:attribute><xsl:attribute name="onmouseover">onQuickHistoryTableMouseOver(this)</xsl:attribute><xsl:attribute name="onmouseout">onQuickHistoryTableMouseOut(this)</xsl:attribute><xsl:attribute name="title"><xsl:value-of select="normalize-space(Q)" /></xsl:attribute><xsl:value-of select="concat(substring(normalize-space(Q), 0, 50),'...')" /></span>(<xsl:value-of select="normalize-space(RC)" />)
					</xsl:if>&#160;
          <img class="imglink"  onmouseover="this.src='img/more3-active.gif'" onmouseout="this.src='img/more3.gif'" src="img/more3.gif" title="用当前页面中的结果筛选此搜索语句" alt="用当前页面中的结果筛选此搜索语句" >
							<xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'i')</xsl:attribute>
					</img>
				</td>
			</xsl:if>
			<xsl:if test="count(C/BH) &gt; 0">
				<td style="vertical-align:top">
					<img src="img/plus.gif" class="imglink" style="vertical-align:middle">
						<xsl:attribute name="id">search-quickhistory-img-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
						<xsl:attribute name="onclick">showQuickHistoryRow('<xsl:value-of select="normalize-space(ID)" />')</xsl:attribute>
					</img>
				</td>
				<td>
					<xsl:if test="string-length(normalize-space(Q)) &lt; 50">
						<span onclick="onHistoryTableClick(this)"><xsl:attribute name="class">quickhistory-queryterm</xsl:attribute><xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'q')</xsl:attribute><xsl:attribute name="onmouseover">onQuickHistoryTableMouseOver(this)</xsl:attribute><xsl:attribute name="onmouseout">onQuickHistoryTableMouseOut(this)</xsl:attribute><xsl:value-of select="normalize-space(Q)" /></span>(<xsl:value-of select="normalize-space(RC)" />)
					</xsl:if>
					<xsl:if test="string-length(normalize-space(Q)) = 50 or string-length(normalize-space(Q)) &gt; 50">
						<span onclick="onHistoryTableClick(this)"><xsl:attribute name="class">quickhistory-queryterm</xsl:attribute><xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'q')</xsl:attribute><xsl:attribute name="onmouseover">onQuickHistoryTableMouseOver(this)</xsl:attribute><xsl:attribute name="onmouseout">onQuickHistoryTableMouseOut(this)</xsl:attribute><xsl:attribute name="title"><xsl:value-of select="normalize-space(Q)" /></xsl:attribute><xsl:value-of select="concat(substring(normalize-space(Q), 0, 50),'...')" /></span>(<xsl:value-of select="normalize-space(RC)" />)
					</xsl:if>&#160;
          <img class="imglink"  onmouseover="this.src='img/more3-active.gif'" onmouseout="this.src='img/more3.gif'" src="img/more3.gif" title="用当前页面中的结果筛选此搜索语句" alt="用当前页面中的结果筛选此搜索语句" >
							<xsl:attribute name="onclick">onQuickHistoryTableClick(this, 'i')</xsl:attribute>
					</img>
				</td>
			</xsl:if>
		</tr>
		<tr style="display:none">
			<xsl:attribute name="id">search-quickhistory-hiddenrow-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
			<td style="padding-left:10px" colspan="2">
				<table cellspacing="0" cellpadding="0" >
					<xsl:for-each select="C/BH">
						<tr>
							<td style="vertical-align:top">
								<a target="_blank">
                  <xsl:attribute name="href">pncompare.htm?sl=chs&amp;pnlist=<xsl:value-of select="normalize-space(PN)" /></xsl:attribute>
                  <!--<xsl:attribute name="href">invokehtml.do?sf=ShowPatent&amp;spn=<xsl:value-of select="normalize-space(PN)" />&amp;sx=showpatent</xsl:attribute>-->
									<xsl:value-of select="normalize-space(PN)" />
								</a>
							</td>
							<td style="padding-left:5px">
								<span>
									<xsl:attribute name="class">quickhistory-queryterm</xsl:attribute>
									<xsl:attribute name="onmouseover">onQuickHistoryTableMouseOver(this)</xsl:attribute>
									<xsl:attribute name="onmouseout">onQuickHistoryTableMouseOut(this)</xsl:attribute>
									<xsl:attribute name="onclick">onQuickHistoryTableClick('<xsl:value-of select="normalize-space(PN)" />', 't')</xsl:attribute>
									<xsl:value-of select="normalize-space(TTL)" />
								</span>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</td>
		</tr>
    <xsl:apply-templates select="C" />
	</xsl:template>

</xsl:stylesheet> 

