<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/Result/WordsList">
		<table style="width:100%;">
			<tr width="100%">
				<td align="left" style="width:250px">
					<img class="imglink" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="/img/case-and.gif"  title="用选中索引词做与搜索" alt="用选中索引词做与搜索">
						<xsl:attribute name="onclick">
							doCheckedTechnicalKeywordsSearch('1',this);
						</xsl:attribute>
					</img>&#160;
					<img class="imglink" onmouseover="this.src='img/case-or-active.gif'" onmouseout="this.src='img/case-or.gif'" src="/img/case-or.gif"  title="用选中索引词做或搜索" alt="用选中索引词做或搜索" >
						<xsl:attribute name="onclick">
							doCheckedTechnicalKeywordsSearch('2',this);
						</xsl:attribute>
					</img>&#160;
					<!--<img class="imglink" onmouseover="this.src='img/up-search-active.gif'" onmouseout="this.src='img/up-search.gif'" src="/img/up-search.gif"  title="用选中索引词做双视图搜索" alt="用选中索引词做双视图搜索" >
						<xsl:attribute name="onclick">
							doCheckedTechnicalKeywordsSearch('3',this);
						</xsl:attribute>
					</img>&#160;-->
					<img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="/img/check.gif" onclick="checkTechnicalKeywords(this)" value="-1"  title="选中全部" alt="选中全部" >

					</img>&#160;
					<img class="imglink" onmouseover="onNorderboxOver(this);" onmouseout="onNorderboxOut(this)" src="/img/norder.gif" onclick="NorderWordsClick(this)" title="用选中索引词做N阶搜索" alt="用选中索引词做N阶搜索">

					</img>
					<img onmouseover="this.src='img/close2-active.gif'" onmouseout="this.src='img/close2.gif'" src="img/close2.gif" alt="关闭N阶搜索" title="关闭N阶搜索" onclick="closeNorder(this);" class="imglink" style="display:none;"></img>&#160;
					<input style="margin-left:5px;height:12px; font-size:11px; width:145px" onkeydown="checkTechnicalWordsAddKey(event,this);"></input>
				</td>
				<td>
					<table style="width:100%">
						<tr>
							<td>
								<div style="width:100%"></div>
							</td>
						</tr>
					</table>
				</td>
				<td style="width:9px;">
					<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭特征词" title="关闭特征词" onclick="closeTechnicalDiv(this,true);" class="imglink">
					</img>
					<img style="display:none;" onmouseover="this.src='img/expandall-active.gif'" onmouseout="this.src='img/expandall.gif'" src="img/expandall.gif" alt="显示特征词" title="显示特征词" onclick="closeTechnicalDiv(this,false);" class="imglink">
					</img>
				</td>
			</tr>
		</table>
		<table style="width:100%;background-color: rgb(174, 208, 205);">

			<tr>
				<td>
					<img idx="0" title="选中所有" alt="选中所有" class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="/img/check.gif" onclick="checkAllGroup(this);"/>&#160;
					<img checked="0" title="在权利要求中标记(取消标记)该组词" alt="在权利要求中标记(取消标记)该组词" src="/img/sel-1.gif" class="imglink" onclick="showChecked(this,'1');"/>
				</td>
				<td>
					<img idx="1" title="选中所有" alt="选中所有" class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="/img/check.gif" onclick="checkAllGroup(this);"/>&#160;
					<img checked="0" title="在权利要求中标记(取消标记)该组词" alt="在权利要求中标记(取消标记)该组词" src="/img/sel-2.gif" class="imglink" onclick="showChecked(this,'2');"/>
				</td>
				<td>
					<img idx="2" title="选中所有" alt="选中所有" class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="/img/check.gif" onclick="checkAllGroup(this);"/>&#160;
					<img checked="0" title="在权利要求中标记(取消标记)该组词" alt="在权利要求中标记(取消标记)该组词" src="/img/sel-3.gif" class="imglink" onclick="showChecked(this,'3');"/>
				</td>
				<td>
					<img idx="3" title="选中所有" alt="选中所有" class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="/img/check.gif" onclick="checkAllGroup(this);"/>&#160;
					<img checked="0" title="在权利要求中标记(取消标记)该组词" alt="在权利要求中标记(取消标记)该组词" src="/img/sel-4.gif" class="imglink" onclick="showChecked(this,'4');"/>
				</td>
			</tr>
			<xsl:for-each select="WordsList">
				<tr>
					<xsl:for-each select="Words">
						<td style="text-align:left">
							<xsl:if test="string-length(.) &gt; 0">
								<img class="imglink" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="/img/check.gif" onclick="checkCheckboxImgTechnical(this);"/>&#160;<span onclick="onQueryTechnicalClick(this, event)" onmouseover="onQueryTechnicalMouseOver(this, event)" onmouseout="onQueryTagMouseOut(this, event)">
								<xsl:attribute name="idx">
									<xsl:value-of select="position()"/>
								</xsl:attribute>
								<xsl:attribute name="title">在权利要求中显示该词</xsl:attribute>
								<xsl:attribute name="alt">在权利要求中显示该词</xsl:attribute>
								<xsl:value-of select="substring-before(.,'.')"/>
							</span>.<span><xsl:value-of select="substring-after(.,'.')"/></span>
							</xsl:if>
						</td>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</table>
		<div></div>
	</xsl:template>
</xsl:stylesheet>

