<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/Result">
		<html>
			<body onload="onbodyload();">
				<script language="javascript" type="text/javascript">

					function onbodyload()
					{
					window.parent.document.getElementById('popupdiv-importpatent3-result').style.display = '';
					}
					function viewUploadResults()
					{
					window.parent.prepareMasterSearch('proj/UPLOADED AND db/all', -1, -1, null, null, null);
					window.parent.document.getElementById('popupdiv-importpatent3').style.visibility = 'hidden';
					}

					function onAddtoProjectClick()
					{
					var img = window.parent.document.getElementById('search-master-import-img');
					window.parent.showProjectDiv(img, 'SAVEUPLOAD', '', 1);
					}
					function onCloseUploadPatents()
					{
					window.parent.document.getElementById('popupdiv-importpatent3').style.display = 'none';
					window.parent.document.getElementById('popupdiv-importpatent3').style.visibility = 'hidden';
					}
				</script>
				<center>
					<xsl:choose>
						<xsl:when test="BadFormat = 1">
							上传文件格式有误。请上传txt，csv格式的文件。
							<input style="vertical-align:middle;width:120px; height:19px; font-size:11px" onclick="onCloseUploadPatents()" type="button" value="关闭" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="normalize-space(Error) != ''">
								<xsl:value-of select="Error"/>
							</xsl:if>
							<xsl:if test="normalize-space(Error) = ''">
								<xsl:value-of select="Count"/> 专利号上传完毕
								<br />
								使用 <b>proj/UPLOADED</b> 查看。
							</xsl:if>
							<br />
							<xsl:if test="normalize-space(Error) = ''">
								<input style="width:120px; vertical-align:middle; height:19px; font-size:11px" onclick="viewUploadResults();" title="点击浏览专利" type="button" value="查看" />
								<br />
								<input style="vertical-align:middle;width:120px; height:19px; font-size:11px" onclick="onAddtoProjectClick();" title="添加专利到项目中" type="button" value="添加到项目中" />
								<br />
								<input style="vertical-align:middle;width:120px; height:19px; font-size:11px" onclick="onCloseUploadPatents()" type="button" value="关闭" />
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>


				</center>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
