﻿var g_grpSpanObj = null;
function submit_add()
{
    var add_user_form=dojo.byId('adduser-form');
    var request={
        url:"invokejson.do?sf=AddUserBatch&sl=chs",
        handleAs:"json",
        form:add_user_form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    add_user_form.ib.value='';
			    add_user_form.ie.value='';
			    alert("添加成功");
			    
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}


function submit_del()
{
    var del_user_form = dojo.byId('deluser-form');
    if(del_user_form.sid.value==null || dojo.string.trim(del_user_form.sid.value)=='')
     {
        alert('用户名不能为空');
        return;
     }
    if(del_user_form.sid.value=='admin')
    {
        alert('不能删除admin账户');
        return;
    }
    var request={
        url:"invokejson.do?sf=DelUser&sl=chs",
        handleAs:"json",
        form:del_user_form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    del_user_form.sid.value='';
			    alert("删除成功");
			    
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}

function AddUserOnLoad()
{
    var request={
        url:"invokejson.do?sf=UserGet&random="+Math.random(),
        handleAs:"json",
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else if(ret.User!=null && (ret.User.Id=='admin' || ret.User.Level&0xf==2))
			{
			    dojo.byId('deluser-form').style.display='';
			    dojo.byId('adduser-form').style.display='';
			    dojo.byId('permission-div').style.display='';
			    permission_list();
			}
			else
			{
			    alert('请用admin账号登陆！');			    
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
}

function InitPermissionCheckbox(obj)
{
    var checkboxs = obj.getElementsByTagName('input');
    for( var i = 0 ; i < checkboxs.length; i++)
    {
        if(checkboxs[i].type == 'checkbox')
        {
           if(!isNullorEmpty(checkboxs[i].value) && !isNullorEmpty(checkboxs[i].getAttribute('index')))
           {
                checkboxs[i].checked = parseInt(checkboxs[i].value) & parseInt(checkboxs[i].getAttribute('index'));
           }
        }
    }
}
function InitCheckboxDisabled(obj,checked )
{
    var checkboxs = obj.getElementsByTagName('input');
    
    for( var i = 0 ; i < checkboxs.length; i++)
    {
        if(checkboxs[i].type == 'checkbox')
        {
			checkboxs[i].disabled = checked;
        }
    }
}
function permission_list()
{
    var request={
        url:"invokexml.do?sf=PermissionGet&random="+Math.random(),
        handleAs:"text",
        load:function(response, ioArgs){
			var permission_list = dojo.byId('permission-list-div');
			permission_list.innerHTML = XSLTtrans(response, 'permissionget.xsl');
			InitPermissionCheckbox(permission_list);
        },
        error:function(type,error){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
}

function prepearePermissionUpdate(id, type)
{
    var description_div = dojo.byId('permission-update-hidden-input-description-'+id);
    var description_span = dojo.byId('permission-update-description-span-'+id);
    var iplist_div = dojo.byId('permission-update-hidden-input-iplist-'+id);
    var iplist_span = dojo.byId('permission-update-iplist-span-'+id);
    var permission_div = dojo.byId('permission-update-permission-div-'+id);
    var permission_update_img = dojo.byId('permission-update-img-'+id);
    var permission_upadte_save_img = dojo.byId('permission-update-save-img-'+id);
    var permission_upadte_cancel_img = dojo.byId('permission-update-cancel-img-'+id);
	if(type==null || type!=1)
	{
		description_span.style.display='none';
		description_div.style.display='';
		iplist_span.style.display='none';
		iplist_div.style.display='';
    }
    permission_update_img.style.display='none';
    permission_upadte_save_img.style.display='';
    permission_upadte_cancel_img.style.display='';
    InitCheckboxDisabled(permission_div,false);
}

function cancelPermissionUpdate(id)
{
    var description_div = dojo.byId('permission-update-hidden-input-description-'+id);
    var description_span = dojo.byId('permission-update-description-span-'+id);
    var iplist_div = dojo.byId('permission-update-hidden-input-iplist-'+id);
    var iplist_span = dojo.byId('permission-update-iplist-span-'+id);
    var permission_div = dojo.byId('permission-update-permission-div-'+id);
    var permission_update_img = dojo.byId('permission-update-img-'+id);
    var permission_upadte_save_img = dojo.byId('permission-update-save-img-'+id);
    var permission_upadte_cancel_img = dojo.byId('permission-update-cancel-img-'+id);
    description_div.style.display='none';
    description_span.style.display='';
    iplist_div.style.display='none';
    iplist_span.style.display='';
    permission_upadte_save_img.style.display='none';
    permission_upadte_cancel_img.style.display='none';
    permission_update_img.style.display='';
    InitCheckboxDisabled(permission_div,true);
    InitPermissionCheckbox(permission_div);
}

function parsePermissionValue(obj)
{
    var value=0;
    var bits = 1;
    var value_string='';
    var inputs = obj.getElementsByTagName('input');
    for( var i = 0 ; i < inputs.length; i++)
    {
        if(inputs[i].checked)
        {
            value = bits + value;
        }
        if(bits == 8)
        {
            bits = 1;
            value_string  = value_string + value.toString(16);
        }
        else
        {
            bits = bits * 2;
        }
    }
    if(bits!=1)
    {
        value_string  = value_string + value.toString(16);
    }
    return value_string;
}
function doPermissionUpdate(id)
{
    var description_div = dojo.byId('permission-update-hidden-input-description-'+id);
    var iplist_div = dojo.byId('permission-update-hidden-input-iplist-'+id);
    var permission_hidden_div = dojo.byId('permission-update-permission-div-'+id);
    var form = document.createElement('form');
    var description = document.createElement('textarea');
    description.name = 'sdesc';
    description.value = description_div.value;
    form.appendChild(description);
    var iplist =  document.createElement('textarea');
    iplist.name='sexp';
    iplist.value = iplist_div.value;
    form.appendChild(iplist);
    
    var value_string = parsePermissionValue(permission_hidden_div);
    var permissionValue =  document.createElement('textarea');
    permissionValue.name='sv';
    permissionValue.value = value_string;
    form.appendChild(permissionValue);
    
    var request={
        url:'invokejson.do?sf=PermissionUpdate&iid='+id,
        handleAs:"json",
        form:form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    permission_list();
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
    
}

function doPermissionDelete(id)
{
    if(confirm('确定要删除该管理条目吗？') == false)
        return;
    var request={
        url:'invokejson.do?sf=PermissionDelete&iid='+id,
        handleAs:"json",
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    permission_list();
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
    
}

function doPermissionAdd()
{
    var description_div = dojo.byId('permission-new-desc');
    var iplist_div = dojo.byId('permission-new-iplist');
    var permission_value_div = dojo.byId('permission-new-value');
    var form = document.createElement('form');
    var description = document.createElement('textarea');
    description.name = 'sdesc';
    description.value = description_div.value;
    form.appendChild(description);
    
    var iplist =  document.createElement('textarea');
    iplist.name='sexp';
    iplist.value = iplist_div.value;
    form.appendChild(iplist);
    
    var value_string = parsePermissionValue(permission_value_div);
    var permissionValue =  document.createElement('textarea');
    permissionValue.name='sv';
    permissionValue.value = value_string;
    form.appendChild(permissionValue);
    
    var request={
        url:'invokejson.do?sf=PermissionAdd',
        handleAs:"json",
        form:form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    permission_list();
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}
function new_permission()
{
    dojo.byId('permission-new-div').style.display='';
}
function cancelPermissionAdd()
{
    dojo.byId('permission-new-div').style.display='none';
}

function doIpBundBatch()
{
	dojo.byId('ipbandtable').style.display = '';
}
function cancelIpBundBatch()
{
	dojo.byId('ipbundtable').style.display = 'none';
}

function StatisticsList() {
    var usestatisticform = dojo.byId('usestatisticform');
    
    var url = 'invokexml.do?sf=GetUseStatistics&random='+Math.random();
    var request={
        url:url,
        handleAs:"text",
        form:usestatisticform,
        load:function(response, ioArgs){
			dojo.byId('usestatistics-div').innerHTML = XSLTtrans(response,'cn/useStatistics_cn.xsl');
        },
        error:function(type,error){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
    
}

function ClickStatisticsList() {
    var usestatisticform = dojo.byId('usestatisticform');
    
    var request={
        url:'invokexml.do?sf=QueryAccessStatistics&random='+Math.random(),
        //url:'invokexml.do?sf=GetUseStatistics&random='+Math.random(),
        handleAs:"text",
        form:usestatisticform,
        load:function(response, ioArgs){
			dojo.byId('server-access-statistics-div').innerHTML = XSLTtrans(response,'serverstatistics.xsl');
			//dojo.byId('usestatistics-div').innerHTML = XSLTtrans(response,'cn/useStatistics_cn.xsl');
        },
        error:function(type,error){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
    
}
function LoadStatistics(type){
    
    var request={
        url:"invokejson.do?sf=UserGet&random="+Math.random(),
        handleAs:"json",
       
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else if(ret.User!=null && (ret.User.Id=='admin' || ret.User.Level&0xf==2 || ret.User.Level&0xf==1 || ret.iType==1))
			{
			    dojo.byId('server-access-statistics-div').style.display='';
			    if(isNullorEmpty(type))
			    {		
					StatisticsList();
				}
				else
					ClickStatisticsList();
			}
			else
			{
			    alert('请用admin账号登陆！');			    
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
}

function showStatistics(){
    window.open("ServerStatistics.htm","_blank");
}


function showUserStatistics(){
    hideAllManageDiv();
    if(dojo.byId('usestatisticform').igprID.value!='-1')
    {
	    dojo.byId('usestatisticform').igprID.value = '-1';
	}
    LoadStatistics();
}


function addUserGroup()
{
	hideAllManageDiv();
	showIfExist('groupInfo-div');
}
function DisableGrpManager(disabled)
{
	var gropMenuItem = dijit.byId('grpmenuitem');
	if(gropMenuItem!=null)
	{
		gropMenuItem.attr('disabled',disabled);
	}
}
function hideAllManageDiv()
{
	hideIfExist('server-access-statistics-div');
	hideIfExist('groupInfo-div');
	hideIfExist('adduser-div');
	hideIfExist('listgroup-div');
	hideIfExist('ipbund-div');
	hideIfExist('deleteuser-div');
	hideIfExist('setuserright-div');
	hideIfExist('addgrouprelation-div');
	hideIfExist('deletegrouprelation-div');	
	DisableGrpManager(true);
}

function addUser()
{
	hideAllManageDiv();
	showIfExist('adduser-div');
}

function showManageSpecDiv()
{
		
}
function SetUserRight()
{
	hideAllManageDiv();
	showIfExist('setuserright-div');
}
function IPBund()
{
	hideAllManageDiv();
	showIfExist('ipbund-div');
}


function deleteUser()
{
  hideAllManageDiv();
  showIfExist('deleteuser-div');  

}

function listUserGroup()
{
	hideAllManageDiv();
	showIfExist('listgroup-div');
	showGroupList();
	
	
	
}

function showGroupList()
{
	var sUrl = 'invokexml.do?sf=ListGroupRelation&random='+Math.random();
	hideAllManageDiv();
	DisableGrpManager(false);
	var request={
        url:sUrl,
        handleAs:"text",
        load:function(response, ioArgs){
            dojo.byId('listgroup-div').style.display='';
		    dojo.byId('listgroup-div').innerHTML = XSLTtrans(response,'listgroup2.xsl');
        },
        error:function(type,error){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
	
}

function getUserRight()
{
	if(dojo.byId('per-sid')!=null && dojo.byId('per-sid')!='')
	{
		var formNode = dojo.byId('searchuser-form');
		var sUrl = 'invokexml.do?sf=GetPermission&iget=1'+'&radom='+Math.random();
		var request={
            url:sUrl,
            form:formNode,
            handleAs:"text",
           
			    load:function(response, ioArgs){
			    dojo.byId('userpermission-div').innerHTML = XSLTtrans(response,'userpermission.xsl');
            },
            error:function(type,error){
                alert(error.message);}
        };
        dojo.xhrGet(request);
	}
}
function updateUserRight()
{
	var table = dojo.byId('userpermission-table');
	if(table!=null)
	{
		var userpers ='';
		var inputs = table.getElementsByTagName('input');
		var level=0;
		var description='';
		for(var i=0;i<inputs.length;i++)
		{
			var inputitem = inputs[i];
			if(inputitem.getAttribute('type')=='checkbox')
			{
				var name = inputitem.getAttribute('name');
				name = name.substring(2);
				var value = inputitem.getAttribute('value');
				userpers +=name+':'+value +';';
			}
			if(inputitem.getAttribute('type')=='radio')
			{
				if(inputitem.checked)
					level = inputitem.getAttribute('value');
			}
		}
		if(level!=2)
		{
			description=dojo.byId('level2ip').value;
		}
		if(userpers.length>0)
		{
			userpers = userpers.substring(0, userpers.length-1);
		}
		var formNode = dojo.byId('searchuser-form');
		var sUrl = 'invokejson.do?sf=SetPermission&sps='+userpers+'&ilevel='+level+'&sexp='+description+'&radom='+Math.random();
		var request={
        url:sUrl,
        form:formNode,
        handleAs:"json",
        sync:true,
		load:function(response, ioArgs){
			if(response.Error!=null)
				alert(response.Error);
			else
				getUserRight();
        },
        error:function(type,error){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
  }
}
function changeCheck(obj)
{
	if(obj != null)
	{
		var value = parseInt(obj.getAttribute('value'));
		value = 1 - value;
		obj.setAttribute('value',value);
	}
}

function batchUploadUserAdd(){

	var formNode = dojo.byId('adduserFromfileform');
	formNode.submit();
	formNode.reset();
}
function batchUploadUserAddToOrgnization(){
	var form = dojo.byId('addgrouprelation-form');
	if(form.ifid.value == '1')
	    return;
	//dojo.byId('fatherinput').value = form.ifid.value;
	var formNode = dojo.byId('adduserFromfileformToOrgnization');
	formNode.setAttribute('action','invokehtml.do?sf=AddUserBatchFromFileToOrgnization&sx=AddUserBatchFromFileToOrgniazation&ifid='+form.ifid.value);
	formNode.submit();
	formNode.reset();
}
function batchUploadIpBand()
{
	var formNode = dojo.byId('ipbandform');
	var request={
	  contentType:"multipart/form-data",
	  url: 'invokejson.do?sf=IPPermissionBatch&paramsdes=ip&sv=3',
	  handleAs:"json",
	  form: formNode,
	  load: function(ret, ioArgs)
	  	{
	  		 
	  	},
	  error: function(error, ioArgs)
	  {
	  }
	  
   };
   dojo.xhrPost(request);

}
function setdisable(id,isdisabled)
{
	var inputid = dojo.byId(id);
	if(inputid==null)
		return;
	inputid.disabled=isdisabled;
}

function checkUserPemissionGet(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    if (evt.keyCode == 13) 
    {
        getUserRight();
    }

}

function GroupList()
{
	hideAllManageDiv();
}

function submit_add_groupRelation()
{
    var add_user_form=dojo.byId('addgrouprelation-form');
    var request={
        url:"invokejson.do?sf=AddGroupRelation&sl=chs",
        handleAs:"json",
        form:add_user_form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    alert("添加成功");
			    refreshGrp();
			    hideIfExist('addgrouprelation-div');
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}

function refreshGrp(update)
{
	var wrap = 1;
	if(!isNullorEmpty(update) && update)
		wrap = 2;
	if(g_grpSpanObj==null)
		return showGroupList();
	var trObj = findParentNode(g_grpSpanObj,'tr',wrap);
	if(trObj==null)
		return showGroupList();
	if(wrap == 2)
	{
		var trObj2 = findSiblingBefore(trObj,'tr',1);
		if(trObj2==null)
			return showGroupList();	
		trObj = trObj2;
	}
	var spanObj = trObj.getElementsByTagName('span')[0];
	showSubGroupRelation(spanObj.getAttribute('grpid'),spanObj,true);
}
function submit_update_groupRelation()
{
    var add_user_form=dojo.byId('updategrouprelation-form');
    var request={
        url:"invokejson.do?sf=AddGroupRelation&sl=chs",
        handleAs:"json",
        form:add_user_form,
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    alert("更新成功");
			    refreshGrp(true);
			    hideIfExist('updategrouprelation-div');
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}
function onGroupRelationMouseOver(obj)
{
    obj.style.textDecoration = 'underline';
}

function onGroupRelationMouseOut(obj)
{
    obj.style.textDecoration = 'none';
}
function showGroupAdd()
{
	//hideAllManageDiv();
	hideIfExist('updategrouprelation-div'); 
	showIfExist('addgrouprelation-div'); 
	var form = dojo.byId('addgrouprelation-form');
	if(form!=null)
	{
		if(g_grpSpanObj==null)
		{
			form.ifid.value = '1';
			setDisplay(dojo.byId('addUserFromFileToOrgnizationTable'),'none');
	    }
		else
		{
			form.ifid.value = g_grpSpanObj.getAttribute('grpID');
			setDisplay(dojo.byId('addUserFromFileToOrgnizationTable'),'');
		}
	}
}

function showGrupUpdate()
{
	hideIfExist('addgrouprelation-div');
	var form = dojo.byId('updategrouprelation-form');
	if(form!=null)
		form.ifid.value = g_grpSpanObj.getAttribute('grpID');
	if(g_grpSpanObj.getAttribute('grpType')=='0')
	{
		form.itype.value=0;
		showIfExist('updategrouprelation-div'); 
	}
	else
	{
		hideIfExist('updategrouprelation-div'); 
		if(confirm('确定要更改当前用户类型吗?'))
		{
			form.itype.value=g_grpSpanObj.getAttribute('grpType');
			submit_update_groupRelation();
		}
	}
}

function showGrupLog()
{
	hideIfExist('addgrouprelation-div');	
    hideAllManageDiv();
	dojo.byId('server-access-statistics-div').style.display='';
	dojo.byId('usestatisticform').suid.value='';
	dojo.byId('usestatisticform').sb.value='';
	dojo.byId('usestatisticform').se.value='';
	dojo.byId('usestatisticform').igprID.value = g_grpSpanObj.getAttribute('grpID');
	StatisticsList();
}

function showSubGroupRelation(key, obj, torefresh)
{
    var trNode = obj.parentNode.parentNode.nextSibling;
    var divNode = trNode.getElementsByTagName('div')[0];
    var imgNode = obj;
    var spanNode = obj;
    if(obj.tagName == 'IMG')
        spanNode = obj.parentNode.nextSibling.getElementsByTagName('span')[0];
    else if(obj.tagName == 'SPAN')
        imgNode = obj.parentNode.previousSibling.getElementsByTagName('img')[0];
	if (trNode.style.display == 'none' || torefresh)
	{		
		trNode.style.display = '';
		if(isNullorEmpty(imgNode.src))
		    imgNode.src = c_sImgPath+'img/minus.gif';
		else if(imgNode.src.indexOf('img/plus.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/minus.gif';
		else if(imgNode.src.indexOf('img/plus-red.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/minus-red.gif';
		else if(imgNode.src.indexOf('img/plus-blue.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/minus-blue.gif';
		var resultcache = trNode.getAttribute('resultcache');
		if(resultcache != null && resultcache == '1' && (torefresh == null || torefresh == false))
		{
		    return;		
		}
		divNode.innerHTML = c_sLoading;		
		
		var sUrl = 'invokexml.do?sf=ListGroupRelation&sfid='+key+'&random='+Math.random();
		var request={
			url:sUrl,
			handleAs:"text",
			load:function(response, ioArgs){
				divNode.innerHTML = XSLTtrans(response,'listgroup2.xsl');
			},
			error:function(type,error){
				alert(error.message);
			}
		};
		dojo.xhrGet(request);
        trNode.setAttribute('resultcache', '1');
	}
	else
	{
		trNode.style.display = 'none';
		if(isNullorEmpty(imgNode.src))
		    imgNode.src = c_sImgPath+'img/plus.gif';
		else if(imgNode.src.indexOf('img/minus.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/plus.gif';
		else if(imgNode.src.indexOf('img/minus-red.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/plus-red.gif';
		else if(imgNode.src.indexOf('img/minus-blue.gif')!=-1)
		    imgNode.src = c_sImgPath+'img/plus-blue.gif';
		    
	}
}
function showGroupDelete()
{
	//hideAllManageDiv();
	showIfExist('deletegrouprelation-div'); 
}

function submit_delete_groupRelation()
{
	if(g_grpSpanObj == null)
		return;
    if(confirm('确定要删除该条目吗？') == false)
        return;
    var request={
        url:"invokejson.do?sf=AddGroupRelation&sl=chs&iOpType=2&ifid="+g_grpSpanObj.getAttribute('grpid'),
        handleAs:"json",
        load:function(ret, ioArgs){
			if(ret.Error != null)
			{
			    alert(ret.Error);
			}
			else
			{
			    alert("删除成功");
			    refreshGrp(true);
			}
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
}
