
function loadBookmarkCombobox(selectid, valuetoselect, casetype)
{	
    var select = dojo.byId(selectid);
    if(select == null)
        return;
    var url = c_sBookmarkGetNames + '&random=' + Math.random();
    if(casetype == 2)
        url += '&it=2';
    var request = {
        url: url,
        handleAs:"json",
	    load: function(ret, ioArgs){
	        if(casetype == 2)
	        {
	        	var length = select.options.length;
	            while(length != 0)
                {  
                    for(var i = 0; i < length; i++)
                        select.remove(i);
                    length = select.options.length;
                }
            }
            
            if(casetype != 2)
            {
                var option = document.createElement('OPTION');
                option.text = 'New...';
                option.style.color = 'Gray';
                option.value = '-1';
                select.options.add(option);
            }
            
            var tempexist = false;

	        if(ret.Error != null)
	            alert(ret.Error); 
	        else if(ret.NameList != null)
	        {        
                for(var i = 0; i < ret.NameList.length; i++)
                {        
                    var option = document.createElement('OPTION');
                    option.text = ret.NameList[i];
                    option.value = ret.NameList[i];
                    if(ret.NameList[i] == 'Temp')
                    {
                        tempexist = true;
                        option.style.color = 'Gray';
                    }
                    else if(casetype==2 && ret.NameList[i]=='email')
                    {
                        continue;
                    }
                    else
                    {
                        option.casetype = casetype;
                        if(casetype == 2)
                            option.style.color = 'Red';
                    }
                    select.options.add(option);
                }
	        }
	        
            select.style.display = '';

            for( var i = 0 ; i < select.options.length; i++)
            {
                if(select.options[i].text=='Temp')
                {
                    tempexist=true;
                    break;
                }
            }
            if(!tempexist && casetype != 2)
            {
                var option = document.createElement('OPTION');
                option.text = 'Temp';
                option.style.color = 'Gray';
                option.value = 'Temp';
                select.options.add(option);
            }
            
            if(casetype == 2)
	        {
	            loadBookmarkCombobox(selectid, valuetoselect, 1);
	            return;
	        }
                            
            if(!isNullorEmpty(valuetoselect))
            {
                for(var i = 0; i < select.options.length; i++)
                    if(select.options[i].value == valuetoselect)
                        select.value = valuetoselect;
            }
            else
                select.value = 'Temp';
                
            onBookmarkSelectChange(select);
	    },
        error: function(ret, ioArgs) {
            alert("error occured!");
        }
    };
    dojo.xhrGet(request);
}

//function loadBookmarkCombobox(selectid, valuetoselect)
//{	
//    var select = dojo.byId(selectid);
//    if(select == null)
//        return;
//    var url = c_sBookmarkGetNames + '&random=' + Math.random();
//    var casetype = 1;
//    if(dojo.byId('search-casetype-radio-1').checked)
//    {
//        url += '&it=2';
//        casetype = 2;
//    }
//    var request = new dojo.io.Request(url, 'text/json', null, false);
//    dojo.lang.mixin(request, {
//        encoding: g_encoding,
//	    load: function(typ, evaldObj){
//	        var ret = eval(evaldObj);	
//	        var length = select.options.length;
//	        while(length != 0)
//            {  
//                for(var i = 0; i < length; i++)
//                    select.remove(i);
//                length = select.options.length;
//            }
//            
//            if(casetype != 2)
//            {
//                var option = document.createElement('OPTION');
//                option.text = 'New...';
//                option.style.color = 'Gray';
//                option.value = '-1';
//                select.options.add(option);
//                select.value = -1;
//            }
//            
//            var tempexist = false;

//	        if(ret.Error != null)
//	            alert(ret.Error); 
//	        else if(ret.NameList != null)
//	        {        
//                for(var i = 0; i < ret.NameList.length; i++)
//                {        
//                    var option = document.createElement('OPTION');
//                    option.text = ret.NameList[i];
//                    option.value = ret.NameList[i];
//                    if(ret.NameList[i] == 'Temp')
//                        tempexist = true;
//                    select.options.add(option);
//                }
//	        }
//            select.style.display = '';

//            if(!tempexist && casetype != 2)
//            {
//                var option = document.createElement('OPTION');
//                option.text = 'Temp';
//                option.style.color = 'Gray';
//                option.value = 'Temp';
//                select.options.add(option);
//            }
//            if(casetype != 2)
//                select.value = 'Temp';
//            else if(select.options.length > 0)
//                select.value = select.options[0].value;
//                
//            if(!isNullorEmpty(valuetoselect))
//            {
//                for(var i = 0; i < select.options.length; i++)
//                    if(select.options[i].value == valuetoselect)
//                        select.value = valuetoselect;
//            }
//            onBookmarkSelectChange(select);
//	    },
//        error: function(type, error) {
//            alert("error occured!");
//        }
//    });
//    dojo.io.bind (request);
//}

function onBookmarkHistorySetClick(sbm)
{
    var select = dojo.byId('search-bookmark-select');
    if(select == null)
        return;
    select.value = sbm;
    onBookmarkSelectChange(select);
}

function onBookmarkTempExpandImgClick(imgobj)
{
    if(imgobj.src.indexOf('close-5.gif') != -1)
        imgobj.src = c_sImgPath+'img/open-5.gif';
    else 
        imgobj.src = c_sImgPath+'img/close-5.gif';
    onBookmarkSelectChange(dojo.byId('search-bookmark-select'));
}

function onBookmarkSelectChange(selectobj)
{
    var casetype = selectobj.options[selectobj.selectedIndex].casetype;
    dojo.byId('search-bookmark-delete').style.display = (selectobj.value == -1 ? 'none' : '');
    dojo.byId('search-bookmark-and').style.display = (selectobj.value == -1 ? 'none' : '');
    dojo.byId('search-bookmark-or').style.display = (selectobj.value == -1 ? 'none' : '');
    dojo.byId('search-bookmark-andnot').style.display = (selectobj.value == -1 ? 'none' : '');
    dojo.byId('search-bookmark-save').style.display = (selectobj.value == -1 || casetype == 2 ? 'none' : '');
    dojo.byId('search-bookmark-tempexpand-img').style.display = (selectobj.value == 'Temp' ? '' : 'none');
    loadQuickBookmark(casetype);
    if(dojo.byId('bookmark-allcheck-img')!=null)
    {
        dojo.byId('bookmark-allcheck-img').src = c_sImgPath+'img/check.gif';
    }
}

function prepareAddNewBookmark()
{
    dojo.byId('search-bookmark-popuptype').value = 'new';
    showBookmarkPopupDiv();
}

function prepareRenameBookmark()
{
    dojo.byId('search-bookmark-popuptype').value = 'rename';
    showBookmarkPopupDiv();
}

function saveToCase(type, isaddtemp)
{
    var searchform = null;
    var searchtr = null;
    if(type == 'm')
    {
        searchform = dojo.byId('search-form-master');
        searchtr = dojo.byId('search-form-master-tr');
    }
    else
    {
        searchform = dojo.byId('search-form-slave');
        searchtr = dojo.byId('search-form-slave-tr');
    }
    if(isNullorEmpty(searchform.sq.value))
    {
        alert(c_sERROR_ADDTOCASE_QUERYTERMEMPTY);
        return;
    }
    var casevalue;
    if(!isaddtemp)
    {
        casevalue = dojo.byId('search-bookmark-select').value;
        if(casevalue == -1)
        {
            alert(c_sERROR_ADDTOCASE_NONECASE);
            return;
        }
        else if(dojo.byId('search-bookmark-select').options[dojo.byId('search-bookmark-select').selectedIndex].casetype == 2)
        {
            alert(c_sERROR_ADDTOCASE_ADDTOGLOBALCASE);
            return;
        }
        else if(casevalue != 'Temp' && confirm(c_sCONFIRM_QUERYTERMADDTOCASE.replace('#####', casevalue)) == false)
            return;
    }
    var submitform = document.createElement('form');
    
    var inputs = searchtr.getElementsByTagName('input');
    for(var i = 0; i < inputs.length; i++)
    {
        var input = inputs[i];
        if(input.type == 'hidden')
        {
            var newinput = document.createElement('textarea');
            newinput.setAttribute("name", input.name);
            if(input.name == 'ibm')
                newinput.value = 1; // 1: save it; 0: don't save it
            else
                newinput.value = input.value;
            if(input.name == 'sbm')
               newinput.value = casevalue;
            if(input.name != 'sbm' || !isaddtemp)
                submitform.appendChild(newinput);
        }
    }    
    var url =  c_sQueryFulltextJson + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"json",
        form: submitform,
        load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(ret.Error);
		    }
		    else
		    {
		        if(!isaddtemp)
    		        loadBookmarkCombobox('search-bookmark-select', casevalue, 2);
    		    else
    		        getQueryResultStatBookmarks();
		    }
        },
        error: function(error,ioArgs) { 
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}

function setBookmarkPopupDivPosition()
{
    var popupdiv = dojo.byId('search-bookmark-popupdiv');
    var obj = dojo.byId('search-bookmark-select');
    if(popupdiv.style.visibility == 'visible')
    {
        var left = calculateOffset(obj,'offsetLeft') - 70;
        if(left < 0)
            left = 0;
        var top = calculateOffset(obj,'offsetTop') + 20;
        var scroll = calculateOffset(obj, 'scrollTop');
        popupdiv.style.left = left + "px";
        popupdiv.style.top = (top - scroll) + "px";
    }
}

function showBookmarkPopupDiv()
{
    var popupdiv = dojo.byId('search-bookmark-popupdiv');
    var obj = dojo.byId('search-bookmark-select');
    if(popupdiv.style.visibility == 'hidden')
    {
        dojo.byId('search-bookmark-nameinput').value = '';
        var left = calculateOffset(obj,'offsetLeft') - 70;
        if(left < 0)
            left = 0;
        var top = calculateOffset(obj,'offsetTop') + 20;
        var scroll = calculateOffset(obj, 'scrollTop');
        top = top-scroll;
        if(top<0)
            top = 0;
        popupdiv.style.left = left + "px";
        popupdiv.style.top = top + "px";
        
        dojo.byId('search-projecttype-select').style.display = 'none';
        
        popupdiv.style.visibility = 'visible';
    }
    else
    {
        popupdiv.style.visibility = 'hidden';
//        if(dojo.byId('search-bookmark-popuptype').value == 'new')
//        {
//            var select = dojo.byId('search-bookmark-select');
//            select.value = 'Temp';
//            onBookmarkSelectChange(select);
//        }
        dojo.byId('search-projecttype-select').style.display = '';
    }
}

function checkBookmarkAddKey(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    if (evt.keyCode == 13) 
    {
        prepareBookmarkAdd();
    }
}

function prepareBookmarkAdd()
{
    var type = dojo.byId('search-bookmark-popuptype').value;
    if(type == 'new')
        doBookmarkTempAdd();
    else
        doBookmarkRename();
}

function doBookmarkRename()
{
    var select = dojo.byId('search-bookmark-select');
    var newname = dojo.string.trim(dojo.byId('search-bookmark-nameinput').value);
    if(isNullorEmpty(newname))
        return;
    var length = select.options.length;
    for(var i = 0; i < length; i++)
        if(newname == select.options[i].value)
        {
            alert(c_sERROR_BOOKMARK_ADD_SAME);
            return;
        }
    var form = document.createElement('form');
    var inputnewname = document.createElement('textarea');
    inputnewname.name = 'sn';
    inputnewname.value = newname;
    form.appendChild(inputnewname);
    var inputoldname = document.createElement('textarea');
    inputoldname.name = 'son';
    if(select.value == -1)
        inputoldname.value = '';
    else
        inputoldname.value = select.value;
        
        
        
        
        

        
    var table = dojo.byId('quickbookmarklist-table');
    if(table == null)
        return;
    var bookmarkids='';
    
    var spans = table.getElementsByTagName('span');
    for(var i=0;i<spans.length;i++)
    {
        if(spans[i].className=='case')
        {
            var imgs = spans[i].getElementsByTagName('img');
            
            if(imgs.length>0)
            {
                if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                {
                    
                           
                            
                     var id = spans[i].getAttribute('caseValue').substring(2);
                     bookmarkids+= bookmarkids==''?id:(';'+id);
                }
            }
            
        }
    }
        
    if(bookmarkids == '')
    {
        doBookmarkTempAdd();
        return;
    }
    form.appendChild(inputoldname);
    var url =  c_sBookmarkAdd + '&sbl='+bookmarkids+ '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"json",
        form: form,
        load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_BOOKMARK_ADD + ret.Error);
		    }
		    else
		    {
		        showBookmarkPopupDiv();
		        loadBookmarkCombobox('search-bookmark-select', newname, 2);
		    }
        },
        error: function(error,ioArgs) { 
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}

function doBookmarkTempAdd()
{
    var select = dojo.byId('search-bookmark-select');
    var name = dojo.string.trim(dojo.byId('search-bookmark-nameinput').value);
    if(isNullorEmpty(name))
        return;
    var length = select.options.length;
    for(var i = 0; i < length; i++)
        if(name == select.options[i].value)
        {
            alert(c_sERROR_BOOKMARK_ADD_SAME);
            return;
        }
//    var option = document.createElement('OPTION');
//    option.text = name;
//    option.value = name;
//    select.add(option, select.length - 1);
//    select.value = name;

select.options[select.options.length] = new Option(name,name);
select.value = name;

    showBookmarkPopupDiv();
    dojo.byId('quickbookmarklist-tablediv').innerHTML = '';
    dojo.byId('search-bookmark-delete').style.display = '';
}


function loadQuickBookmark(casetype)
{
    var targetdiv = dojo.byId('quickbookmarklist-tablediv');
    if(targetdiv == null)
        return;
    var currentBookmark = dojo.byId('search-bookmark-select').value;
    var form = document.createElement('form');
    if(currentBookmark != -1)
    {
        var input = document.createElement('textarea');
        input.name = 'sn';
        input.value = currentBookmark;
        form.appendChild(input);
    }
    else
    {
        targetdiv.innerHTML = '';
        prepareAddNewBookmark();
        return;
    }
    targetdiv.innerHTML = c_sLoading;
    var url =  c_sBookmarkGet_Quick + '&random=' + Math.random();
    if(currentBookmark == 'Temp' && dojo.byId('search-bookmark-tempexpand-img').src.indexOf('close-5.gif') != -1)
        url += '&fooTemp=1';    
    url += '&fooCaseType=' + casetype+'&it='+casetype;
    var request= {
        url: url,
        form:form,
        handleAs:"text",
        load: function(response, ioArgs){
            targetdiv.innerHTML = XSLTtrans(response, c_sXslFileBookmarkGet_Quick);
        },
        error: function(error, ioArgs) { 
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}

function doPopupDivAddBookmarkClick()
{
    var type = dojo.byId('search-popupdiv-pn').value;
    var sname = dojo.byId('search-popupdiv-select').value;
    var popupdivform = dojo.byId('search-popupdiv-form');
    if(sname == '-1' && isNullorEmpty(popupdivform.sn.value))
    {
        alert(c_sERROR_BOOKMARK_ADD);
        return;
    }
    var searchform = null;
    var queryterm = '';
    if(type == 'SEARCH-MASTER')
    {
        searchform = dojo.byId('search-form-master');
        if(searchform.sq.value.indexOf('r/') != -1 || searchform.sq.value.indexOf('R/') != -1 )
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp'));
        else
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp'));
    }
    else if(type == 'SEARCH-SLAVE')
    {
        searchform = dojo.byId('search-form-slave');
        if(searchform.sq.value.indexOf('r/') != -1 || searchform.sq.value.indexOf('R/') != -1 )
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp_s'));
        else
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp_s'));
    }
    else  
    {
        searchform = dojo.byId('search-form-slave');
        if(searchform.sq.value.indexOf('r/') != -1 || searchform.sq.value.indexOf('R/') != -1 )
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp_p'));
        else
            queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp_p'));
    }
    popupdivform.sq.value = queryterm;
    popupdivform.idi.value = searchform.idi.value;
    popupdivform.iopt.value = searchform.iopt.value;
    if(sname != '-1')
        popupdivform.sn.value = sname;
    var request = {
        url: c_sBookmarkAdd + '&random=' + Math.random(),
        hanleAs: "json",
        form: popupdivform,
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_BOOKMARK_ADD + ret.Error);
		    }
		    else
		    {
		        closeProjectDiv();
		        loadQuickBookmark();
		    }
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);    
}

function loadBookmarkHistory()
{
    var from = dojo.byId('history-bookmark-fromdate').value;
    var to = dojo.byId('history-bookmark-todate').value;
    var url = c_sBookmarkGetNames_Quick + '&random=' + Math.random();
	if(!isNullorEmpty(from) && !isNullorEmpty(to))
	    url += '&ss=' + from + '&se=' + to;
	var divobj = dojo.byId('historylistdiv')
    var request = {
        url:url,
        handleAs:"text",
        load: function(response,ioArgs){
            divobj.innerHTML = XSLTtrans(response, c_sXslFileBookmarkGetNames_Quick);
        },
        error: function(error,ioArgs) {
            alert(error.message);
        }
	 };
	 dojo.xhrGet(request);
}

function showBookmarkHistory(pos, name)
{
    var divobj = dojo.byId('bookmark-history-bookmarklist-div-' + pos);
    var rowNode = dojo.byId('bookmark-history-hiddenrow-' + pos);
    var imgNode = dojo.byId('bookmark-history-img-' + pos);
    if (rowNode.style.display == 'none')
	{
		rowNode.style.display = '';
		imgNode.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		rowNode.style.display = 'none';
		imgNode.src = c_sImgPath+'img/plus.gif';
		return;
	}
	divobj.innerHTML = c_sLoading;
	var from = dojo.byId('history-bookmark-fromdate').value;
    var to = dojo.byId('history-bookmark-todate').value;
	var url =  c_sBookmarkGet_Quick + '&foo=' + name + '&random=' + Math.random();
	if(!isNullorEmpty(from) && !isNullorEmpty(to))
	    url += '&ss=' + from + '&se=' + to;
	var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'sn';
    input.value = name;
    form.appendChild(input);
    var request = {
        url:url,
        handleAs: "text",
        form: form,
        load: function(reponse,ioArgs){
            divobj.innerHTML = XSLTtrans(reponse, c_sXslFileBookmarkGet_History);
        },
        error: function(type, error) { 
            alert(error.message);
        }
    };
	dojo.xhrPost(request);
}

function showBookmarkHistory2(pos, name)
{
    var divobj = dojo.byId('bookmark-history-bookmarklist-div-' + pos);
    var rowNode = dojo.byId('bookmark-history-hiddenrow-' + pos);
    var imgNode = dojo.byId('bookmark-history-img-' + pos);
    if (rowNode.style.display == 'none')
	{
		rowNode.style.display = '';
		imgNode.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		rowNode.style.display = 'none';
		imgNode.src = c_sImgPath+'img/plus.gif';
		return;
	}
	divobj.innerHTML = c_sLoading;
	var from = dojo.byId('history-bookmark-fromdate').value;
    var to = dojo.byId('history-bookmark-todate').value;
	var url =  c_sBookmarkGet_Quick  + '&random=' + Math.random();
	if(!isNullorEmpty(from) && !isNullorEmpty(to))
	    url += '&ss=' + from + '&se=' + to;
	var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'sn';
    input.value = name;
    var input2 =document.createElement('textarea');
    input2.name='foo';
    input2.value=name;
    form.appendChild(input);
    form.appendChild(input2);
    var request = {
        url:url,
        handleAs: "text",
        form: form,
        load: function(reponse,ioArgs){
            divobj.innerHTML = XSLTtrans(reponse, c_sXslFileBookmarkGet_History);
        },
        error: function(type, error) { 
            alert(error.message);
        }
    };
	dojo.xhrPost(request);
}

function doBookmarkClick(obj, idi, iopt, type, formtype) //type : 1 for S4  2 for queryterm
{
    var query = dojox.data.dom.textContent(obj);
    query = query.replace(/(^\s*)/g, ""); 
    if(type == 2 && !isNullorEmpty(obj.title))
    {
        query = obj.title;
        query = query.replace(/(^\s*)/g, ""); 
    }
    setSearchTypeCheckbox(parseInt(idi));
    setSearchTypeValue('1');
    var form = null;
    if(isNullorEmpty(formtype))
        form = dojo.byId('search-form-master');
    else
        form = dojo.byId('search-form-slave');
    form.iopt.value = parseInt(iopt);
    if(isNullorEmpty(formtype) || formtype == 'm')
        prepareMasterSearch(query, -1, -1, null, null, null);
    else
        prepareSlaveSearch(query, -1, null, null, null, null);
}

function showBookmarkPatents(pos, id, type)
{
    var divid = isNullorEmpty(type) ? ('search-bookmark-hiddendiv-' + pos) : ('history-bookmark-hiddendiv-' + pos);
    var imgid = isNullorEmpty(type) ? ('search-bookmark-img-' + pos) : ('history-bookmark-img-' + pos);
    var divobj = dojo.byId(divid);
    var imgobj = dojo.byId(imgid);
	if (divobj.style.display == 'none')
	{
		divobj.style.display = '';
		imgobj.src = c_sImgPath+'img/minus.gif';
	    divobj.innerHTML = c_sLoading;
	    var url = c_sBookmarkGetJson + '&iid=' + id + '&random=' + Math.random();
        var request = {
                url:url,
                handleAs:"json",
		        load: function(ret, ioArgs){
                    if(ret.Error != null)
	                    divobj.innerHTML = 'Get Patents failed!' + ret.Error;
	                else if(ret.BookmarkList.length > 0 && ret.BookmarkList[0].TermListList != null)
	                {
	                    var pns = '';
	                    for(var i = 0; i < ret.BookmarkList[0].TermListList.length; i++)
	                        pns += ret.BookmarkList[0].TermListList[i] + ' ';
	                    if(isNullorEmpty(type))
                            getBookmarkPatentsJsonHTML(pns, divobj);
                        else
                            getBookmarkPatentsHTML(pns, divobj);
	                }  	  
	                else
	                    divobj.innerHTML = '';
		        },
	            error: function(error,ioArgs) { 
	                divobj.innerHTML = error.message;
	            }
	        };
	        dojo.xhrGet(request);
	}
	else
	{
		divobj.style.display = 'none';
		imgobj.src = c_sImgPath+'img/close-5.gif';
	}
}

function getBookmarkPatentsHTML(pns, divobj)
{
    var url = c_sQueryFulltext +  '&ipt=0&ips=100000&idi='+DATABASE_ALL+'&iopt=0' + '&sq=pns/' + pns + '&random=' + Math.random();
    var request= {
            url:url,
            handleAs:"text",
	        load: function(response, ioArgs){
	    	     divobj.innerHTML = XSLTtrans(response, c_sXslFileBookmarkGet_Patent);
	        },
            error: function(error,ioArgs) { 
                divobj.innerHTML = error.message;
            }
        };
        dojo.xhrGet(request);
}

function getBookmarkPatentsJsonHTML(pns, divobj)
{
    var url = c_sQueryFulltextJson +  '&ipt=0&ips=100000&idi='+DATABASE_ALL+'&iopt=0' + '&sq=pns/' + pns + '&random=' + Math.random();
    var request = {
            url:url,
            handleAs:"json",
	        load: function(ret, ioArgs){
                if(ret.Error != null)
                {
                    divobj.innerHTML = 'Get Patents failed!' + ret.Error;
                }
                else
                {
                    var displayhtml = '<table cellspacing="0" cellpadding="0" >';
                    if(ret.PatentList != null)
                    {
                        for(var i = 0; i < ret.PatentList.length; i++)
                        {
                            displayhtml += '<tr>';
                            displayhtml += '<td valign="top"><a target="_blank" href="' + c_sShowPatent + '&spn= ' + ret.PatentList[i].PN + '">' + ret.PatentList[i].p + '</a></td>';
                            displayhtml += '<td style="padding-left:5px"><span class="quickproject-name" onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)" onclick="addPatentToMasterQuerylist(&#39;' + ret.PatentList[i].PN + '&#39;, null)">' + ret.PatentList[i].t + '</span>&nbsp;<img class="imglink" src="'+c_sImgPath+'img/rankby.gif"  onmouseover="this.src=&#39;'+c_sImgPath+'img/rankby-active.gif&#39;" onmouseout="this.src=&#39;'+c_sImgPath+'img/rankby.gif&#39;"  title="Rank" onclick="onQuickProjectPatentRankClick(&#39;' + ret.PatentList[i].PN + '&#39;)"/></td>';
                            displayhtml += '</tr>';
                        }
                    }
                    displayhtml += '</table>';
                    divobj.innerHTML = displayhtml;
                }  	    
	        },
            error: function(error,ioArgs) { 
                divobj.innerHTML = error.message;
            }
        };
        dojo.xhrGet(request);
}


function doDeleteBookmark(index, obj)
{
    if(!isNullorEmpty(index))
    {
        var table = dojo.byId('quickbookmarklist-table');
        var tr = findParentNode(obj, 'tr', 1);
        var dterm = 'S/' + index;
        for(var i = tr.rowIndex + 2; i < table.rows.length; i += 2)
        {
            var term = dojox.data.dom.textContent(table.rows[i].cells[2]);
            if(term.indexOf(dterm) != -1)
            {
                alert(c_sERROR_BOOKMARK_DELETEDEPENDENT);
                return;
            }        
        }
    }
    if(confirm(isNullorEmpty(index) ? c_sCONFIRM_BOOKMARK_DELETEBOOKMARK : c_sCONFIRM_BOOKMARK_DELETEBOOKMARKITEM) == false)
        return;
    var sn = dojo.byId('search-bookmark-select').value;
    
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'sn';
    input.value = sn;
    form.appendChild(input);
    var url = c_sBookmarkDelete + '&random=' + Math.random();
    if(!isNullorEmpty(index))
        url += '&in=' + index;
    var request = {
                url:url,
                handleAs:"json",
                form: form,
                load: function(ret, ioArgs){
	                if(ret.Error != null)
		            {
		                alert(c_sERROR_BOOKMARK_DELETE + ret.Error);
		            }
		            else
		            {
		                loadBookmarkCombobox('search-bookmark-select', isNullorEmpty(index) ? null : sn, 2);
		            }
                },
                error: function(error,ioArgs) { 
                    alert(error.message);
                }
	    };
	    dojo.xhrPost(request);
}

function doDeleteTempBookmark()
{
    var url = c_sBookmarkDelete + '&random=' + Math.random();
    var request = {
            url:url,
            handleAs:"json",
                load: function(ret, ioArgs){
	                if(ret.Error != null)
		            {
		                setPageViewDisplay('login');
		                alert(ret.Error);
		            }
		            else
		            {
		                dojo.byId('search-master-rotate-div').style.display = '';
		            }
                },
                error: function(error,ioArgs) { 
                    alert(error.message);
                }
	    };
	    dojo.xhrGet(request);
}

function doFilterMasterSearch(obj)
{
    var bookmarkquery = dojox.data.dom.textContent(obj.parentNode.getElementsByTagName('span')[0]);
    var masterquery = '';
    if(bookmarkquery.indexOf('r/') == -1 && bookmarkquery.indexOf('R/') == -1 )
        masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp'));
    else
        masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp'));
    if(isNullorEmpty(masterquery) || isNullorEmpty(bookmarkquery))
        return;
    var query = masterquery + ' and ' + bookmarkquery;
    prepareMasterSearch(query, -1, -1, null, null, null);
}

function doBookmarkMultiDelete()
{
    var table = dojo.byId('quickbookmarklist-table');
    if(table == null)
        return;
    var itemlist = '';
    var spans = table.getElementsByTagName('span');
    for(var i=0;i<spans.length;i++)
    {
        if(spans[i].className=='case')
        {
            var imgs = spans[i].getElementsByTagName('img');
            if(imgs.length>0)
            {
                if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                {
                    var itemnum = spans[i].getAttribute('caseValue').substring(2);
                    if(itemlist == '')
                        itemlist += itemnum;
                    else
                        itemlist += ';'+itemnum;
                    
                }
            }
            
        }
    }
    var sn = dojo.byId('search-bookmark-select').value;
    
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'sn';
    input.value = sn;
    form.appendChild(input);
    
    var url = 'invokejson.do?sf=BookmarkDelete&sns='+itemlist+'&random='+Math.random();
     var request = {
            url:url,
            handleAs:"json",
            form:form,
             load: function(ret, ioArgs){
	                if(ret.Error != null)
		            {
		                alert(c_sERROR_BOOKMARK_DELETE + ret.Error);
		            }
		            else
		            {
		                loadBookmarkCombobox('search-bookmark-select', sn, 2);
		            }
                },
                error: function(error,ioArgs) { 
                    alert(error.message);
                }
	    };
	dojo.xhrPost(request);
}

function doBookmarkTopSearch(type)
{
    var conword = ' and ';
    if(type == '2')
        conword = ' or ';
    else if(type == '3')
        conword = ' andnot ';
        
    var table = dojo.byId('quickbookmarklist-table');
    if(table == null)
        return;
    var queryterm = '';
    
    var spans = table.getElementsByTagName('span');
    for(var i=0;i<spans.length;i++)
    {
        if(spans[i].className=='case')
        {
            var imgs = spans[i].getElementsByTagName('img');
            if(imgs.length>0)
            {
                if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                {
                    queryterm += (queryterm!=''?conword:'')+spans[i].getAttribute('caseValue');
                }
            }
            
        }
    }
    if(queryterm != '')
        prepareMasterSearch(queryterm, -1, -1, null, null, null);
}

function doRotateBookmarkSearch(type)
{
    var conword = ' and ';
    if(type == '2')
        conword = ' or ';
    else if(type == '3')
        conword = ' andnot ';
    var table = dojo.byId('rotatebookmarklist-table');
    if(table == null)
        return;
    var queryterm = '';
    for(var i = 1; i < table.rows.length; i++)
    {
        var checkbox = table.rows[i].cells[4].getElementsByTagName('input')[0];
        if(checkbox != null && checkbox.type == 'checkbox' && checkbox.checked == true)
            queryterm += (queryterm != '' ? conword : '') + checkbox.getAttribute("caseValue");
    }
    if(queryterm != '')
        queryterm += ' and top/100';
    if(queryterm != '')
    {
        //dojo.byId('search-bookmark-select').value = -1;
        prepareSlaveSearch(queryterm, -1, null, null, null, null, 1);
        //saveToCase('s', true);
    }
}

function saveToEmailCase(type)
{
    var isaddtemp = false;
    var searchform = null;
    var searchtr = null;
    if(type == 'm')
    {
        searchform = dojo.byId('search-form-master');
        searchtr = dojo.byId('search-form-master-tr');
    }
    else
    {
        searchform = dojo.byId('search-form-slave');
        searchtr = dojo.byId('search-form-slave-tr');
    }
    if(isNullorEmpty(searchform.sq.value))
    {
        alert(c_sERROR_ADDTOCASE_QUERYTERMEMPTY);
        return;
    }
    var casevalue = 'email';
    if(confirm(c_sCONFIRM_QUERYTERMADDTOCASE.replace('#####', casevalue)) == false)
    {
        return;
    }
    var submitform = document.createElement('form');
    
    var inputs = searchtr.getElementsByTagName('input');
    for(var i = 0; i < inputs.length; i++)
    {
        var input = inputs[i];
        if(input.type == 'hidden')
        {
            var newinput = document.createElement('textarea');
            newinput.setAttribute("name", input.name);
            if(input.name == 'ibm')
                newinput.value = 1; // 1: save it; 0: don't save it
            else
                newinput.value = input.value;
            if(input.name == 'sbm')
               newinput.value = casevalue;
            if(input.name != 'sbm' || !isaddtemp)
                submitform.appendChild(newinput);
        }
    }    
    var url =  c_sQueryFulltextJson + '&random=' + Math.random();
    
    var request={
        url:url,
        handleAs:"json",
        form:submitform,
        load:function(ret,ioArgs){
            if(ret.Error != null)
		    {
		        alert(ret.Error);
		    }
		    else
		    {
		        if(dojo.byId('search-bookmark-select').value=='email')
		        {   
		            loadBookmarkCombobox('search-bookmark-select', 'email', 2);
		        }
		    }
        },
        error:function(error,ioArgs){
            alert(error.message);
        }
    };
    dojo.xhrPost(request);
}
function prepareBookmarkCheck(obj)
{
    if(obj.src.indexOf('check.gif')!=-1 || obj.src.indexOf('check-active.gif')!=-1)
    {
        obj.src=c_sImgPath+'img/cancel.gif';
    }
    else if( obj.src.indexOf("cancel.gif")!=-1)
    {
        obj.src=c_sImgPath+'img/check.gif';
    }
    var contentlist = dojo.byId('quickbookmarklist-tablediv');
    if(contentlist!=null)
    {
        var checks = contentlist.getElementsByTagName('img');
        if(checks!=null)
        {
            for( var i = 0 ; i < checks.length; i++)
            {
                if(checks[i].src.indexOf('check.gif')!=-1 || checks[i].src.indexOf('cancel.gif')!=-1)
                {
                    checks[i].src = obj.src;
                }
            }
        }
    }
}