﻿ var projectIdColorPair = null;

var g_tempProjectId='';

//seedy
function onChangeColor(obj)
{
    
    
    obj.style.backgroundColor=obj.options[obj.selectedIndex].style.backgroundColor;
}

function onProjectNameMouseOver(obj)
{
    obj.style.textDecoration = "underline";
}

function onProjectNameMouseOut(obj)
{
    obj.style.textDecoration = "none";
}

function onProjectTabClick(type, projectid)
{
    var divp = dojo.byId('project-tab-div-p-' + projectid);
    var divs = dojo.byId('project-tab-div-s-' + projectid);
    var spanp = dojo.byId('project-tab-header-p-' + projectid)
    var spans = dojo.byId('project-tab-header-s-' + projectid)
    if(type == 'p')
    {
        divp.style.display = '';
        divs.style.display = 'none';
        spanp.className = 'querytab-tabactive';
        spans.className = 'querytab-tab';
    }
    else
    {
        divp.style.display = 'none';
        divs.style.display = '';
        spans.className = 'querytab-tabactive';
        spanp.className = 'querytab-tab';
        doProjectPatentStat(divs, projectid);
    }
}

function doProjectPatentStat(divobj, projectid)
{
    var projectName = dojox.data.dom.textContent(dojo.byId('project-update-name-span-' + projectid));
    var url = c_sQueryResultStat + '&ipt=1&idi='+DATABASE_ALL+'&iopt=0&sq=proj/' + projectid + '&ss=projstat&foo=~' + projectName +　'&random=' + Math.random();
    divobj.innerHTML = c_sLoading;
    var request = {
        url:url,
        handleAs:"text",
        load: function(response, ioArgs){
                divobj.innerHTML = XSLTtrans(response, c_sXslFileQueryResultStat);
        },
        error: function(error,ioArgs) {divobj.innerHTML = error.message; }
    };
    dojo.xhrGet(request);
}

function doSaveCurrentPageResultSetToProject(projectid, parentType, notalert)
{
    var table;
    if(parentType == 'sm')
    {
        table = dojo.byId('querylist-queryresult-table-SEARCH-MASTER');
    }
    else if(parentType == 'sl')
        table = dojo.byId('querylist-queryresult-table-SEARCH-SLAVE');
    else if(parentType == 'sp')
        table = dojo.byId('querylist-queryresult-table-SEARCH-PATENT');
    if(table == null)
        return;
    var spns = '';
    for(var i = 1; i < table.rows.length; i += 2)
    {
        var pn = dojox.data.dom.textContent(table.rows[i].cells[0]);
        spns += pn + '\n';
    }
    if(spns != '')
        spns = spns.substring(0, spns.length - 1);
    doProjectPatentAdd(projectid, spns, null, notalert);
}

function doSaveResultSetToProject(projectid, parentType, notalert)
{
	  if(notalert == null)
    {
       notalert = false;
    }
		
    var url = c_sQueryResultSet + '&ipid=' + projectid + '&random=' + Math.random();
    var form = null;
    if(parentType == 'sm')
        form = dojo.byId('search-form-master');
    else if(parentType == 'sl')
        form = dojo.byId('search-form-slave');
    else if(parentType == 'sp')
        form = dojo.byId('search-form-slave');
    var request = {
        url:url,
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
		    if(ret.Error != null)
		        alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + ret.Error);
		    //else
		      //  alert(c_sSUCCESS_PROJECT_IMPORTPATENTTOPROJECT );
	    },
	    error: function(error,ioArgs) { 
	       alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + error.message);
	    }
    };
    dojo.xhrPost(request);     
}

function doSaveImportPatentsToProject(projectid)
{
    var url = c_sImportPatents + '&ipid=' + projectid + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"json",        
	    load: function(ret, ioArgs){
		    if(ret.Error != null)
		        alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + ret.Error);
		    //else
		      //  alert(c_sSUCCESS_PROJECT_IMPORTPATENTTOPROJECT );
	    },
	    error: function(type, error) { 
	       alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + error.message);
	    }
    };  
    dojo.xhrGet(request);       
}

function doSaveClipboardPatentsToProject(projectid, notalert)
{
    var spns = getClipboardCheckedPatents();
    doProjectPatentAdd(projectid, spns, null, notalert);
}

function doSavePNClipboardPatentsToProject(projectid, notalert)
{
    var spns = getClipboardPNCheckedPatents();
    doProjectPatentAdd(projectid, spns, null, notalert);
}


function doProjectPatentAdd(projectid, pn, guid, notalert)
{
    if(notalert == null)
    {
       notalert = false;
    }
    var db=1;
    if(pn == '' || pn == null)
    {
        alert(c_sERROR_PROJECT_ADDCHECKEDPATENT);
        return;
    }
    else if(pn == '#') // directly type pn in the input control and press "Add" button
    {
        var projecttype = dojo.byId('project-projectlist').projecttype;
        if(projecttype == '1')
            pn = dojo.byId('querylist-projectpatent-inputpn-' + projectid).value;
        else
            pn = dijit.byId('querylist-projectpatent-inputpn-' + projectid).value;
        if(dojo.byId('project-hidden-div-'+projectid)!=null){
            var inputs = dojo.byId('project-hidden-div-'+projectid).getElementsByTagName('input');
            if(inputs!=null)
            {
                for( var i = 0; i < inputs.length; i++)
                {
                    if(inputs[i].type=='radio')
                    {
                        if(!inputs[i].checked)
                            db=4;
                        break;                      
                    }
                }
            }
        }
        if(isNullorEmpty(pn))
        {
            alert(c_sERROR_PROJECT_ADDINPUTPATENT);
            return;
        }
    }
    if(dojo.byId('project-projectlist') != null)
    {
        var projecttype = dojo.byId('project-projectlist').projecttype;
        if(projecttype == '3')
        {
            var pos = pn.indexOf(' ');
            if(pos != -1)
                pn = pn.substring(0, pos);
        }
    }
    var url = c_sProjectPatentAdd + '&ipid=' + projectid + '&random=' + Math.random()+'&idb='+db;//+ '&spns=' + pn + 
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'spns';
    input.value = pn;
    form.appendChild(input);
    var request = {
        url:url,
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
		    if(ret.Error != null)
		    {		        
		    	if(!notalert){
		        if(projectid == 0)
		            alert(c_sERROR_PIN + ret.Error);
		        else
		            alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + ret.Error);
		      }
		    }
		    else
		    {
		        if(ret.Count==0)
		        {
		        	if(!notalert)
		            {
		          	//alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT);
		          	 alert(c_sNotFountPatentProject );
		            }
		        }
		        else if(projectid == 0) // pin
		       	{
		       		if(!notalert)
		                alert(c_sSUCCESS_PIN );
		        }
		        else
		        {
		        	//if(!notalert)
		        	//{
		           // alert(c_sSUCCESS_PROJECT_ADDPATENTTOPROJECT.replace('##N',pn));
		        //  }
		            if(g_currentView == 'project')
		            {
		              onProjectNameClick(projectid, true, db);
		            }
		            loadQuickProject();
		        }
		    }
	    },
	    error: function(error,ioArgs) { 
	       alert(c_sERROR_PROJECT_ADDPATENTTOPROJECT + error.message);
	    }
    }; 
    dojo.xhrPost(request);    
}

function changeInputAssgneeType(idi, projectid)
{
    var url = c_sCheckAN + '&idi=' + idi;
    dijit.byId('querylist-projectpatent-inputpn-' + projectid).store._setSearchUrlPattern(url,'ANList');
}

function onProjectNameClick(projectid, alwaysdisplay,db)
{
    LoadQueryJsFile();
    var divid = 'project-hidden-div-' + projectid;
    var divobj = dojo.byId(divid);
    if(divobj == null)
        return;
    if(isNullorEmpty(divobj.projectid))
    {
        divobj.projectid = projectid;
    }
    else if(divobj.projectid == projectid)
    {
        var tr = divobj.parentNode.parentNode;
        if(tr.nodeName == 'tr')
        {
            if(tr.style.display == '')
            {
                if(alwaysdisplay == null || alwaysdisplay == false)
                {
                    tr.style.display = 'none';
                    return;
                }
            }
        }
    }
    else
    {
        divobj.projectid = projectid;
    }
    if(divobj.style.display == 'none' && !isNullorEmpty(divobj.p))
        divobj.p = 0;
    var projecttype = dojo.byId('project-projectlist').projecttype;
    var pager = '';
    if(!isNullorEmpty(divobj.p))
        pager = '&ipi=' + divobj.p;
    var url = '';
    var projectipid = dojo.byId('project-projectlist').projectipid;
    if(db==null)
    {
        db=1;
    }
    if(projecttype == '1')
        url = c_sQueryFulltext_ProjectPatent + '&ipt=1&idi='+DATABASE_ALL+'&iopt=0&sdf=p10t45a39c40&scs=1&ss=proj' + pager + '&sq=proj/' + projectid + '&foo=' + projectid + '&fooipid=' + projectipid +'&fooidb='+db+ '&random=' + Math.random();
    else
        url = c_sProjectPatentGet + '&ipid=' + projectid + '&scs=1&foo=' + projectid + '&footype=' + projecttype + '&fooipid=' + projectipid +'&fooidb='+db+ '&random=' + Math.random();
    //divobj.style.display = '';
    var tr = divobj.parentNode.parentNode;
    if(tr.nodeName == 'tr' || tr.nodeName == 'TR')
    {
        if(tr.style.display == 'none')
        {
            tr.style.display = '';
        }
    }
        
    divobj.innerHTML = c_sLoading;
    var request = {
        url:url,
        handleAs:"text",
        load: function(response, ioArgs){
                divobj.style.display='none';
                if(projecttype == '1')
                    divobj.innerHTML = XSLTtrans(response, c_sXslFileQueryFulltext_ProjectPatent);
                else
                    divobj.innerHTML = XSLTtrans(response, c_sXslFileProjectTerms);
                if(dojo.byId('querylist-projectpatent-table-'+projectid)!=null)
                {
                    if(dojo.byId('querylist-projectpatent-table-'+projectid).rows.length==1)
                    {
                        if(!isNullorEmpty(divobj.p))
                        {
                            var pagerI = parseInt(divobj.p);
                            if(pagerI>0)
                                divobj.p=pagerI-1;
                            divobj.style.display='';
                            onProjectNameClick(projectid,alwaysdisplay,db);
                            return;
                        }
                    }
                }
                divobj.style.display='';
                var tr = divobj.parentNode.parentNode;
            	var selectid = 'querylist-projectpatent-select-' + projectid;
		    	loadProjectCombobox(projecttype, selectid, false, projectid);
		    	//initProjectIdColorPair();
		    	var inputname = 'querylist-projectpatent-inputpn-' + projectid;
		    	var dojocombobox = null;
		    	if(projecttype == '2')
		    	{
		    	    if (dijit.byId(inputname)) {
                        dijit.byId(inputname).destroy();
                    }

	                dojo.parser.parse(divobj);
	                dojocombobox=dijit.byId(inputname);
	                dojocombobox._setValueField('ANList');
                    dojocombobox.store._setSearchUrlPattern(c_sCheckAN + '&idi=3','ANList');
	            }   
		    	else if(projecttype == '3')
		    	{
		    	    if (dijit.byId(inputname)) {
                        dijit.byId(inputname).destroy();
                    }

	                dojo.parser.parse(divobj);
	                dojocombobox=dijit.byId(inputname);
	                dojocombobox._setValueField('CCLList');
                    dojocombobox.store._setSearchUrlPattern(c_sCheckCCL,'CCLList');
	                //dojocombobox = dijit.createWidget("ComboBox", {widgetId:inputname, mode:'remote', autocomplete:true,dataUrl:c_sCheckCCL}, dojo.byId(inputname));   
	            }
		    	else if(projecttype == '4')
		    	{
		    	    if (dijit.byId(inputname)) {
                        dijit.byId(inputname).destroy();
                    }

	                dojo.parser.parse(divobj);
	                dojocombobox=dijit.byId(inputname);
	                dojocombobox._setValueField('');
                    dojocombobox.store._setSearchUrlPattern('','');
	            }
	            else if(projecttype == '7')
	            {
		    	    if (dijit.byId(inputname)) {
                        dijit.byId(inputname).destroy();
                    }

	                dojo.parser.parse(divobj);
	                dojocombobox=dijit.byId(inputname);
	                dojocombobox._setValueField('KWList');
                    dojocombobox.store._setSearchUrlPattern(c_sCheckKW,'KWList');
	                
	            }
        },
        error: function(error,ioArgs) {divobj.innerHTML = error.message; }
    };
    dojo.xhrGet(request);
}

function doProjectPatentDelete(projectid, pn,fromtype)
{
    if(pn == '' || pn == null)
    {
        alert(c_sERROR_PROJECT_DELETECHECKEDPATENT);
        return;
    }
    if(confirm(c_sCONFIRM_PROJECT_REMOVEPATENT.replace('##',pn)) == false)
        return;
    
	
    if(dojo.byId('project-hidden-div-'+projectid)!=null){
        var inputs = dojo.byId('project-hidden-div-'+projectid).getElementsByTagName('input');
        if(inputs!=null)
        {
            for( var i = 0; i < inputs.length; i++)
            {
                if(inputs[i].type=='radio')
                {
                    if(!inputs[i].checked)
                        db=4;
                    break;                      
                }
             }
        }
    }
    var url = c_sProjectPatentDelete + '&ipid=' + projectid + '&random=' + Math.random();
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'spns';
    input.value = pn;
    form.appendChild(input);
    var request = {
        url:url,
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
		    if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_DELETEPROJECTPATENT + ret.Error);
		    }
		    else
		    {
		        onProjectNameClick(projectid, true);
		        loadQuickProject();
		        if(fromtype == 'quick')
		        {
		            if(dojo.byId('search-quickproject-hiddenrow-' + projectid)!=null)
		                dojo.byId('search-quickproject-hiddenrow-' + projectid).style.display='none';
		            showQuickProjectPatents(projectid,'1','quick');
		        }
		    }
	    },
	    error: function(error,ioArgs) { 
	       alert(c_sERROR_PROJECT_DELETEPROJECTPATENT + error.message);
	    }
    };  
    dojo.xhrPost(request);    
}

function prepareAddProject()
{
    var divid = 'projectupdate-div-projectupdate';
    var divobj = dojo.byId(divid);
    if(divobj.style.display == '')
        divobj.style.display = 'none';
    else
        divobj.style.display = '';
}

function cancelProjectAdd()
{
    var formid = 'projectupdate-newproject-form';
    var form = dojo.byId(formid);
    form.sn.value = '';
    form.sdesc.value = '';
    var divid = 'projectupdate-div-projectupdate';
    dojo.byId(divid).style.display = 'none';    
}

function doProjectAdd()
{
    var formid = 'projectupdate-newproject-form';
    var form = dojo.byId(formid);
    var name = encodeURI(dojo.string.trim(form.sn.value));
    if(name == '')
    {
        alert(c_sERROR_PROJECT_ADDPROJECT_NAMEEMPTY);
        return;
    }
    var request = {
        url:c_sProjectAdd + '&random=' + Math.random(),
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_ADDPROJECT + ret.Error);
		    }
		    else
		    {
		        loadProject();
		        loadQuickProject();
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);
}

function doCheckAll(projectid)
{
    var tableid = 'querylist-projectpatent-table-' + projectid ;
    var tableobj = dojo.byId(tableid);
    if(tableobj == null)
        return;
    var titlecheckboxid = 'querylist-projectpatent-titlecheckbox-' + projectid;
    var titlecheckbox = dojo.byId(titlecheckboxid);
    var checkboxs = tableobj.getElementsByTagName('input');
    for(var i = 0; i < checkboxs.length; i++)
        if(checkboxs[i].type == 'checkbox' && checkboxs[i].id != titlecheckbox.id)
            checkboxs[i].checked = titlecheckbox.checked;
}

function getCheckedPatentIds(projectid)
{
    var spns = '';
    var tableid = 'querylist-projectpatent-table-' + projectid;
    var tableobj = dojo.byId(tableid);
    if(tableobj == null)
        return spns;
    var checkboxs = tableobj.getElementsByTagName('input');
    var projectdiv = dojo.byId('project-projectlist');
    var projecttype = projectdiv.projecttype;
    for(var i = 0; i < checkboxs.length; i++)
        if(checkboxs[i].type == 'checkbox' && checkboxs[i].checked && checkboxs[i].value != null && checkboxs[i].value != 'on')
        {
            var realid = checkboxs[i].value;
            if(projecttype == '3' || projecttype == '4')
            {
                var pos = realid.indexOf('@_@');
                if(pos != -1)
                    realid = realid.substring(0, pos);
            }
            spns += realid + '\n';
        }
    if(spns != '')
        spns = spns.substring(0, spns.length - 1);
    return spns;
}

function prepareProjectPatentAdd(ispid)
{
    var spns = getCheckedPatentIds(ispid);
    var selectid = 'querylist-projectpatent-select-' + ispid ;
    var selectobj = dojo.byId(selectid);
    doProjectPatentAdd(selectobj.value, spns);
}

function prepareProjectPatentDelete(ispid)
{
    var spns = getCheckedPatentIds(ispid);
    doProjectPatentDelete(ispid, spns);
}

function prepareProjectPatentMove(ispid)
{
    var spns = getCheckedPatentIds(ispid);
    var selectid = 'querylist-projectpatent-select-' + ispid;
    var selectobj = dojo.byId(selectid);
    doProjectPatentMove(ispid, selectobj.value, spns);
}

function doProjectPatentMove(ispid, idpid, spns)
{
    if(spns == '' || spns == null)
    {
        alert(c_sERROR_PROJECT_MOVECHECKEDPATENT);
        return;
    }
    if(confirm(c_sCONFIRM_PROJECT_MOVEPATENT) == false)
        return;
    var url = c_sProjectPatentMove + '&idpid=' + idpid + '&random=' + Math.random();
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'spns';
    input.value = spns;
    form.appendChild(input);
    if(ispid != 0)
        url += '&ispid=' + ispid;
    var request = {
        url:url,
        handleAs:"json",
        form: form,        
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_MOVEPROJECTPATENT + ret.Error);
		    }
		    else if(ret.Count==0)
		    {
		        alert(c_sNotFountPatentProject);
		    }
		    else
		    {
		        onProjectNameClick(ispid, true);
		        onProjectNameClick(idpid, true);
		        loadQuickProject();
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);
}

function onProjectSelectChange()
{
    loadQuickProject();
}

function loadQuickProject(projectipid)
{
    if(isNullorEmpty(projectipid))
        projectipid = -1;
    if(dojo.byId('quickproject-check')==null)
    	return;
    dojo.byId('quickproject-check').src=c_sImgPath+'img/check.gif';
    var targetdivid = (projectipid == -1 ? 'quickprojectlist-tablediv-g' : 'quickprojectlist-tablediv');
    var targetdiv = dojo.byId(targetdivid);
    if(targetdiv == null)
        return;
    targetdiv.innerHTML = c_sLoading;
    var type = dojo.byId('search-projecttype-select').value;
    var url = c_sProjectGet_Quick + '&fooProjectIPID=' + projectipid + '&random=' + Math.random();
    if(type != 5)
        url += '&it=' + type;
    url += '&ipid=' + projectipid;
    dojo.xhrGet({
        url:url,
        hamdlesAs:"text",
        load: function(response, ioArgs){
	        targetdiv.innerHTML = XSLTtrans(response, c_sXslFileProjectGet_Quick);
	        if(projectipid == -1)
                loadQuickProject('0');
            if(projectipid == 0)
            {
                var imgslabel = dojo.byId('quickprojectlist-title-tr');
                var imgs = imgslabel.getElementsByTagName('img');
                for( var i = 0; i < imgs.length;i ++)
                {
                    imgs[i].style.display='none';
                }
                dojo.byId('quickproject-check').style.display='none';
                var checks = targetdiv.getElementsByTagName('img');
                if(checks!=null)
                {
                    for( var i = 0 ; i < checks.length; i++)
                    {
                        if(checks[i].src.indexOf('check.gif')!=-1)
                        {
                            dojo.byId('quickproject-check').style.display='';
                            for( var i = 0; i < imgs.length;i ++)
                            {
                                imgs[i].style.display='';
                            }
                            break;
                        }
                    }
                }
            }
        },
        error: function(response, ioArgs) { 
            alert(response.message);
            targetdiv.innerHTML = '<table id="search-quickproject-table"></table>';
        }
    });
}


function doProjectDelete(pid,fromtype)
{
    if(confirm(c_sCONFIRM_PROJECT_REMOVEPROJECT) == false)
        return;
    var request = {
        url:c_sProjectDelete + '&ipid=' + pid + '&random=' + Math.random(),
        handleAs:"json",
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_DELETEPROJECT + ret.Error);
		    }
		    else
		    {
		        if(fromtype=='quick')
		         {
		             loadQuickProject();
		         }else
		         {
		            loadProject();
		            loadQuickProject();
		         }
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrGet(request);
}

function initProjectIdColorPair()
{
    dojo.xhrGet({
        url:c_sProjectGetJson + '&random=' + Math.random(),
        handleAs:"json",
        load: function(response, ioArgs){     
	        if(response.Error == null && response.ProjectList != null)
	        { 
	            projectIdColorPair = new Array();
                for(var i = 0; i < response.ProjectList.length; i++)
                    projectIdColorPair[response.ProjectList[i].Id] = response.ProjectList[i].Color;
	        };
	    },
        error: function(response, ioArgs) {}
    });
}

function loadProjectCombobox(projecttype, selectid, includeTemp, excludeid, additionOption, selectrecent)
{	
    var select = dojo.byId(selectid);
    var request = {
        url:c_sProjectGetJson + '&it=' + projecttype + '&random=' + Math.random(), 
        handleAs:"json",
	    load: function(ret, ioArgs){    
	        if(ret.Error != null)
	        {	 
	            if(window.location.href.indexOf(c_sSearchUrl) != -1)
    	            setPageViewDisplay('login');
	            alert(ret.Error); 
	            if(selectid == 'search-popupdiv-select')
	                closeProjectDiv();
	        }
	        else if(ret.ProjectList != null)
	        { 
	            projectIdColorPair = new Array();
	            var maxID = -2;
	            var length =select.options.length;
	            if(select==null)
	                return;
	            while(length != 0)
	            {  
                    for(var i = 0; i < length; i++)
                        select.remove(i);
                    length = select.options.length;
                }
                for(var i = 0; i < ret.ProjectList.length; i++)
                {       
                    if(ret.ProjectList[i].Type != projecttype)
                        continue;
                    projectIdColorPair[ret.ProjectList[i].Id] = ret.ProjectList[i].Color;
                    var option = document.createElement('OPTION');
                    if(ret.ProjectList[i].Name == 'Temp')
                    {
                       g_tempProjectId = ret.ProjectList[i].Id;
                       continue;
                    
                    }
                    option.text = ret.ProjectList[i].Name;
                    option.value = ret.ProjectList[i].Id;
                    if(!isNullorEmpty(ret.ProjectList[i].Color))
                        option.style.backgroundColor = ret.ProjectList[i].Color;
                    if(excludeid != null && (ret.ProjectList[i].Id == excludeid))
                        continue;
                    if(ret.ProjectList[i].Id != '0' || includeTemp)
                        select.options.add(option);
                    if(parseInt(ret.ProjectList[i].Id) > maxID)
                        maxID = parseInt(ret.ProjectList[i].Id);
                }
                if(additionOption != null)
                {
                    var option = document.createElement('OPTION');
                    option.text = additionOption;
                    option.value = '-1';
                    select.options.add(option);
                }
                if(selectrecent == true)
                    select.value = maxID;
                else if(additionOption != null)
                    select.value = -1;
                if(selectid == 'search-popupdiv-select')
                {
                    doPopupDivSelectChange();
                    if(SearchPopupdiv_Load==false)
                    {
                        dload('search-popupdiv','search-popupdiv.htm');
                        SearchPopupdiv_Load=true;
                    }    
                    dojo.byId('search-popupdiv').style.visibility = 'visible';
                    setPopupDivPosition();
                }
	        };
	    },
        error: function(error,ioArgs) {}
    };
    dojo.xhrGet(request);
}

function prepeareProjectUpdate(projectid)
{
    var divid = 'project-update-hidden-div-' + projectid;
    var spanid = 'project-update-name-span-' + projectid;
    var imgid = 'project-update-img-' + projectid;
    var divobj = dojo.byId(divid);
    var spanobj = dojo.byId(spanid);
    var imgobj = dojo.byId(imgid);
    divobj.style.display = 'inline';
    spanobj.style.display = 'none';
    imgobj.style.display = 'none';
    
    divid = 'project-update-hidden-div-description-' + projectid;
    spanid = 'project-update-description-span-' + projectid;
    divobj = dojo.byId(divid);
    spanobj = dojo.byId(spanid);
    divobj.style.display = 'inline';
    spanobj.style.display = 'none';
    
    imgid = 'project-update-color-img-' + projectid;
    imgobj = dojo.byId(imgid);
    if(imgobj != null)
    {
        imgobj.style.display = 'none';
    }
    var selectid = 'project-update-hidden-select-color-' + projectid;
    var selectobj = dojo.byId(selectid);
    if(isNullorEmpty(imgobj.src))
        selectobj.selectedIndex = 0;
    else
    {
        var pos = imgobj.src.indexOf('img/');
        var color = '#' + imgobj.src.substring(pos + 4, pos + 10);
        selectobj.value = color;
        onChangeColor(selectobj);
    }
    if(selectobj!=null && selectobj.style != null)
    	  selectobj.style.display = '';
}

function cancelProjectUpdate(projectid)
{
    var divid = 'project-update-hidden-div-' + projectid;
    var spanid = 'project-update-name-span-' + projectid;
    var imgid = 'project-update-img-' + projectid;
    var divobj = dojo.byId(divid);
    var spanobj = dojo.byId(spanid);
    var imgobj = dojo.byId(imgid);
    divobj.style.display = 'none';
    spanobj.style.display = '';
    imgobj.style.display = '';
    
    divid = 'project-update-hidden-div-description-' + projectid;
    spanid = 'project-update-description-span-' + projectid;
    divobj = dojo.byId(divid);
    spanobj = dojo.byId(spanid);
    divobj.style.display = 'none';
    spanobj.style.display = '';
    
    imgid = 'project-update-color-img-' + projectid;
    imgobj = dojo.byId(imgid);
    if(!isNullorEmpty(imgobj.src) && imgobj != null)
        imgobj.style.display = '';
    var selectid = 'project-update-hidden-select-color-' + projectid;
    dojo.byId(selectid).style.display = 'none';
}

function doProjectUpdate(projectid)
{
    var name = encodeURI(dojo.string.trim(dojo.byId('project-update-hidden-input-' + projectid).value));
    if(name == '')
    {
        alert(c_sERROR_PROJECT_UPDATEPROJECT_NAMEEMPTY);
        return;
    }
    name = name.replace(/&/g,"&amp;");
    var description = encodeURI(dojo.string.trim(dojo.byId('project-update-hidden-input-description-' + projectid).value));
    description = description.replace(/&/g,"&amp;");
    var url = c_sProjectUpdate + '&ipid=' + projectid + '&sn=' + name + '&random=' + Math.random();
    if(description != null && description != '')
        url += '&sdesc=' + description;
    else
        url += '&sdesc=';
    url += '&sc=' + dojo.byId('project-update-hidden-select-color-' + projectid).value;
    url = url.replace(/#/, "%23");
    var request = {
        url:url,
        handleAs:"json",
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_UPDATEPROJECT + ret.Error);
		    }
		    else
		    {
		        alert(c_sSUCCESS_PROJECT_UPDATEPROJECT);
		        loadProject();
		        loadQuickProject();
		    }  	    
	    },
        error: function(error,ioArgs) {  }
    };
    dojo.xhrGet(request);
}

function getCheckedProjectType()
{
    var typeclass = new Array('1', '2', '3', '4', '7');
    for(var i = 0; i < typeclass.length; i++)
    {
        var checkclass = dojo.byId('project-update-projecttype-' + typeclass[i]);
        if(checkclass != null && checkclass.checked == true)
            return typeclass[i];
    }
    return 1;
}

function loadProject(projecttype)
{
    var divid = 'project-projectlist';
    var targetdiv = dojo.byId(divid);
    if(isNullorEmpty(targetdiv.projecttype) && isNullorEmpty(projecttype))
        targetdiv.projecttype = getCheckedProjectType();
    else if(!isNullorEmpty(projecttype))
        targetdiv.projecttype = projecttype;
    var projectipid = 0;
    var ipidradio = dojo.byId('project-update-projectipdi--1');
    if(ipidradio != null && ipidradio.checked)
        projectipid = -1;
    targetdiv.projectipid = projectipid;

    targetdiv.innerHTML = c_sLoading;
    var request= {
        url:c_sProjectGet + '&it=' + targetdiv.projecttype + '&ipid=' + projectipid + '&fooipid=' + projectipid + '&foo=' + targetdiv.projecttype + '&random=' + Math.random(),
        handleAs:"text",
	    load: function(evaldObj,ioArgs){
	        targetdiv.style.display = 'none';
	        targetdiv.innerHTML = XSLTtrans(evaldObj, c_sXslFileProjectGet);
	        SetSystemDynamicDisplayByFuncArray('ProjectGet', null);
	        targetdiv.style.display = '';
	        dojo.byId('project-update-projecttype-' + targetdiv.projecttype).checked = true;
	        dojo.byId('projectupdate-newproject-form').it.value = targetdiv.projecttype;
	        dojo.byId('project-update-projectipdi-' + targetdiv.projectipid).checked = true;
	    },
        error: function(error,ioArgs) { targetdiv.innerHTML = error.message; }
    };
    dojo.xhrGet(request);
    
    initProjectIdColorPair();
}

function doCheckedProjectSearch()
{
    var table = dojo.byId('project-update-table');
    var queryterm = '';
    var type = 'and';
    if(!dojo.byId('project-update-type-and').checked)
        type = 'or';
    var rowlen = table.rows.length - 1;
    for(var i = 2; i < rowlen; i += 2)
    {
        var input = table.rows[i].cells[0].getElementsByTagName('input')[0];
        if(input!=null && input.type == 'checkbox' && input.checked)
            queryterm += type + ' proj/"' + input.value + '" ';
    }
    if(queryterm == '')
        return;
    if(queryterm.substring(0, type.length) == type)
        queryterm = queryterm.substring(type.length, queryterm.length);
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}

function checkCreateNewProjectKey(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    if (evt.keyCode == 13) 
    {
        doProjectAdd();
    }
}

function addCheckedQuickProjectPatentsToMasterQuerylist()
{
    var checkedProjects = getCheckedQuickProjects();
    var checkedProjectsQuery  = '';
    for(var i=0;i<checkedProjects.length;i++)
    {
        var projectId = checkedProjects[i].getAttribute('projectId');
        var projectName = checkedProjects[i].getAttribute('projectName');
        if(i == 0)
        {
           checkedProjectsQuery += 'proj/"'+projectName+'"';
        }
        else
        {
            checkedProjectsQuery += ' or proj/"' + projectName+'"';
        }
        
    }
    
    setPageView('search', false);
    var targetdiv = dojo.byId('search-master-querylist');
    if(dojo.string.trim(targetdiv.innerHTML) == '')
        targetdiv.innerHTML = c_sLoading;
    var url = c_sQueryFulltext + '&ipt=0&ips=100&idi='+DATABASE_ALL+'&iopt=0&foo=SEARCH-MASTER-TOP'  + '&random=' + Math.random();
    var form = document.createElement('form');
    var inputsq = document.createElement('textarea');
    inputsq.name = 'sq';
    inputsq.value = checkedProjectsQuery;
    form.appendChild(inputsq);
    var request = {
        url:url,
        handleAs:"text",
        form:form,
        load:function(response,ioArgs){
            var blankdiv = false;
                if(dojo.string.trim(targetdiv.innerHTML) == c_sLoading)
                {
                    targetdiv.innerHTML = XSLTtrans(response, c_sXslFileQueryFulltext);
                    blankdiv = true;
                }
                
                var div = document.createElement('div');
                div.innerHTML = XSLTtrans(response, c_sXslFileQueryFulltext);
                
                var tables = div.getElementsByTagName('table');
                if(tables == null)
                    return;
                for(var i = 0; i < tables.length; i++)
                    if(tables[i].id == 'querylist-queryresult-table-SEARCH-MASTER-TOP')
                    {
                        table = tables[i];
                        break;
                    }
                if(table == null)
                    return;             
                
                var table = div.getElementsByTagName('table')[1];
                var resulttable = dojo.byId('querylist-queryresult-table-SEARCH-MASTER');
                if(resulttable == null)
                    resulttable = dojo.byId('querylist-queryresult-table-SEARCH-MASTER-TOP');
                for(var i = 1; i < table.rows.length; i += 2)
                {
                    var row1 = table.rows[i];
                    if(row1 == null || dojox.data.dom.textContent(row1.cells[1]) == '')
                        continue;
                    if(row1 == null || dojox.data.dom.textContent(row1.cells[1]) == '')
                        continue;
                    var find=false;
                    var pn = row1.cells[0].getElementsByTagName('span')[0].getAttribute('pn');
                    for(var j=0;j<g_toppatent.length;j++)
                    {
                        if(g_toppatent[j]==pn)
                        {
                            find=true;
                            break;
                        }
                    }
                    if(find)
                        continue;
                    var row2 = table.rows[i + 1];
                    
                    if(!blankdiv)
                    {
                        var cellcount = resulttable.rows[0].cells.length;
                        var newrow1 = resulttable.insertRow(1);
                        newrow1.className = row1.className;
                        newrow1.style.backgroundColor = row1.style.backgroundColor;
                        for(var j = 0; j < cellcount; j++)
                        {
                            var cell = newrow1.insertCell(j);
                            if(j < row1.cells.length)
                                cell.innerHTML = row1.cells[j].innerHTML;
                            else
                                cell.innerHTML = '';
                        }
                        var newrow2 = resulttable.insertRow(2);
                        newrow2.className = row2.className;
                        newrow2.style.display = 'none';
                        var cell = newrow2.insertCell(0);
                        cell.colSpan = cellcount;
                        cell.align = 'center';
                        cell.innerHTML = row2.cells[0].innerHTML;
                    }
                    var pn = row1.cells[0].getElementsByTagName('span')[0].getAttribute('pn');
                    g_toppatent[g_toppatent.length] = getNormalizedPN(pn);
                    g_toppatent_100[g_toppatent_100.length] = 0;
                    g_toppatentcolor[g_toppatentcolor.length] = row1.Color;
                    g_toppatentRowArray1[g_toppatentRowArray1.length] = row1;
                    g_toppatentRowArray2[g_toppatentRowArray2.length] = row2;
                    currentTopIndex++;
        }},error:function(type,error){targetdiv.innerHTML = error.message;}
    };
    dojo.xhrPost(request);
    
        
}


function checkedQuickProjectLogicSearch(type)
{
   
    var queryterm = '';
   
    var checkedProjects = getCheckedQuickProjects();
    
    var projectType = dojo.byId('search-projecttype-select').value;
    
    
    
    
    
    
    for(var i=0;i<checkedProjects.length;i++)
    {
    	switch(projectType)
    	{
    		case '1'://patent
        if(i == 0)
            queryterm += '(proj/"'+checkedProjects[i].getAttribute('projectName')+'"';
        else{
            queryterm += ' '+type+' proj/"'+checkedProjects[i].getAttribute('projectName')+'"';
        }
        if(i == checkedProjects.length-1)
        {
            queryterm +=')';
        }
        break;
       /* case '2'://assignee
        var termstable = dojo.byId('search-quickproject-hiddenrow-'+checkedProjects[i].getAttribute('projectId'));
        if(i != 0)
        {
        	queryterm += ' or ';
        }
        var spans = termstable.getElementsByTagName('span');
        
        for(var j=0;j<spans.length;j++)
        {
        	  if(j==0)   	  
        	  	queryterm += '(ann/"'+spans[j].innerHTML+'"';
        	  else
        	  	queryterm += ' '+'or ann/"'+spans[j].innerHTML+'"';
        	  if(j == spans.length - 1)
        	  {
        	  	queryterm += ')';
        	  }
        }
        
        break;*/
        
      }
        
        
        
        
    }
    if(queryterm == '')
        return;
    if(queryterm.substring(0, type.length) == type)
        queryterm = queryterm.substring(type.length, queryterm.length);
    
    commandDown();
	var url = c_sQueryFulltext + '&foo=SEARCH-MASTER';
    var getrelated = false;
    var renewcolor = false;
    var masterSearchForm = dojo.byId('search-form-master');
    if(basic_search)
        url = url + "&ibasic=1";
    
   	
   	
   	//new add by liushine
   	masterSearchForm.ibm.value = 0;
    
    
    /*if(isNullorEmpty(masterSearchForm.sq.value))
            return;
    */
    masterSearchForm.ipi.value = 0;
    
    if(!isNullorEmpty(masterSearchForm.sq.value))
        masterSearchForm.sq.value = masterSearchForm.sq.value + ' ' + type + ' '+queryterm;
    else
        masterSearchForm.sq.value = queryterm;
    dojo.byId('search-master-queryinput').value = masterSearchForm.sq.value;
    renewcolor = true;
    onSelectTypeChange(null);
    doMasterSearch(url, getrelated, renewcolor);

}

function checkedQuickProjectOrSearch()
{
   
   checkedQuickProjectLogicSearch('or');

}

function checkedQuickProjectAndSearch()
{
   
   checkedQuickProjectLogicSearch('and');

}



function getCheckedQuickProjects()
{
    var checkedProjects = new Array();
    var quickProjectTable = dojo.byId('quickprojectlist-contentdiv');
    if(quickProjectTable!=null)
    {
        var spans = quickProjectTable.getElementsByTagName('span');
        for(var i=0;i<spans.length;i++)
        {
            if(spans[i].className=='projectImg')
            {
                var imgs = spans[i].getElementsByTagName('img');
                if(imgs.length>0)
                {
                    if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                    {
                        checkedProjects[checkedProjects.length] = spans[i];
                    }
                }
                
            }
        }
    }
    return checkedProjects;
}

function checkedQuickProjectPatentsFulltextView(obj)
{

    var checkedProjects = getCheckedQuickProjects();
    var spids = '';
    for(var i=0;i<checkedProjects.length;i++)
    {
        if(i == 0)
            spids +=checkedProjects[i].getAttribute('projectId');
        else
        {   
            spids +=';'+checkedProjects[i].getAttribute('projectId');
        }
    }

    var url = c_sProjectPatentGetJson +  '&spids=' + spids + '&random=' + Math.random();
    	var direct = true;
    var request = {
        url:url,
        handleAs:"json",
        sync:true,
        load:function(ret,ioArgs){
                if(ret.Error != null){
	                alert( 'Get Project failed!' + ret.Error);
	                direct = false;
	                return;
	              }
	            else
	            {
	                var result = '';
	                var max = (ret.TermList.length <= 16 ? ret.TermList.length : 16);
                    for(var i = 0; i < max; i++)
                        result += ret.TermList[i] + '~';
                    if(result == '')
                    {
	                			direct = false;
                        return;
                    }
                    var fulltexturl = 'pncompare.htm?pnlist=' + result;
                    //window.open(fulltexturl, "_blank"); 
                    obj.setAttribute('href',fulltexturl);
                    direct = true;
	            }  	    
		    },
	        error: function(type, error) { 
	            divobj.innerHTML = error.message;
	            return false;
	        }
	    };
	    dojo.xhrGet(request);
	    return direct;
}

function deleteCheckedQuickProject()
{
    var checkedProjects = getCheckedQuickProjects();
    var spids = '';
    var projectNames = '';
    var first = true;
    for(var i=0;i<checkedProjects.length;i++)
    {
        if(first)
        {
            if(checkedProjects[i].getAttribute('projectName') == 'Temp')
            {
                alert('Temp Project can not be deleted. ');
                continue;
            }
            spids +=checkedProjects[i].getAttribute('projectId');
            projectNames+=' '+checkedProjects[i].getAttribute('projectName');
            first = false;
        }
        else
        {   
            spids +=';'+checkedProjects[i].getAttribute('projectId');
            projectNames+=', '+checkedProjects[i].getAttribute('projectName');
            
        }
        if(i == checkedProjects.length-1)
        {   
            projectNames+=' ';
        }
    }
    if(isNullorEmpty(projectNames))
    {
        return;
    }
    
    if(confirm(c_sCONFIRM_PROJECT_REMOVEPROJECTS.replace('##',projectNames)) == false)
        return;
    var request={
        url:c_sProjectDelete + '&spids=' + spids + '&random=' + Math.random(),
        handleAs:"json",
	    load: function(ret, ioArgs){
	        if(ret.ErrorProjects != null && ret.ErrorProjects!='')
		    {
		        var errorProjects='';
		        var splits = ret.ErrorProjects.split(';');
		        var projectIndex = 0;
		        while(splits[projectIndex]=='')
		        {
		            projectIndex ++;
		        }
		        
		         for(var i=0;i<checkedProjects.length;i++)
                 {
                 
                   var pid =  checkedProjects[i].getAttribute('projectId');
                   if(pid == splits[projectIndex])
                   {
                        errorProjects += checkedProjects[i].getAttribute('projectName')+' ';
                        projectIndex ++;
                        if(projectIndex>=splits.length)
                        {
                            break;
                        } 
                   }
                   
                 
                 }
                 alert(c_sERROR_PROJECT_DELETEPROJECTS.replace('##',errorProjects));
                 loadQuickProject();
		    }
		    else
		    {
		        loadQuickProject();
		            
		    }  	    
	    },
        error: function(type, error) { alert(error.message); }
    };
    dojo.xhrGet(request);
}

function prepareQuickProjectCheck(obj)
{
    if(obj.src.indexOf('check.gif')!=-1 || obj.src.indexOf('check-active.gif')!=-1)
    {
        obj.src=c_sImgPath+'img/cancel.gif';
    }
    else if( obj.src.indexOf("cancel.gif")!=-1)
    {
        obj.src=c_sImgPath+'img/check.gif';
    }
    var contentlist = dojo.byId('quickprojectlist-contentdiv');
    if(contentlist!=null)
    {
        var checks = contentlist.getElementsByTagName('img');
        if(checks!=null)
        {
            for( var i = 0 ; i < checks.length; i++)
            {
                if(checks[i].src.indexOf('check.gif')!=-1 || checks[i].src.indexOf('cancel.gif')!=-1)
                {
                    checks[i].src = obj.src;
                }
            }
        }
    }

}


function doAddToTemp(){
    var pn = dojo.byId('search-popupdiv-pn').value;
    var projectid = g_tempProjectId;
    var guid = dojo.byId('search-popupdiv-guid').value;
    var form = dojo.byId('search-popupdiv-form');
    if(!isNullorEmpty(pn))
    {
        var itemrow = null;
        if(guid != 'page' && guid != 'null')
        {
            if(form.it.value == '1')
            {
                var parentTr=findParentNode(g_curImgObj, 'tr', 2);
                if(parentTr!=null)
                    itemrow = parentTr.previousSibling;
            }
            else
                itemrow = findParentNode(g_curImgObj, 'tr', 1);
        }
        if(projectid != -1)
        {
            doProjectPatentAdd(projectid, pn, guid, true);
            if(itemrow != null && itemrow.cells.length > 3 && !isNullorEmpty(projectIdColorPair[projectid]) && projectIdColorPair[projectid] != 'undefined')
                itemrow.style.backgroundColor = projectIdColorPair[projectid];
           closeProjectDiv();
        }
        
    }else
    {
        var parentType = '';
        if(isChildOf(g_curImgObj, dojo.byId('search-master-querylist')))
            parentType = 'sm';
        else if(isChildOf(g_curImgObj, dojo.byId('search-slave-querylist')))
            parentType = 'sl';
        else
            parentType = 'sp';
        if(projectid != -1)
        {
            if(isNullorEmpty(guid))
                doSaveResultSetToProject(projectid, parentType);
            else if(guid == 'SAVEUPLOAD')
                doSaveImportPatentsToProject(projectid);
            else if(guid == 'SAVECLIPBOARD')
                doSaveClipboardPatentsToProject(projectid,true);
            else if(guid == 'SAVEPNCLIPBOARD')
                doSavePNClipboardPatentsToProject(projectid, true);
            else
                doSaveCurrentPageResultSetToProject(projectid, parentType ,true);
        }
        
    }
    closeProjectDiv();
}