﻿dojo.require("dijit.form.ComboBox"); 
//g_sbName stores the current sbName, used to query or draw pic, it is the basic variable
var g_sbName = 'ANN';

//g_sbValue stores the current sbValue, that is, the value you clicked in the first table of each tab, used to generate the following two tables
var g_sbValue = '';

//g_statValue is used to store the query and display info, there is one object for each tab, 
//this object stores the sdbValue and sdfValue for each table
var g_statValue = null;

var g_statTitle = null;

var g_statDatabaseType = 'p';//stores the current checked radio button:us patent;us application;china patent
var g_statisticIDIArray = new Array('1','2','4','16','32','64','8');
var g_statisticTabArray = new Array('15','15','11','3','1','3','0');

//initial global variables
function initGlobalVal()
{  
    if(dojo.byId('statistic-statisticlist')==null)
        return;
   g_statValue = new Array();
   
   var objANN = new Object();
   objANN.sdbValue = new Array();
   objANN.sdbValue['1'] = 'ANN';
   objANN.sdbValue['2'] = 'ANN_KW';
   objANN.sdbValue['3'] = 'ANN_CCL';
   //new
   objANN.sdbValue['4'] = 'ANN_ICL';
   
   objANN.sdfValue = new Array();
   objANN.sdfValue['1'] = 'a85%n';
   objANN.sdfValue['2'] = 'w85%n';
   objANN.sdfValue['3'] = 'c85%n';
   //new
   objANN.sdfValue['4'] = 'l85%n';
   
   objANN.secondSearchName = new Array();
   objANN.secondSearchName['2'] = 'KW';
   objANN.secondSearchName['3'] = 'CCL';
   //new
   objANN.secondSearchName['4'] = 'ICL';
   
   g_statValue['ANN'] = objANN;
   
   var objCCL = new Object();
   objCCL.sdbValue = new Array();
   objCCL.sdbValue['1'] = 'CCL';
   objCCL.sdbValue['2'] = 'ANN_CCL';
   objCCL.sdbValue['3'] = 'CCL_KW';
   //new
   objCCL.sdbValue['4'] = 'CCL_ICL';
   objCCL.sdfValue = new Array();
   objCCL.sdfValue['1'] = 'c85%n';
   objCCL.sdfValue['2'] = 'a85%n';
   objCCL.sdfValue['3'] = 'w85%n';
   //new
   objCCL.sdfValue['4'] = 'l85%n';
   objCCL.secondSearchName = new Array();
   objCCL.secondSearchName['2'] = 'ANN';
   objCCL.secondSearchName['3'] = 'KW';
   //new
   objCCL.secondSearchName['4'] = 'ICL';
   g_statValue['CCL'] = objCCL;
   
   var objKW = new Object();
   objKW.sdbValue = new Array();
   objKW.sdbValue['1'] = 'KW';
   objKW.sdbValue['2'] = 'ANN_KW';
   objKW.sdbValue['3'] = 'CCL_KW';
   //new
   objKW.sdbValue['4'] = 'ICL_KW';
   
   objKW.sdfValue = new Array();
   objKW.sdfValue['1'] = 'w85%n';
   objKW.sdfValue['2'] = 'a85%n';
   objKW.sdfValue['3'] = 'c85%n';
   //new
   objKW.sdfValue['4'] = 'l85%n';
   
   objKW.secondSearchName = new Array();
   objKW.secondSearchName['2'] = 'ANN';
   objKW.secondSearchName['3'] = 'CCL';
   //new
   objKW.secondSearchName['4'] = 'ICL';
   g_statValue['KW'] = objKW;
   
   var objICL = new Object();
   objICL.sdbValue = new Array();
   objICL.sdbValue['1'] = 'ICL';
   objICL.sdbValue['2'] = 'ANN_ICL';
   objICL.sdbValue['3'] = 'ICL_KW';
   objICL.sdbValue['4'] = 'CCL_ICL';
   
   objICL.sdfValue = new Array();
   objICL.sdfValue['1'] = 'l85%n';
   objICL.sdfValue['2'] = 'a85%n';
   objICL.sdfValue['3'] = 'w85%n';
   objICL.sdfValue['4'] = 'c85%n';
   
   objICL.secondSearchName = new Array();
   objICL.secondSearchName['2'] = 'ANN';
   objICL.secondSearchName['3'] = 'KW';
   objICL.secondSearchName['4'] = 'CCL';
   g_statValue['ICL'] = objICL;
   
   
   g_statTitle= new Array();
   
   var titleANN = new Array();
   titleANN['2'] = 'Top Keywords with Assignee ';
   titleANN['3'] = 'Top Classes with Assignee ';
   //new
   titleANN['4'] = 'Top ICLs with Assignee ';
   
   g_statTitle['ANN'] = titleANN;
   
   var titleClass = new Array();
   titleClass['2'] = 'Top Assignees with Class ';
   titleClass['3'] = 'Top Keywords with Class ';
   //new
   titleClass['4'] = 'Top ICLs with Class ';
   g_statTitle['CCL'] = titleClass;
   
   var titleKW = new Array();
   titleKW['2'] = 'Top Assignees with Keyword ';
   titleKW['3'] = 'Top Classes with Keyword ';
    //new
   titleKW['4'] = 'Top ICLs with Keyword ';
   
   g_statTitle['KW'] = titleKW;
   
   //new
   var titleICL = new Array();
   titleICL['2'] = 'Top Assignees with ICL ';
   titleICL['3'] = 'Top Keyword with ICL ';
    //new
   titleICL['4'] = 'Top Classes with ICL ';
   
   g_statTitle['ICL'] = titleICL;
   
   onChangeTab('ANN');
   
   dojo.byId('statistic-seinput-1').value = getCurrentDateString('year'); 
   dojo.byId('statistic-seinput-2').value = getCurrentDateString('year');
   dojo.byId('statistic-seinput-3').value = getCurrentDateString('year');
   //new
   dojo.byId('statistic-seinput-4').value = getCurrentDateString('year');
}

//when tab is clicked
function onGrayTab(idi)
{
     dojo.byId('statistic-tab-td-ANN').className = dojo.byId('statistic-tab-td-ANN').className.replace(' graytab','');
     
                
     dojo.byId('statistic-tab-td-CCL').className = dojo.byId('statistic-tab-td-CCL').className.replace(' graytab','');
     dojo.byId('statistic-tab-td-KW').className = dojo.byId('statistic-tab-td-KW').className.replace(' graytab','');
     dojo.byId('statistic-tab-td-ICL').className = dojo.byId('statistic-tab-td-ICL').className.replace(' graytab','');
    if(idi == null)
    {
       if(dojo.byId('statistic-type-select')!=null)
       {
            idi = dojo.byId('statistic-type-select').value;
       }
    
    }
    if(idi != null)
    {
        for(var i=0;i<=g_statisticIDIArray.length;i++)
        {
            if(g_statisticIDIArray[i] == idi)
            {
                if((g_statisticTabArray[i]&8) == 0)
                {
                    dojo.byId('statistic-tab-td-ANN').className += ' graytab';
                }
                if((g_statisticTabArray[i]&4) == 0)
                {
                    dojo.byId('statistic-tab-td-CCL').className += ' graytab';
                }
                if((g_statisticTabArray[i]&2) == 0)
                {
                    dojo.byId('statistic-tab-td-KW').className += ' graytab';
                }
                if((g_statisticTabArray[i]&1) == 0)
                {
                    dojo.byId('statistic-tab-td-ICL').className += ' graytab';
                }
                break;
            
            }
        
        }
    
    }
    

}


function onChangeTab(type, idi)
{
    var widget1 = dijit.byId('statistic-searchinput-1');
    var widget2 = dijit.byId('statistic-searchinput-2');
    var widget3 = dijit.byId('statistic-searchinput-3');
    var widget4 = dijit.byId('statistic-searchinput-4');
    if(widget1==null)
        return;
    widget1._setValueAttr('');
    widget2._setValueAttr('');
    widget3._setValueAttr('');
    widget4._setValueAttr('');
    var idisuffix = '&idi=' + dojo.byId('statistic-type-select').value;
    if(type == 'ANN')
    {
        widget1._setValueField('ANList');
        widget2._setValueField('KWList');
        widget3._setValueField('CCLList');
        statistic_store_1._setSearchUrlPattern(c_sCheckAN + idisuffix,'ANList');
        statistic_store_2._setSearchUrlPattern(c_sCheckKW + idisuffix,'KWList');
        statistic_store_3._setSearchUrlPattern(c_sCheckCCL + idisuffix,'CCLList');
    }
    else if(type == 'CCL')
    {
        widget1._setValueField('CCLList');
        widget2._setValueField('ANList');
        widget3._setValueField('KWList');
        statistic_store_1._setSearchUrlPattern(c_sCheckCCL + idisuffix,'CCLList');
        statistic_store_2._setSearchUrlPattern(c_sCheckAN + idisuffix,'ANList');
        statistic_store_3._setSearchUrlPattern(c_sCheckKW + idisuffix,'KWList');
    }
    else if(type == 'KW')
    {
        widget1._setValueField('KWList');
        widget2._setValueField('ANList');
        widget3._setValueField('CCLList');
        statistic_store_1._setSearchUrlPattern(c_sCheckKW + idisuffix,'KWList');
        statistic_store_2._setSearchUrlPattern(c_sCheckAN + idisuffix,'ANList');
        statistic_store_3._setSearchUrlPattern(c_sCheckCCL + idisuffix,'CCLList');
    }
    else if(type == 'ICL')
    {
        widget1._setValueField('');
        widget2._setValueField('');
        widget3._setValueField('');
        statistic_store_1._setSearchUrlPattern('','');
        statistic_store_2._setSearchUrlPattern('','');
        statistic_store_3._setSearchUrlPattern('','');
    }
    dojo.byId('statistic-tab-td-ANN').className = 'tab unselectedtab';
    dojo.byId('statistic-tab-td-CCL').className = 'tab unselectedtab';
    dojo.byId('statistic-tab-td-KW').className = 'tab unselectedtab';
    dojo.byId('statistic-tab-td-ICL').className = 'tab unselectedtab';
    dojo.byId('statistic-tab-td-' + type).className = 'tab selectedtab'; //this tab is selected
    onGrayTab(idi);
    
    for(var i = 1; i <=4; i++)
    {
        var tabledivid = 'statistic-tablediv-' + i;
        var picdivid = 'statistic-picdiv-' + i;
        dojo.byId(tabledivid).innerHTML = '';
        dojo.byId(picdivid).innerHTML = '';
        dojo.byId(picdivid).svValueArray = null;
    }
    g_sbName = type;
    var statObj = g_statValue[g_sbName];
    doGenStatTable('ALL/ALL', statObj.sdbValue['1'], statObj.sdfValue['1'], 0, dojo.byId('statistic-tablediv-1')); //generate the first table of the tab
    
    dojo.byId('statsitic-pictable-1').style.display = 'none'; //hide all the time span area because the tab was changed
    dojo.byId('statsitic-pictable-2').style.display = 'none';
    dojo.byId('statsitic-pictable-3').style.display = 'none';
    dojo.byId('statsitic-pictable-4').style.display = 'none';
    
    var title2 = dojo.byId('statistic-title-span-2');
    var title3 = dojo.byId('statistic-title-span-3');
    var title4 = dojo.byId('statistic-title-span-4');
    title2.innerHTML = '';
    title3.innerHTML = '';
    title4.innerHTML = '';
    findParentNode(title2, 'tr', 1).style.display = 'none';
    findParentNode(title3, 'tr', 1).style.display = 'none';
    findParentNode(title4, 'tr', 1).style.display = 'none';
    dojo.byId('statistic-img-2').src = c_sImgPath+'img/plus.gif';
    dojo.byId('statistic-tr-2').style.display = 'none';
    dojo.byId('statistic-img-3').src = c_sImgPath+'img/plus.gif';
    dojo.byId('statistic-tr-3').style.display = 'none';
    dojo.byId('statistic-img-4').src = c_sImgPath+'img/plus.gif';
    dojo.byId('statistic-tr-4').style.display = 'none';
    
}

//patent or application 
function getStatsiticTypeValue(t)
{
//    var radiop = dojo.byId('statistic-type-radio-p');
//    var radioa = dojo.byId('statistic-type-radio-a');
//    if(radiop.checked)
//    {
//        if(t == '1') //querylist
//            return 'idi=1';
//        else  //drawing
//            return 'itm=1';
//    }
//    else if(radioa.checked)
//    {
//        if(t == '1') //querylist
//            return 'idi=2';
//        else  //drawing
//            return 'itm=2';
//    }
//    else //chinese patent
//    {
//        if(t == '1') //querylist
//            return 'idi=4';
//        else  //drawing
//            return 'itm=4';
//    }
    if(t == '1')
        return 'idi=' + dojo.byId('statistic-type-select').value;
    else
        return 'itm=' + dojo.byId('statistic-type-select').value;
}

function onStatTypeChange()
{
//    var radiop = dojo.byId('statistic-type-radio-p');
//    var radioc = dojo.byId('statistic-type-radio-c');
    var idivalue = dojo.byId('statistic-type-select').value;
    var patentdate = '1976-01-01';
    var appdate = '2001-01-01';
    var cndate = '1985-09-01';
    if(idivalue == 1 || idivalue == 16 || idivalue == 32 || idivalue == 64) //us patent
    {
        if(dojo.byId('statistic-ssinput-1').value == appdate)
            dojo.byId('statistic-ssinput-1').value = patentdate;
        if(dojo.byId('statistic-ssinput-2').value == appdate)
            dojo.byId('statistic-ssinput-2').value = patentdate;
        if(dojo.byId('statistic-ssinput-3').value == appdate)
            dojo.byId('statistic-ssinput-3').value = patentdate;
        if(dojo.byId('statistic-ssinput-4').value == appdate)
            dojo.byId('statistic-ssinput-4').value = patentdate;
        if(g_statDatabaseType == 'c')
        {
            g_statDatabaseType = 'p';
            onChangeTab(g_sbName, idivalue);
            return;
        }
        g_statDatabaseType = 'p';
    }
    else if(idivalue == 4 || idivalue == 8) //chinese
    {
        dojo.byId('statistic-ssinput-1').value = cndate;
        dojo.byId('statistic-ssinput-2').value = cndate;
        dojo.byId('statistic-ssinput-3').value = cndate;
        dojo.byId('statistic-ssinput-4').value = cndate;
        if(g_statDatabaseType != 'c')
        {
            g_statDatabaseType = 'c';
            onChangeTab(g_sbName,idivalue);
            return;
        }
        g_statDatabaseType = 'c';
    }
    else //use application
    {
        if(dojo.byId('statistic-ssinput-1').value == patentdate)
            dojo.byId('statistic-ssinput-1').value = appdate;
        if(dojo.byId('statistic-ssinput-2').value == patentdate)
            dojo.byId('statistic-ssinput-2').value = appdate;
        if(dojo.byId('statistic-ssinput-3').value == patentdate)
            dojo.byId('statistic-ssinput-3').value = appdate;
        if(dojo.byId('statistic-ssinput-4').value == appdate)
            dojo.byId('statistic-ssinput-4').value = patentdate;
        if(g_statDatabaseType == 'c')
        {
            g_statDatabaseType = 'a';
            onChangeTab(g_sbName, idivalue);
            return;
        }
        g_statDatabaseType = 'a';
    }
    var statObj = g_statValue[g_sbName];
    var tablediv1 = dojo.byId('statistic-tablediv-1');
    var tablediv2 = dojo.byId('statistic-tablediv-2');
    var tablediv3 = dojo.byId('statistic-tablediv-3');
    var tablediv4 = dojo.byId('statistic-tablediv-4');
    var picdiv1 = dojo.byId('statistic-picdiv-1');
    var picdiv2 = dojo.byId('statistic-picdiv-2');
    var picdiv3 = dojo.byId('statistic-picdiv-3');
    var picdiv4 = dojo.byId('statistic-picdiv-4');
    doGenStatTable('ALL/ALL', statObj.sdbValue['1'], statObj.sdfValue['1'], 0, dojo.byId('statistic-tablediv-1')); 
    if(tablediv2.innerHTML != '')
        doGenStatTable(g_sbName + '/' + g_sbValue, statObj.sdbValue['2'], statObj.sdfValue['2'], 0, dojo.byId('statistic-tablediv-2'));
    if(tablediv3.innerHTML != '')
        doGenStatTable(g_sbName + '/' + g_sbValue, statObj.sdbValue['3'], statObj.sdfValue['3'], 0, dojo.byId('statistic-tablediv-3'));
    if(tablediv4.innerHTML != '')
        doGenStatTable(g_sbName + '/' + g_sbValue, statObj.sdbValue['4'], statObj.sdfValue['4'], 0, dojo.byId('statistic-tablediv-4'));
    if(picdiv1.getElementsByTagName('img').length != 0)
    {
        var ssValue = dojo.byId('statistic-ssinput-1').value;
        var seValue = dojo.byId('statistic-seinput-1').value;
        var itValue = dojo.byId('statistic-itselect-1').value;
        doDrawStatPic(picdiv1.sbName, picdiv1.sbValue, picdiv1.svName, picdiv1.svValueArray, picdiv1, ssValue, seValue, itValue);
    }
    if(picdiv2.getElementsByTagName('img').length != 0)
    {
        var ssValue = dojo.byId('statistic-ssinput-2').value;
        var seValue = dojo.byId('statistic-seinput-2').value;
        var itValue = dojo.byId('statistic-itselect-2').value;
        doDrawStatPic(picdiv2.sbName, picdiv2.sbValue, picdiv2.svName, picdiv2.svValueArray, picdiv2, ssValue, seValue, itValue);
    }
    if(picdiv3.getElementsByTagName('img').length != 0)
    {
        var ssValue = dojo.byId('statistic-ssinput-3').value;
        var seValue = dojo.byId('statistic-seinput-3').value;
        var itValue = dojo.byId('statistic-itselect-3').value;
        doDrawStatPic(picdiv3.sbName, picdiv3.sbValue, picdiv3.svName, picdiv3.svValueArray, picdiv3, ssValue, seValue, itValue);
    }
    if(picdiv4.getElementsByTagName('img').length != 0)
    {
        var ssValue = dojo.byId('statistic-ssinput-4').value;
        var seValue = dojo.byId('statistic-seinput-4').value;
        var itValue = dojo.byId('statistic-itselect-4').value;
        doDrawStatPic(picdiv4.sbName, picdiv4.sbValue, picdiv4.svName, picdiv4.svValueArray, picdiv4, ssValue, seValue, itValue);
    }
    onGrayTab(idivalue);
}

function showStatDiv(idIndex)
{
    var img = dojo.byId('statistic-img-' + idIndex);
    var tr = dojo.byId('statistic-tr-' + idIndex);
    if(tr.style.display == '')
    {
        tr.style.display = 'none';
        img.src = c_sImgPath+'img/plus.gif';
    }
    else
    {
        tr.style.display = '';
        img.src = c_sImgPath+'img/minus.gif';
        tr.scrollIntoView();
    }
}

function checkDate(startdatestr, enddatestr)
{
    if(isNullorEmpty(startdatestr) || isNullorEmpty(enddatestr))
    {
        alert(c_sERROR_STATISTIC_DATEFORMAT);
        return false;
    }
    if(startdatestr.match("[0-9]{4}-[0-9]{2}-[0-9]{2}") == null || enddatestr.match("[0-9]{4}-[0-9]{2}-[0-9]{2}") == null)
    {
        alert(c_sERROR_STATISTIC_DATEFORMAT);
        return false;
    }
    //1985-09-09
    var syear = parseInt(startdatestr.substring(0, 4));
    var smonth = startdatestr.substring(5, 7);
    var sday = startdatestr.substring(8, 10);
    var eyear = parseInt(enddatestr.substring(0, 4));
    var emonth = enddatestr.substring(5, 7);
    var eday = enddatestr.substring(8, 10);
    if(smonth == '08')
        smonth = 8;
    else if(smonth == '09')
        smonth = 9;
    else 
        smonth = parseInt(smonth);
    if(emonth == '08')
        emonth = 8;
    else if(emonth == '09')
        emonth = 9;
    else 
        emonth = parseInt(emonth);
    if(sday == '08')
        sday = 8;
    else if(sday == '09')
        sday = 9;
    else
        sday = parseInt(sday);
    if(eday == '08')
        eday = 8;
    else if(eday == '09')
        eday = 9;
    else
        eday = parseInt(eday);
    if(syear > eyear || (syear == eyear && smonth > emonth) || (syear == eyear && smonth == emonth && sday > eday))
    {
        alert(c_sERROR_STATISTIC_DATEFORMAT);
        return false;
    }
    if(syear < 1970 || syear > 2011 || eyear < 1971 || eyear > 2011 || smonth <= 0 || smonth >12 || emonth <= 0 || emonth >12 || sday <= 0 || eday > 31)
    {
        alert(c_sERROR_STATISTIC_DATEFORMAT);
        return false;
    }
    return true;
}

// draw the pic
function doDrawStatPic(sbName, sbValue, svName, svValueArray, divobj, ssValue, seValue, itValue)
{
    if(divobj == null)
        return;
    
    if(!checkDate(ssValue, seValue))
        return;
    
    divobj.innerHTML = c_sLoading;
    var url =  c_sShowStatDrawing;
    
    if(sbName == 'KW')
        sbName = 'IWK';
        
    if(!isNullorEmpty(sbName) && !isNullorEmpty(sbValue))
        url += '&sb=' + sbName + '/' + encodeURI(sbValue).replace(/&/g,"%26");
    if(!isNullorEmpty(svName) && !isNullorEmpty(svValueArray) && svValueArray.length > 0)
    {
        url += '&sv=';
        for(var i = 0; i < svValueArray.length; i++)
        {
            if(!isNullorEmpty(svValueArray[i]))
            {
                if(svName == 'KW')
                    svName = 'IWK';
                else if(svName == 'KWK')
                    svName = 'IWK';
                url += svName + '/' + encodeURI(svValueArray[i]).replace(/&/g,"%26");
                if(i != svValueArray.length - 1)
                    url += '%0A';
            }
        }
    }
    if(!isNullorEmpty(ssValue))
        url += '&ss=' + ssValue;
    else
        url += '&ss=1976-1-1'; 
    if(!isNullorEmpty(seValue))
        url += '&se=' + seValue;
    else
    {
        var seValue = getCurrentDateString('year');
        url += '&se=' + seValue;
    }
    if(!isNullorEmpty(itValue))
        url += '&it=' + itValue;
    url += '&' + getStatsiticTypeValue('2');
    var img = '<img  src="' + url + '"/>';
	divobj.innerHTML = img;  
}

function getCurrentDateString(type)
{
    var date = new Date();
    switch(type)
    {
        case 'year':
            return (date.getFullYear() + 1) + '-01-01';
        default:
            return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
    }
}

// generate the statistic table
function doGenStatTable(sqValue, sdbValue, sdfValue, ipiValue, divobj)
{
    if(divobj == null)
        return;
    divobj.sqValue = sqValue;
    var dividIndex = divobj.id.substring(divobj.id.length - 1, divobj.id.length);
    divobj.innerHTML = c_sLoading;
    //var url = c_sQuerylist + '&sx=querylist-statistic' + '&ss=stat';
    var url = c_sQueryStat + '&ss=stat';
    if(!isNullorEmpty(sqValue))
        url += '&sq=' + encodeURI(sqValue).replace(/&/g,"%26");
    else
        url += '&sq=ALL/ALL';
    if(!isNullorEmpty(sdbValue))
        url += '&sdb=' + encodeURI(sdbValue).replace(/&/g,"%26");
    if(!isNullorEmpty(sdfValue))
        url += '&sdf=' + encodeURI(sdfValue).replace(/&/g,"%26");
    if(!isNullorEmpty(ipiValue))
        url += '&ipi=' + ipiValue;
    url += '&foo=' + dividIndex;
    url += '&' + getStatsiticTypeValue('1');
    dojo.xhrGet({
        url:url,
        handleAs:"text",
        load: function(response, ioArgs){
		    divobj.innerHTML = XSLTtrans(response, c_sXslFileQueryStat);
	    },
	    error: function(response, ioArgs) { 
	       divobj.innerHTML = response.message;
	    }
    }); 
}

function getStatType(type)
{
    switch(type)
    {
        case 'a':
            return 'ANN';
        case 'c':
            return 'CCL';
        case 'w':
            return 'KW';
        case 'l':
            return 'ICL';
        default:
            return null;
    }
}


function onSearchClick(idIndex)
{
    var queryterm = dijit.byId('statistic-searchinput-' + idIndex).value;
    if(isNullorEmpty(queryterm))
        return;
    var statObj = g_statValue[g_sbName];
    var isCCL = false;
    if(idIndex == '1' && g_sbName == 'CCL')
        isCCL = true;
    else if(idIndex != '1' && statObj.secondSearchName[idIndex] == 'CCL')
        isCCL = true;
    if(isCCL)
    {
        var pos = queryterm.indexOf(' ');
        if(pos != -1)
            queryterm = queryterm.substring(0, pos);
    }
    else if((queryterm.indexOf(' ') != -1) || (queryterm.indexOf('(') != -1) || (queryterm.indexOf(')') != -1))
        queryterm = '"' + queryterm + '"';
    
    var sqValue = '';
    if(idIndex == '1')
        sqValue = g_sbName + '/' + queryterm;
    else
    {
        var g_sbName1=g_sbName;
        if(g_sbName=='KW')
            g_sbName1='KWK';
        sqValue = g_sbName1 + '/' + g_sbValue + ' and ' + statObj.secondSearchName[idIndex] + '/' + queryterm;
    }
    doGenStatTable(sqValue, statObj.sdbValue[idIndex], statObj.sdfValue[idIndex], 0, dojo.byId('statistic-tablediv-' + idIndex));
    if(idIndex != '1')
    {
        var tr = dojo.byId('statistic-tr-' + idIndex);
        tr.scrollIntoView();
        
        var scroll = dojo.byId('index-master');
        pScrollIntoView(scroll,tr);
    }
}

function resetChart(idIndex)
{
     var picdiv = dojo.byId('statistic-picdiv-' + idIndex);
     picdiv.svValueArray = null;
     picdiv.innerHTML = '';
     var table = dojo.byId('querylist-table-' + idIndex);
     var imgs = table.getElementsByTagName('img');
     for(var i = 0; i < imgs.length; i++)
        if(imgs[i].src.indexOf('close.gif') != -1 && imgs[i].style.display == '')
            imgs[i].style.display = 'none';
     dojo.byId('statsitic-pictable-' + idIndex).style.display = 'none'
}


function setChartTimeSpan(idIndex)
{
    var picdiv = dojo.byId('statistic-picdiv-' + idIndex);
    var ssValue = dojo.byId('statistic-ssinput-' + idIndex).value;
    var seValue = dojo.byId('statistic-seinput-' + idIndex).value;
    var itValue = dojo.byId('statistic-itselect-' + idIndex).value;
    doDrawStatPic(picdiv.sbName, picdiv.sbValue, picdiv.svName, picdiv.svValueArray, picdiv, ssValue, seValue, itValue);
}

