<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	 <xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	  </xsl:template>
  
  <xsl:template match="br">
    <br />
  </xsl:template>
  <xsl:template match="Total"></xsl:template>
	<xsl:template match="PN"></xsl:template>
  
	<xsl:template match="/Result/NoteList">
    <div>
      <xsl:attribute name="id">Note_Div_Content_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      <xsl:if test="count(Note) &gt; 0">
        <xsl:apply-templates select="Note[position()=1]/Content" />
      </xsl:if>
    </div>
    <table cellpadding="0" cellspacing="0">
      <tr width="100%">
        <td align="right" width="100%">
          <img class="imglink"  src="img/update.gif" title="Update">
            <xsl:attribute name="onclick">prepareNoteAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
          </img>&#160;
          <xsl:if test="count(Note) &gt; 0">
            <img class="imglink" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'"  src="img/delete.gif" title="Delete">
              <xsl:attribute name="onclick">doNoteDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(Note[position()=1]/Id)" />')</xsl:attribute>
            </img>
          </xsl:if>
        </td>  
      </tr>  
    </table>
	</xsl:template>

  <xsl:template match="Content">
    <xsl:apply-templates />
  </xsl:template>

	<xsl:template match="UserID" />
	<xsl:template match="Permission" />
  <xsl:template match="Foo" />
	<xsl:template match="Error" >
		<xsl:value-of select="normalize-space(.)" />
	</xsl:template>

</xsl:stylesheet> 

