<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="color-index" select="0" />
	<xsl:variable name="tagNum" select="0"/>
  <xsl:template match="Footype"></xsl:template>
  <xsl:template match="FooDisplayScore"></xsl:template>
  <xsl:template match="FooPN"></xsl:template>
  <xsl:template match="FooInnerPN"></xsl:template>
    <xsl:template match="NoAbst"></xsl:template>
  
  <xsl:template match="ClusterRankingList"></xsl:template>
	<xsl:template match="/Result/TagList">
		<table cellspacing="0" style="line-height:15px">
			<xsl:attribute name="class">querytag-content</xsl:attribute>
      <!--<xsl:if test="(/Result/FooPN &gt; 200000000 and /Result/FooPN &lt; 400000000) or starts-with(/Result/FooPN, '##')">-->
      <tr width="100%">
        <td colspan="5" align="left">
          <table cellspacing="0" cellpadding="0" width="100%">
            <tr width="100%">
              <td align="left">
                <img class="imglink" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="img/case-and.gif"  title="Checked index words And Search" alt="Checked index words And Search">
                  <xsl:attribute name="onclick">doCheckedKeywordsSearch('1', '<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/FooPN)" />');</xsl:attribute>
                </img>&#160;
                <img class="imglink" onmouseover="this.src='img/case-or-active.gif'" onmouseout="this.src='img/case-or.gif'" src="img/case-or.gif"  title="Checked index words Or Search" alt="Checked index words Or Search" >
                  <xsl:attribute name="onclick">doCheckedKeywordsSearch('2', '<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/FooPN)" />' );</xsl:attribute>
                </img>&#160;
                <img class="imglink" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" src="img/conceptsearch.gif"  title="Checked index words Concept Search" alt="Checked index words Concept Search" >
                  <xsl:attribute name="onclick">doCheckedKeywordsSearch('3', '<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/FooPN)" />' );</xsl:attribute>
                </img>&#160;
                <img class="imglink" onmouseover="this.src='img/rankby-active.gif'" onmouseout="this.src='img/rankby.gif'" src="img/rankby.gif"  title="Checked index words Rank Search" alt="Checked index words Rank Search" >
                  <xsl:attribute name="onclick">doCheckedKeywordsSearch('4', '<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/FooPN)" />' );</xsl:attribute>
                </img>&#160;
                <xsl:if test="/Result/FooDisplayScore = 1">
                <img class="imglink" onmouseover="this.src='img/mt-active.gif'" onmouseout="this.src='img/mt.gif'" src="img/mt.gif"  title="Score top of list with checked index words" alt="Score top of list with checked index words" >
                  <xsl:attribute name="onclick">
                    doCheckedKeywordsSearch('5', '<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/FooPN)" />','<xsl:value-of select="normalize-space(/Result/FooInnerPN)" />');
				  </xsl:attribute>
                </img>&#160;
                </xsl:if>
                <img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif"  title="Check All" alt="Check All" >
                  <xsl:attribute name="onclick">prepareKeywordsCheckStatus('<xsl:value-of select="normalize-space(/Result/Foo)" />', this);</xsl:attribute>
                </img>
                &#160;
		
                <span style="background-color:#ffffcc;cursor:pointer" onclick="doCheckKWInClaim(this);" check="0">Cited in Claim</span>&#160;
		<xsl:if test="/Result/NoAbst = 1">
		<span style="background-color:#ff0000;cursor:pointer" onclick="doCheckKWInClaimNotInAbst(this);" check="0">In Claim, not in Description</span>
		</xsl:if>
		
		
              </td>
              <td align="right">
        	      <input type="radio" value="cn" >
						      <xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
						      <xsl:attribute name="id">querytab-cnpatentabilitytype-radio-cn-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
						      <xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
						      Search CN
					      </input>
					      <input type="radio" value="us">
						      <xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
						      <xsl:attribute name="id">querytab-cnpatentabilitytype-radio-us-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
						      <xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="normalize-space(/Result/Foo)" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
						      Search EN
					      </input>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <!--</xsl:if>-->
			<tr>
				<td colspan ="2">
		
					<table width="100%" cellspacing="0">
						<tr width="100%">
							<xsl:for-each select="TagList">
								<xsl:variable name="pos" select="position()" />
								<td valign="top"  colspan="2" width="25%">
									<xsl:if test="position() mod 2 = 0">
									<xsl:attribute name="style">background-color:#cce5e3</xsl:attribute>
									</xsl:if>
									<xsl:if test="position() mod 2 = 1">
										<xsl:attribute name="style">background-color:#aed0cd</xsl:attribute>
									</xsl:if>
									<table width="100%">

										<tr width="100%">


											<td  valign="top" align="left" nowrap="true" colspan="2">
												<table width="100%">
													<tr>
														<td width="40%" >
															<img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif" onclick="checkKeywordsRow(this)" value="-1"  title="Check All" alt="Check All" >

															</img>
															<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" style="vertical-align:middle"  title="Search with cluster of index" alt="Search with cluster of index" >
																<xsl:attribute name="onclick">
																	doSearchByClusterTags(this, '<xsl:value-of select="normalize-space(/Result/Foo)" />')
																</xsl:attribute>
															</img>&#32;
															<span class="querytag-rate" >
																<xsl:attribute name="title">
																	Cluster of index <xsl:value-of select="normalize-space(/Result/ClusterRankingList/ClusterRanking[position()=$pos])" />% related to this patent
																</xsl:attribute>
																<xsl:value-of select="normalize-space(/Result/ClusterRankingList/ClusterRanking[position()=$pos])" />%
															</span>
														</td><!--&#160;
      <input type="checkbox" class="keywordcheckbox" style="vertical-align:middle;"  onclick="checkKeywordsRow(this)" value="-1">
      </input>-->					
												<!--<img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif" onclick="checkKeywordsRow(this)" value="-1"  title="Check All" alt="Check All" >

												</img>-->
														<td>
													<span>
														<b>Topic <xsl:value-of select="$pos"/></b>
													</span>
														</td>
													</tr>
												</table>
										</td>
										</tr>
										
										<tr>
											<!--<td valign="top" width="10px" align="right">
												<img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif" onclick="checkKeywordsRow(this)" value="-1"  title="Check All" alt="Check All" >

												</img>
											</td>-->
											<td colspan="2">
												<table>
													<xsl:for-each select="Tag">
														<tr>


															<td align="left">
																<!--<xsl:if test="position()=1">
																	<img class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif" onclick="checkKeywordsRow(this)" value="-1"  title="Check All" alt="Check All" >

																	</img>
																</xsl:if>
																<xsl:if test="position()&gt;1">
																	<img style="visibility:hidden" class="imglink" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif" onclick="checkKeywordsRow(this)" value="-1"  title="Check All" alt="Check All" >

																	</img>
																</xsl:if>-->

																<!--<input type="checkbox" class="keywordcheckbox" style="vertical-align:middle;">
																	<xsl:attribute name="value">
																		<xsl:value-of select="normalize-space(Word)" />
																	</xsl:attribute>
																
																</input>-->
																<span class="keyword">
																	<xsl:attribute name="value">
																		<xsl:value-of select="normalize-space(Word)" />
																	</xsl:attribute>
																	<img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
																		<xsl:attribute name="onclick">
																			checkCheckboxImg(this);
																		</xsl:attribute>
																	</img>
																</span>
															</td>
															<td>
																<span style="vertical-align:middle">
																	<xsl:choose>
																	<xsl:when test="(InDocTermCount mod 128) &gt; 64">
																	<xsl:attribute name="class">querytag-w-claim-noabst</xsl:attribute>
																	</xsl:when>
																	<xsl:when test="InDocTermCount &gt; 127">
																	<xsl:attribute name="class">querytag-w-claim</xsl:attribute>
																	</xsl:when>
																	<xsl:otherwise>
																	<xsl:attribute name="class">querytag-w</xsl:attribute>
																	</xsl:otherwise>
																	</xsl:choose>
																	<xsl:attribute name="pn">
																		<xsl:value-of select="normalize-space(../../../PN)" />
																	</xsl:attribute>
																	<xsl:attribute name="onmouseover">onQueryTagMouseOver(this, event)</xsl:attribute>
																	<xsl:attribute name="onmouseout">onQueryTagMouseOut(this, event)</xsl:attribute>
																	<xsl:attribute name="onclick">
																		onQueryTagClick(this, 'w', '<xsl:value-of select="normalize-space(../../../PN)" />', '<xsl:value-of select="normalize-space(../../../Foo)" />', '<xsl:value-of select="normalize-space(OriginalWord)" />')
																	</xsl:attribute>
																	<xsl:attribute name="oncontextmenu">onQueryTagContextMenu(this, 'w')</xsl:attribute>
															
																	<xsl:value-of select="normalize-space(Word)" />
																	
																</span>&#160;
																<input type="hidden" style="display:none">
																	<xsl:attribute name="value">
																		<xsl:value-of select="normalize-space(DocCount)" />/<xsl:value-of select="normalize-space(TermCount)" />/<xsl:value-of select="normalize-space(InDocTermCount mod 128)" />
																	</xsl:attribute>
																</input>
															</td>
														</tr>
													</xsl:for-each>
												</table>
											</td>
										</tr>
												
											



								


									</table>

								</td>
							</xsl:for-each>
						</tr>
					</table>
				</td>
						
			</tr>
			<tr width="100%" class="querytag-hiderow">
				<td colspan="2">
					<div style="display:none">
						<xsl:attribute name="id">querytag-hidden-div-<xsl:value-of select="normalize-space(../Foo)" /></xsl:attribute>
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="Foo">
	</xsl:template>
	<xsl:template match="PN">
	</xsl:template>
  <xsl:template match="DisplayPN">
  </xsl:template>
  <xsl:template match="CCLList">
  </xsl:template>
  <xsl:template match="ICLList">
  </xsl:template>
</xsl:stylesheet>

