<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/Result">
   <table cellpadding="0" width="100%" style="background-color:#EDF1F8;">
                            <tr>
                                <td>
                                    <table cellpadding="0" cellspacing="0" width="100%">
                                        <tr>
                                            <td align="right">
                                                <img alt="关闭" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" class="imglink" onclick="onSelectTypeChange(null)" />&#160;&#160;
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                     <table cellpadding="0"  border="0">
                                        <tr>
                                            <td valign="top" align="right">
                                                <b>请输入查询表达式</b><br /><br /><br />
                                            </td>
                                            <td align="left">
                                                <textarea id="search-advanceinput-input" rows="4" style="width:600px" ></textarea>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td align="center" >
                                                <input type="button"  value="搜索" class="advancedsearch-bt" onclick="doSearchByAdvancedInput();"/>
                                                <input type="button"  value="清除" class="advancedsearch-bt" onclick="resetAdvancedInput();"/>
                                            </td>
                                        </tr>   
                                        <tr>
                                            <td valign="top" align="right">
                                                <b>参考查询字段列表</b><br />
                                            </td>
                                            <td align="left">
                                                <table border="1px" cellSpacing="1" cellPadding="2" width="605px">
                                                    <tr class="querylist-title">
	                                                    <td valign="middle" style="width:20%" align="center"><b>字段代码</b></td>
	                                                    <td valign="middle" style="width:30%" align="center"><b>字段名称</b></td>
            	                                       
	                                                    <td valign="middle" style="width:20%" align="center"><b>字段代码</b></td>
	                                                    <td valign="middle" style="width:30%" align="center"><b>字段名称</b></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >B </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <span class="a-f" href="#" onclick="appendQuery('search-advanceinput-input','B/');">
	                                                    任意字段关键词</span></td>
	                                                    <td valign="middle"  align="left" >C </td>
	                                                    <td valign="middle"  align="left">
	                                                    <span class="a-f" href="#" onclick="appendQuery('search-advanceinput-input','C/');">
	                                                    概念</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >R </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <span class="a-f" href="#" onclick="appendQuery('search-advanceinput-input','R/');">
	                                                    排序</span></td>
	                                                    <td valign="middle"  align="left" >REL </td>
	                                                    <td valign="middle"  align="left">
	                                                    <span class="a-f" href="#" onclick="appendQuery('search-advanceinput-input','REL/');">
	                                                    相关度</span></td>
                                                    </tr>
					                                <tr>
					                                    <td valign="middle"  align="left" >AN </td>
	                                                    <td valign="middle"  align="left" >
	                                                   <!-- <span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Assignee_Name">-->
	                                                   <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','AN/');">
	                                                    公司</span></td>
	                                                    <td valign="middle"  align="left"  >ANN </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ANN/');">
	                                                    标准化的公司</span></td>
                                                    </tr>
                                                    <tr>
                                                        <td valign="middle"  align="left" >IW </td>
	                                                    <td valign="middle"  align="left">
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','IW/');">
	                                                    索引词</span></td>
	                                                    <td valign="middle"  align="left" >IWK </td>
	                                                    <td valign="middle"  align="left">
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','IWK/');">
	                                                    完全匹配的索引词</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left">PN </td>
	                                                    <td valign="middle"  align="left">
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Patent_Number">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PN/');">
	                                                    专利号</span></td>
	                                                    <td valign="middle"  align="left">IN </td>
	                                                    <td valign="middle"  align="left">
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Inventor_Name">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','IN/');">
	                                                    发明人</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >ISD </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Issue_Date">公开日</span> -->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ISD/');">公开日</span>
	                                                    </td>
	                                                    <td valign="middle"  align="left" >IC </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Inventor_City">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','IC/');">
	                                                    发明人所在城市</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >TTL </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Patent_Title">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','TTL/');">
	                                                    标题</span> </td>
	                                                    <td valign="middle"  align="left" >IS </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Inventor_State">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','IS/');">
	                                                    发明人所在州</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >ABST </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Abstract">摘要</span> -->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ABST/');">摘要</span>
	                                                    </td>
	                                                    <td valign="middle"  align="left" >ICN </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Inventor_Country">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ICN/');">
	                                                     发明人所在国家</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >ACLM </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Claims">权利要求</span></td>-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ACLM/');">权利要求</span></td>
	                                                    <td valign="middle"  align="left" >LREP </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Attorney_Agent">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','LREP/');">
	                                                    代理</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >SPEC </td>
	                                                    <td valign="middle"  align="left" >
	                                                   <!-- <span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Description">-->
	                                                   <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','SPEC/');">
	                                                    说明</span></td>
	                                                    <td valign="middle"  align="left" >FIG </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','FIG/');">
	                                                    图片描述</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >CCL </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Current_US_Class/SubClass">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','CCL/');">
	                                                    美国分类</span> </td>
	                                                    <td valign="middle"  align="left" >AC </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Assignee_City">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','AC/');">
	                                                    公司所在城市</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >CCLM </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','CCLM/');">
	                                                    美国主分类</span> </td>
	                                                    <td valign="middle"  align="left" >CCLS </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','CCLS/');">
	                                                    美国子分类</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >PAB </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PAB/');">
	                                                    新颖分析</span> </td>
	                                                    <td valign="middle"  align="left" >INF </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','INF/');">
	                                                    侵权分析</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >ICL </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#International_Class">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ICL/');">
	                                                    国际分类</span> </td>
	                                                    <td valign="middle"  align="left" >AS </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Assignee_State">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','AS/');">
	                                                    公司所在州</span></td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >APN </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Application_Number">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','APN/');">
	                                                    申请号</span> </td>
	                                                    <td valign="middle"  align="left" >ACN </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Assignee_Country">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','ACN/');">
	                                                    公司所在国家</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >APD </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Application_Date">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','APD/');">
	                                                    申请日</span> </td>
	                                                    <td valign="middle"  align="left" >EXP </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Primary_Examiner">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','EXP/');">
	                                                    主审查员</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >PARN </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Case_Info">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PARN/');">
	                                                    父专利信息</span> </td>
	                                                    <td valign="middle"  align="left" >EXA </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Assistant_Examiner">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','EXA/');">
	                                                    助理审查员</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >RLAP </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Related_US_Application_Data">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','RLAP/');">
	                                                    相关美国申请信息</span> </td>
	                                                    <td valign="middle"  align="left" >REF </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#ReferencedBy">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','REF/');">
	                                                    美国专利引用</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >REIS </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Reissue_Data">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','REIS/');">
	                                                    重新公开数据</span></td>
	                                                    <td valign="middle"  align="left" >FREF </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Foreign_References">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','FREF/');">
	                                                    国际专利引用</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >PRIR </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Foreign_Priority">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PRIR/');">
	                                                    国际优先数据</span> </td>
	                                                    <td valign="middle"  align="left" >OREF </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Other_References">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','OREF/');">
	                                                    其他引用</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >PCT </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#PCT_Information">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PCT/');">
	                                                    PCT信息</span> </td>
	                                                    <td valign="middle"  align="left" >GOVT </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Government_Interest">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','GOVT/');">
	                                                    政府权益</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >APT </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Application_Type">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','APT/');">
	                                                    申请类型</span> </td>
	                                                    <td valign="middle"  align="left" >CITE </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','CITE/');">
	                                                    被引用美国专利</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >PNS </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="http://www.uspto.gov/patft/help/helpflds.htm#Application_Type">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PNS/');">
	                                                    多专利号(空格分隔)</span> </td>
	                                                    <td valign="middle"  align="left" >PROJ </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','PROJ/');">
	                                                    项目(登录后)</span> </td>
                                                    </tr>
                                                    <tr>
	                                                    <td valign="middle"  align="left" >DI </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','DI/');">
	                                                    公开日过滤</span> </td>
	                                                    <td valign="middle"  align="left" >DA </td>
	                                                    <td valign="middle"  align="left" >
	                                                    <!--<span class="a-f" target="_blank" href="#">-->
	                                                    <span class="a-f" href="#"  onclick="appendQuery('search-advanceinput-input','DA/');">
	                                                    申请日过滤</span> </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
</xsl:template>

</xsl:stylesheet> 

