<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/Result">
    <form id="advancedsearch-form-1" onsubmit="return false;" method="post">
      <table class="advancedsearch-table-1" cellpadding="0" style="table-layout:fixed;font-size:11px;" width="100%" align="center" border="0">
        <tr align="left">
          <td width="150px" nowrap="true"></td>
          <td align="right">
            <img alt="关闭" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" class="imglink" onclick="onSelectTypeChange(null)" />&#160;&#160;
          </td>
        </tr>

        <tr align="left">
          <td width="150px" nowrap="true">
            <span>
              <b>全部</b>
            </span>
          </td>
          <td align="left">
            <input onmousemove="showinputtip('W1',1,200, event)" onmouseout="showinputtip('W1',0,200, event)" class="advancedsearch-input" style="width:98%" name="w1"/>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true">
            <span>
              <b>完整字句</b>
            </span>
          </td>
          <td align="left" >
            <input onmousemove="showinputtip('W2',1,200, event)" onmouseout="showinputtip('W2',0,200, event)" class="advancedsearch-input"  style="width:98%" name="w2"/>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true">
            <span>
              <b>任何一个</b>
            </span>
          </td>
          <td align="left">
            <input onmousemove="showinputtip('W3',1,200, event)" onmouseout="showinputtip('W3',0,200, event)" class="advancedsearch-input" style="width:98%" name="w3"/>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true">
            <span>
              <b>不包括</b>
            </span>
          </td>
          <td align="left" >
            <input onmousemove="showinputtip('W4',1,200, event)" onmouseout="showinputtip('W4',0,200, event)" class="advancedsearch-input" style="width:98%" name="w4"/>
          </td>
        </tr>

      </table>
    </form>
    <form id="advancedsearch-form-2">
      <table class="advancedsearch-table-2" cellpadding="0" width="100%" align="center" border="0">

        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">专利号(PN)</td>
          <td>
            <input onmousemove="showinputtip('PN',1,200,event)" onmouseout="showinputtip('PN',0,200)" class="advancedsearch-input" size="15" name="pn" />
            <i>(e.g. 6123456)</i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn" >发明人(IN)</td>
          <td >
            <input onmousemove="showinputtip('IN',1,200,event)" onmouseout="showinputtip('IN',0,200)" class="advancedsearch-input" size="15" name="inv"/>
            <i>
              (e.g. Taylor;John)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">发明人所在国家(ICN)</td>
          <td >
            <input onmousemove="showinputtip('ICN',1,200,event)" onmouseout="showinputtip('ICN',0,200)" class="advancedsearch-input" size="15" name="icn" />
            <i>
              (e.g. JP)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">发明人所在州(IS)</td>
          <td >
            <input onmousemove="showinputtip('IS',1,200,event)" onmouseout="showinputtip('IS',0,200)" class="advancedsearch-input" size="15" name="is" />
            <i>
              (e.g. NY)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">发明人所在城市(IC)</td>
          <td >
            <input onmousemove="showinputtip('IC',1,200,event)" onmouseout="showinputtip('IC',0,200)" class="advancedsearch-input" size="15" name="ic" />
            <i>
              (e.g. New York)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">标题(TTL)</td>
          <td >
            <input onmousemove="showinputtip('TTL',1,200,event)" onmouseout="showinputtip('TTL',0,200)" class="advancedsearch-input" size="15" name="ttl" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">公开日(ISD)</td>
          <td >
            <input id="advancedsearch-issuedatefrom-input" class="advancedsearch-input" size="10" name="isd" />
            <img alt="" onclick="setday(this,document.getElementById('advancedsearch-issuedatefrom-input'),'yyyymmdd', '-');" height="18" src="img/calendar.gif" width="18" class="imglink" border="0" />
            to
            <input id="advancedsearch-issuedateto-input" class="advancedsearch-input" size="10" name="isdto" />
            <img alt="" onclick="setday(this,document.getElementById('advancedsearch-issuedateto-input'),'yyyymmdd', '-');" height="18" src="img/calendar.gif" width="18" class="imglink" border="0" />
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">申请日(APD)</td>
          <td >
            <input id="advancedsearch-appdatefrom-input" class="advancedsearch-input" size="10" name="apd" />
            <img alt="" onclick="setday(this,document.getElementById('advancedsearch-appdatefrom-input'),'yyyymmdd', '-');" height="18" src="img/calendar.gif" width="18" class="imglink" border="0" />
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">摘要(ABST)</td>
          <td >
            <input onmousemove="showinputtip('ABST',1,200,event)" onmouseout="showinputtip('ABST',0,200)" class="advancedsearch-input" size="15" name="abst" />
            <i>
              (e.g. automobile)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">权利要求(ACLM)</td>
          <td >
            <input onmousemove="showinputtip('ACLM',1,200,event)" onmouseout="showinputtip('ACLM',0,200)" class="advancedsearch-input" size="15" name="aclm" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">说明(SPEC)</td>
          <td >
            <input onmousemove="showinputtip('SPEC',1,200,event)" onmouseout="showinputtip('SPEC',0,200)" class="advancedsearch-input" size="15" name="spec" />
            <i>
              (e.g. automobile)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">政府权益(GOVT)</td>
          <td >
            <input onmousemove="showinputtip('GOVT',1,200,event)" onmouseout="showinputtip('GOVT',0,200)" class="advancedsearch-input" size="15" name="govt" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">索引词(IW)</td>
          <td >
            <input onmousemove="showinputtip('KW',1,200,event)" onmouseout="showinputtip('KW',0,200)" class="advancedsearch-input" size="15" name="kw" />
            <i>
              (e.g. automobile)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">精确匹配的索引词(IWK)</td>
          <td >
            <input onmousemove="showinputtip('KWK',1,200,event)" onmouseout="showinputtip('KWK',0,200)" class="advancedsearch-input" size="15" name="kwk" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">申请人(AN)</td>
          <td >
            <input onmousemove="showinputtip('AN',1,200,event)" onmouseout="showinputtip('AN',0,200)" class="advancedsearch-input" size="15" name="an" />
            <i>
              (e.g. Microsoft)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">标准化的申请人(ANN)</td>
          <td >
            <input onmousemove="showinputtip('ANN',1,200,event)" onmouseout="showinputtip('ANN',0,200)" class="advancedsearch-input" size="15" name="ann" />
            <i>
              (e.g. Microsoft)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">公司所在国家(ACN)</td>
          <td >
            <input onmousemove="showinputtip('ACN',1,200,event)" onmouseout="showinputtip('ACN',0,200)" class="advancedsearch-input" size="15" name="acn" />
            <i>
              (e.g. JP)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">公司所在州(AS)</td>
          <td >
            <input onmousemove="showinputtip('AS',1,200,event)" onmouseout="showinputtip('AS',0,200)" class="advancedsearch-input" size="15" name="as" />
            <i>
              (e.g. NY)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">公司所在城市(AC)</td>
          <td >
            <input onmousemove="showinputtip('AC',1,200,event)" onmouseout="showinputtip('AC',0,200)" class="advancedsearch-input" size="15" name="ac" />
            <i>
              (e.g. New York)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">美国分类(CCL)</td>
          <td >
            <input onmousemove="showinputtip('CCL',1,200,event)" onmouseout="showinputtip('CCL',0,200)" class="advancedsearch-input" size="15" name="ccl" />
            <i>
              (e.g. 100/50)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">美国主分类(CCLM)</td>
          <td >
            <input onmousemove="showinputtip('CCLM',1,200,event)" onmouseout="showinputtip('CCLM',0,200)" class="advancedsearch-input" size="15" name="cclm" />
            <i>
              (e.g. 100)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">美国子分类(CCLS)</td>
          <td >
            <input onmousemove="showinputtip('CCLS',1,200,event)" onmouseout="showinputtip('CCLS',0,200)" class="advancedsearch-input" size="15" name="ccls" />
            <i>
              (e.g. 50)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">国际分类(ICL)</td>
          <td >
            <input onmousemove="showinputtip('ICL',1,200,event)" onmouseout="showinputtip('ICL',0,200)" class="advancedsearch-input" size="15" name="icl" />
            <i>
              (e.g. G06F019/00)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">申请号(APN)</td>
          <td >
            <input onmousemove="showinputtip('APN',1,200,event)" onmouseout="showinputtip('APN',0,200)" class="advancedsearch-input" size="15" name="apn" />
            <i>
              (e.g. 997834)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">父专利信息(PARN)</td>
          <td >
            <input onmousemove="showinputtip('PARN',1,200,event)" onmouseout="showinputtip('PARN',0,200)" class="advancedsearch-input" size="15" name="parn" />
            <i>
              (e.g. 934,518)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">美国专利引用(REF)</td>
          <td >
            <input onmousemove="showinputtip('REF',1,200,event)" onmouseout="showinputtip('REF',0,200)" class="advancedsearch-input" size="15" name="refe" />
            <i>
              (e.g. 4313124)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">国际专利引用(FREF)</td>
          <td >
            <input onmousemove="showinputtip('FREF',1,200,event)" onmouseout="showinputtip('FREF',0,200)" class="advancedsearch-input" size="15" name="fref" />
            <i>
              (e.g. WO86/06726)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">其他引用(OREF)</td>
          <td >
            <input onmousemove="showinputtip('OREF',1,200,event)" onmouseout="showinputtip('OREF',0,200)" class="advancedsearch-input" size="15" name="oref" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">国际优先数据(PRIR)</td>
          <td >
            <input id="advancedsearch-fp-input" class="advancedsearch-input" size="15" name="prir" />
            <img alt="" onclick="setday(this,document.getElementById('advancedsearch-fp-input'),'yyyymmdd', '-');" height="18" src="img/calendar.gif" width="18" class="imglink" border="0" />
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">主审查员(EXP)</td>
          <td >
            <input onmousemove="showinputtip('EXP',1,200,event)" onmouseout="showinputtip('EXP',0,200)" class="advancedsearch-input" size="15" name="pex" />
            <i>
              (e.g. Jenkins;Daniel)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">助理审查员(EXA)</td>
          <td >
            <input onmousemove="showinputtip('EXA',1,200,event)" onmouseout="showinputtip('EXA',0,200)" class="advancedsearch-input" size="15" name="asex" />
            <i>
              (e.g. Mar;Michael)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">代理(LREP)</td>
          <td >
            <input onmousemove="showinputtip('LREP',1,200,event)" onmouseout="showinputtip('LREP',0,200)" class="advancedsearch-input" size="15" name="agt" />
            <i>
              (e.g. Townsend)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">相关美国申请信息(RLAP)</td>
          <td >
            <input onmousemove="showinputtip('RLAP',1,200,event)" onmouseout="showinputtip('RLAP',0,200)" class="advancedsearch-input" size="15" name="rlap" />
            <i>
              (e.g. EP05)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">PCT信息(PCT)</td>
          <td >
            <input onmousemove="showinputtip('PCT',1,200,event)" onmouseout="showinputtip('PCT',0,200)" class="advancedsearch-input" size="15" name="pct" />
            <i>
              (e.g. EP2004)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">应用类型(APT)</td>
          <td >
            <input onmousemove="showinputtip('APT',1,200,event)" onmouseout="showinputtip('APT',0,200)" class="advancedsearch-input" size="15" name="apt" />
            <i>
              (e.g. 1)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">图片描述(FIG)</td>
          <td >
            <input onmousemove="showinputtip('FIG',1,200,event)" onmouseout="showinputtip('FIG',0,200)" class="advancedsearch-input" size="15" name="fig" />
            <i>
              (e.g. automobile)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">新颖分析(PAB)</td>
          <td >
            <input onmousemove="showinputtip('PAB',1,200,event)" onmouseout="showinputtip('PAB',0,200)" class="advancedsearch-input" size="15" name="pab" />
            <i>
              (e.g. 4313124)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">侵权分析(INF)</td>
          <td >
            <input onmousemove="showinputtip('INF',1,200,event)" onmouseout="showinputtip('INF',0,200)" class="advancedsearch-input" size="15" name="inf" />
            <i>
              (e.g. 4313124)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">参考美国专利(CITE)</td>
          <td >
            <input onmousemove="showinputtip('CITE',1,200,event)" onmouseout="showinputtip('CITE',0,200)" class="advancedsearch-input" size="15" name="cite" />
            <i>
              (e.g. 4313124)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">多专利号(PNS)</td>
          <td >
            <input onmousemove="showinputtip('PNS',1,200,event)" onmouseout="showinputtip('PNS',0,200)" class="advancedsearch-input" size="15" name="pns" />
            <i>
              (e.g. 4313123 4313124)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">项目名称(PROJ)</td>
          <td >
            <input onmousemove="showinputtip('PROJ',1,200,event)" onmouseout="showinputtip('PROJ',0,200)" class="advancedsearch-input" size="15" name="proj" />
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">相关度(REL)</td>
          <td >
            <input onmousemove="showinputtip('REL',1,200,event)" onmouseout="showinputtip('REL',0,200)" class="advancedsearch-input" size="15" name="rel" />
            <i>
              (e.g. 85)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">公开日过滤(DI)</td>
          <td >
            <input onmousemove="showinputtip('DI',1,200,event)" onmouseout="showinputtip('DI',0,200)" class="advancedsearch-input" size="15" name="di" />
            <i>
              (e.g. 4313123)
            </i>
          </td>
          <td style="width:20px"></td>
          <td nowrap="true" class="advancedsearch-leftcolumn">申请日过滤(DA)</td>
          <td >
            <input onmousemove="showinputtip('DA',1,200,event)" onmouseout="showinputtip('DA',0,200)" class="advancedsearch-input" size="15" name="da" />
            <i>
              (e.g. 4313123)
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">选择排序的概念(R)</td>
          <td colspan="4" >
            <input onmousemove="showinputtip('R',1,200,event)" onmouseout="showinputtip('R',0,200)" class="advancedsearch-input"  style="width:98%" name="rankby" />
            <i>
            </i>
          </td>
        </tr>
        <tr align="left">
          <td nowrap="true" class="advancedsearch-leftcolumn">选择搜索的概念(C)</td>
          <td colspan="4" >
            <input class="advancedsearch-input"  style="width:98%" name="concept" />
            <i>
            </i>
          </td>
        </tr>

        <tr align="left">
          <td colspan="5" align="center">
            <input type="button" class="advancedsearch-bt" value="搜索" onclick="prepareAdvancedSearch();" />&#160;<input type="button" class="advancedsearch-bt" value="清除" onclick="resetAdvancedSearch();" />
          </td>
        </tr>
      </table>
    </form>
  </xsl:template>

</xsl:stylesheet>

