<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/Result/BookmarkList">
  <table cellspacing="2" id="search-master-subget-table">
    <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
    <tr> 
	    <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      <td align="center" width="50px">序号</td>
      <td  align="center">
        <table width="100%" cellspacing="0" cellpadding="0">
          <tr width="100%">
            <td align="left">
              查询语句
            </td>
            <td align="right">
              <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="hideParentDiv(this);" class="imglink"></img>
            </td>
          </tr>
        </table>
      </td>
    </tr> 
   <xsl:for-each select="Bookmark">
     <tr>
      <xsl:if test="position() mod 2 = 0">
       <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      </xsl:if>
      <xsl:if test="position() mod 2 != 0">
       <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      </xsl:if>
       <td align="center">
         <input type="checkbox"></input>
         <span><xsl:value-of select="normalize-space(Id)" /></span>
       </td>
       <td align="left">
         <span>
            <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   	
            <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute> 
			      <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute> 
			      <xsl:attribute name="onclick">onSubGetTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, '<xsl:value-of select="normalize-space(Database)" />', '<xsl:value-of select="normalize-space(Option)" />')</xsl:attribute>
            <xsl:value-of select="normalize-space(QueryText)" />
         </span>
         <input type="hidden">
           <xsl:attribute name="value"><xsl:value-of select="normalize-space(Database)" /></xsl:attribute>             
         </input>
       </td>
     </tr>
   </xsl:for-each>
    <tr>
      <td colspan="2" align="center">
        <input type="button" class="advancedsearch-bt" value="与" onclick="prepareSubSearch(' and ');" />&#160;
        <input type="button" class="advancedsearch-bt" value="或" onclick="prepareSubSearch(' or ');" />
      </td>
    </tr>
 </table>
</xsl:template>

</xsl:stylesheet> 

