<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="Result">
		<table cellspacing="2" cellpadding="0" id="search-quickbookmark-table">
			<xsl:for-each select="NameList/Name">
				<tr width="100%">
					<td valign="middle">
						<img src="img/plus.gif" class="imglink" style="vertical-align:middle" width="9px" >
							<xsl:attribute name="id">bookmark-history-img-<xsl:value-of select="position()" /></xsl:attribute>
							<xsl:attribute name="onclick">showBookmarkHistory2('<xsl:value-of select="position()" />', '<xsl:value-of select="normalize-space(.)" />')</xsl:attribute>
						</img>
					</td>
       
					<td valign="top"  width="100%">
						<span onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
							<xsl:attribute name="class">quickproject-name</xsl:attribute>
							<xsl:attribute name="onclick">showBookmarkHistory2('<xsl:value-of select="position()" />', '<xsl:value-of select="normalize-space(.)" />')</xsl:attribute>
							<xsl:value-of select="normalize-space(.)" />
						</span>&#160;
					</td>
				</tr>
				<tr style="display:none" width="100%">
					<xsl:attribute name="id">bookmark-history-hiddenrow-<xsl:value-of select="position()" /></xsl:attribute>
					<td style="padding-left:10px" colspan="2">
						<div>
							<xsl:attribute name="id">bookmark-history-bookmarklist-div-<xsl:value-of select="position()" /></xsl:attribute>
						</div>						
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>


