<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="Fooit"></xsl:template>

  <xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>
	<xsl:template match="PN"></xsl:template>
	<xsl:template match="ID"></xsl:template>
  <xsl:template match="FooRecentPN"></xsl:template>
	<xsl:template match="pt"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="Result">
    
		<table cellspacing="2">
			<xsl:attribute name="id">document-update-table</xsl:attribute>
			<xsl:attribute name="class">project-content</xsl:attribute>
			<tr>
				<td align="left" colspan="5">
					<xsl:if test="normalize-space(/Result/Fooit) = '1'">
						<span>
							<xsl:attribute name="class">anchorunderline</xsl:attribute>
							<xsl:attribute name="onclick">prepareAddDocument()</xsl:attribute>
							<xsl:attribute name="onmouseover">onProjectNameMouseOver(this)</xsl:attribute>
							<xsl:attribute name="onmouseout">onProjectNameMouseOut(this)</xsl:attribute>
							<b>新建文档</b>
						</span>
					</xsl:if>
				</td>
				<xsl:if test="normalize-space(/Result/Fooit) = '1'">
					<td align="right">
            <xsl:if test="count(PatentList/Patent) &gt; 0">
              <img class="imglink"  onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除">
                <xsl:attribute name="onclick">doDocumentDelete()</xsl:attribute>
              </img>
            </xsl:if>
					</td>
				</xsl:if>
			</tr>
			<xsl:if test="normalize-space(/Result/Fooit) = '1'">
				<tr>
				 
					<td colspan="6">
						<table width="100%"  cellspacing="0" cellpadding="0" >
						
							<tr>
								<td align="left" >
									<div style="display:none">
										<xsl:attribute name="id">documentupdate-div-documentupdate</xsl:attribute>
										<table>
										<tr>
										<td >上传:</td>
										<td>
									<!--	<form id="upload_form" method="post" enctype="multipart/form-data" target="popupdiv-importpatent-result" style="width:60px;margin:0px;" >-->
														  
														 <!-- <a href="JavaScript:void(0);"  class="addfile" title="本地上传" id="linkinput" onclick="getElementPos('linkinput')">-->
                                <span id="spaninput" class = "anchor" onmouseover="moveinput('spaninput','doc_upload');">本地&#160;&#160;&#160;&#160;</span>
														 <!--<input hidefocus="true" type="file" name="upload" onchange="prepareImportPatents2();" class="file" size="1"></input>-->
														 <!--</a>-->
                            
														<!--</form>-->
										</td>
										
										<td>   
														
														<span  class = "anchor" onclick="prepareImportPatents(this, 'u2');" >web </span>
										</td>
										
										</tr>
										
										</table>				
                    <form id="documentupdate-newdocument-form"  onsubmit="return false;" method="post">
                      <table cellspacing="2" width="100%"  style="background-color:#e0e4f3">
                     
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														标题:
													</td>
													<td align="left" width="100%" >
														<input type="text" id="document-newtitle-input"  class="login-input" maxlength="200" style="width:98%" name="sn" onfocus="onInputFocus(this)"/>
													</td>
												</tr>
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														作者:
													</td>
													<td align="left" width="100%" >
														<input type="text" id="document-newauthor-input" class="login-input" maxlength="1024" style="width:98%" name="sa" onfocus="onInputFocus(this);"/>
													</td>
												</tr>
                        <tr>
                          <td align="left" style="width:56px" nowrap="true">
                            申请人:
                          </td>
                          <td align="left" width="100%" >
                            <input type="text" id="document-newan-input" class="login-input" maxlength="1024" style="width:98%" name="san" onfocus="onInputFocus(this);"/>
                          </td>
                        </tr>
                        <tr>
                          <td align="left" style="width:50px" nowrap="true">
                            自定义分类:
                          </td>
                          <td align="left" width="100%" >
                            <input type="text" id="document-newccl-input" class="login-input" maxlength="1024" style="width:98%" name="sccl" onfocus="onInputFocus(this);"/>
                          </td>
                        </tr>
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														时间:
													</td>
													<td align="left" width="100%" >
														<input id="document-newwritedate-input" class="advancedsearch-input" size="10" name="swt" onfocus="onInputFocus(this);"/>
														&#32;<img alt="" onclick="setday(this,document.getElementById('document-newwritedate-input'),'yyyymmdd', '-');" height="18" src="img/calendar.gif" width="18" class="imglink" border="0" />
													</td>
												</tr>
												<!--edit by seedy begin-->
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														摘要:
													</td>
													<td align="left" width="100%" >
														<textarea type="text" id="document-newabst-textarea" rows="5" style="width:98%" name="sab" onfocus="onInputFocus(this);"></textarea>
													</td>
												</tr>
												<!--edit by seedy end-->
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														权利要求:
													</td>
													<td align="left" width="100%" >
														<textarea type="text" id="document-newclaim-textarea" rows="5" style="width:98%" name="scl" onfocus="onInputFocus(this);"></textarea>
													</td>
												</tr>
												<tr>
													<td align="left" style="width:56px" nowrap="true">
														内容:<br />
                            <!--<span class="anchorunderline"  onclick="prepareImportPatents(this, 'd');" >Upload</span>-->
                            <!--edit by seedy-->
                            
                           
														
													</td>
													<td align="left" width="100%" >
														<textarea type="text" id="document-newcontent-textarea" rows="20" style="width:98%" name="sc" onfocus="onInputFocus(this);"></textarea>
													</td>
												</tr>
												<tr>
                          <td colspan="2">
                            <table width="100%">
                              <tr width="100%">
                                 <td align="left" nowrap="true">
                                    <input type="hidden" name="ido" />
                                    <input type="checkbox" name="idoc" /><span style="vertical-align:middle">仅作查询</span>
                                  </td>
													        <td align="right" width="100%">
                                    <input type="button" value="添加" class="login-bt">
                                      <xsl:attribute name="onclick">doDocumentAdd()</xsl:attribute>
														        </input>&#160;
														        <input type="button" value="取消" class="login-bt" >
															        <xsl:attribute name="onclick">cancelDocumentAdd()</xsl:attribute>
														        </input>
													        </td>
                              </tr>
                            </table>
                          </td>
												</tr>
                      </table>
                    </form>
									</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</xsl:if>
		</table>
		<xsl:for-each select="PatentList">
			<table width="100%" id="document-documenttable">
				<tr>
					<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					</xsl:attribute>
					<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
						<td>
							<xsl:if test="normalize-space(Value) != ''">
								<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
								</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="normalize-space(Key) = 'p'">PN</xsl:when>
								<xsl:when test="normalize-space(Key) = 't'">Title</xsl:when>
								<xsl:when test="normalize-space(Key) = 'a'">Assignee</xsl:when>
								<xsl:when test="normalize-space(Key) = 'i'">Inventors</xsl:when>
								<xsl:when test="normalize-space(Key) = 'c'">Class</xsl:when>
								<xsl:when test="normalize-space(Key) = 'l'">ICL</xsl:when>
								<xsl:otherwise>Other</xsl:otherwise>
							</xsl:choose>
						</td>
					</xsl:for-each>
          <xsl:if test="count(Patent) &gt; 0">
          <td align="center">
            <input type="checkbox"  style="width:12px; height:12px;" onclick="onDocumentTableCheckboxClick(this)"></input>
          </td>
          </xsl:if>
				</tr>
				<xsl:for-each select="Patent">
					<tr>
						<xsl:if test="normalize-space(p) = normalize-space(/Result/ShowPN)">
							<xsl:attribute name="class">querylist-showpn</xsl:attribute>
						</xsl:if>
						<xsl:if test="normalize-space(p) != normalize-space(/Result/ShowPN)">
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
								<xsl:if test="position() mod 2 = 0">
									<xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
									</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() mod 2 != 0">
									<xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
									</xsl:attribute>
								</xsl:if>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
								<xsl:attribute name="class">querylist-top</xsl:attribute>
							</xsl:if>
							<xsl:if test="normalize-space(Color) != ''">
								<xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
								<xsl:attribute name="Color">
									<xsl:value-of select="normalize-space(Color)"/>
								</xsl:attribute>
							</xsl:if>
						</xsl:if>
						<xsl:apply-templates />
            <td align="center">
              <input type="checkbox" style="width:12px; height:12px;">
                <xsl:attribute name="value"><xsl:value-of select="normalize-space(PN)"/></xsl:attribute>
              </input>
            </td>
					</tr>
					<tr width="100%" style="display:none">
						<xsl:attribute name="class">querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
						<td align="center" width="100%">
							<xsl:attribute name="colspan">
								<xsl:value-of select="count(/Result/DisplayFieldList/DisplayField) + 1" />
							</xsl:attribute>
							<div style="width:100%">
								<xsl:attribute name="id">
									<xsl:value-of select="ID" />
								</xsl:attribute>
							</div>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="p">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'p' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="(../PN) &gt; 3574860 or (../PN) &lt; 60000 ">
				<span target="_self" href="#">
          <xsl:attribute name="url">pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" /></xsl:attribute>
          <!--<xsl:attribute name="url">invokehtml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>-->
					<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')
					</xsl:attribute>-->
					<xsl:attribute name="onclick">
						setCurrentEvent(event);onQueryFulltextPNClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
					</xsl:attribute>
					<xsl:attribute name="pn">
						<xsl:value-of select="normalize-space(../PN)" />
					</xsl:attribute>
					<xsl:if test="(normalize-space(.) = normalize-space(/Result/ShowPN)) and (normalize-space(../Other) = '-triggered')">
						<xsl:attribute name="style">color:White</xsl:attribute>
					</xsl:if>
					<xsl:if test="normalize-space(.) != normalize-space(/Result/ShowPN)">
						<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
							<xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or (normalize-space(../r) = '100' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'))">
							<xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>
						</xsl:if>
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP-C'">
							<xsl:attribute name="class">querylist-toppatent-c</xsl:attribute>
						</xsl:if>
					</xsl:if>

            <xsl:if test="normalize-space(/Result/FooRecentPN) = .">
              <xsl:attribute name="class">querylist-triggered-p-1</xsl:attribute>
            </xsl:if>
						<xsl:value-of select="normalize-space(.)"/>
				</span>
			</xsl:if>
			<xsl:if test="(../PN) &lt; 3574861 and (../PN) &gt; 60000 ">
				<span>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:if>

		</td>
	</xsl:template>

	<xsl:template match="t">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 't' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</td>
	</xsl:template>

	<xsl:template match="r">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
					<xsl:attribute name="width">
						<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td>
	</xsl:template>

	<xsl:template match="a">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="normalize-space(.) != ''">
				<span target="_blank">
					<xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:if>
			<xsl:if test="normalize-space(.) = ''">
				&#160;
			</xsl:if>
		</td>
	</xsl:template>

	<xsl:template match="i">
		<span target="_blank">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
		<xsl:if test="position() != last()"> | </xsl:if>
	</xsl:template>

	<xsl:template match="iList">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<xsl:apply-templates />
		</td>
	</xsl:template>

	<xsl:template match="c">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">	onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="normalize-space(Value)" />
				</xsl:attribute>
				<xsl:value-of select="normalize-space(Key)" />
			</span>
		</td>
	</xsl:template>

  <xsl:template match="l">
		<td>
			<xsl:if test="normalize-space(../Color) != ''">
				<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				<xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
					<xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />
					</xsl:attribute>
				</xsl:if>
			</xsl:for-each>
			<span target="_blank">
				<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
				<!--<xsl:value-of select="substring(normalize-space(.), 1, 4)" />-->
				<!-- edit by seedy-->
				<xsl:attribute name="title">
					<xsl:value-of select="normalize-space(Value)" />
				</xsl:attribute>
				<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
				<!-- edit by seedy-->
			</span>
		</td>
	</xsl:template>

</xsl:stylesheet>

