<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="Result">
    <table cellspacing="0" cellpadding="0" id="search-quickproject-table" width="100%" >
			<xsl:for-each select="ProjectList/Project">
				<tr width="100%" height="12px">
					<td width="100%" height="12px">
						<table width="100%" height="12px" cellspacing="0" cellpadding="0">
							<tr width="100%" height="12px">
								<td valign="middle" height="12px" width="10px" >
									<img src="img/plus.gif" class="imglink" style="vertical-align:middle" width="9px">
										<xsl:attribute name="id">search-quickproject-img-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
										<xsl:attribute name="onclick">
											showQuickProjectPatents('<xsl:value-of select="normalize-space(Id)" />', '<xsl:value-of select="normalize-space(Type)" />')
										</xsl:attribute>
									</img>
								</td>


								<td align="left" style="padding-left:3px" >
									<span onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
										<xsl:attribute name="class">quickproject-name</xsl:attribute>

										<xsl:attribute name="style">
											background-color:<xsl:value-of select="normalize-space(Color)"/>
											<xsl:if test="/Result/FooProjectIPID = -1">
												;color:red;
											</xsl:if>
										</xsl:attribute>
										<xsl:attribute name="onclick">
											showQuickProjectPatents('<xsl:value-of select="normalize-space(Id)" />', '<xsl:value-of select="normalize-space(Type)" />')
										</xsl:attribute>
										<xsl:value-of select="normalize-space(Name)" />
										
									</span>
									
								</td>
								<xsl:if test="Type = '1'">
									<!--<td valign="middle" align="right">
					<span>
						<img class="imglink"  onmouseover="this.src='img/more2-active.gif'" onmouseout="this.src='img/more2.gif'" src="img/more2.gif" title="将项目中专利添加到当前搜索结果列表中" alt="将项目中专利添加到当前搜索结果列表中" >
							<xsl:attribute name="onclick">
								addQuickProjectPatentsToMasterQuerylist('<xsl:value-of select="normalize-space(Name)" />', <xsl:value-of select="normalize-space(Id)" />)
							</xsl:attribute>
						</img>
					</span>
				
					<span>
						<img class="imglink"  onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="img/case-and.gif" title="用项目中专利筛选搜索结果" alt="用项目中专利筛选搜索结果" >
							<xsl:attribute name="onclick">
								prepareMasterSearch(null, -1, '<xsl:value-of select="normalize-space(Name)" />', null, null, null)
							</xsl:attribute>
						</img>
					</span>
				
					<span>
					<img class="imglink" src="img/showpatent2.gif" onmouseover="this.src='img/showpatent2-active.gif'" onmouseout="this.src='img/showpatent2.gif'" alt="全文浏览项目中专利" title="全文浏览项目中专利"  >
						<xsl:attribute name="onclick">
							QuickProjectPatentsFulltextView(<xsl:value-of select="normalize-space(Id)" />)
						</xsl:attribute>
					</img>
					</span>
				</td>
				<td valign="middle" align="right" width="12px"  style="padding-left:2px">


				<img class="imglink" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除">
						<xsl:attribute name="onclick">
							doProjectDelete(<xsl:value-of select="normalize-space(Id)" />,'quick');
						</xsl:attribute>
					</img>
				</td>-->
									<td valign="middle" align="right">
										<span class="projectImg" style="padding-right:0px">
											<xsl:attribute name="projectId"><xsl:value-of select="normalize-space(Id)"/></xsl:attribute>
											<xsl:attribute name="projectName">
												<xsl:value-of select="normalize-space(Name)"/>
											</xsl:attribute>
											<img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif" title="将项目中专利添加到当前搜索结果列表中" alt="将项目中专利添加到当前搜索结果列表中" >
												<xsl:attribute name="onclick">
													checkCheckboxImg(this);
												</xsl:attribute>
											</img>
										</span>&#160;&#160;
									</td>


								</xsl:if>

							</tr>
							
						</table>
					</td>
				</tr>
				<tr style="display:none" width="90%">
					<xsl:attribute name="id">search-quickproject-hiddenrow-<xsl:value-of select="normalize-space(Id)" />
					</xsl:attribute>
					<td style="padding-left:10px" width="90%" colspan="3">
						<div>
							<xsl:attribute name="id">search-quickproject-patentlist-div-<xsl:value-of select="normalize-space(Id)" />
							</xsl:attribute>
						</div>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>

