<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:template match="/Result/ExpandTypeCount">
 </xsl:template>
	<xsl:template match="Result/TagList">
		<table width="100%" >
			<tr width="100%" >
				<td align="left">
					<b>选中的索引词:</b>&#160;
					<input type="radio" value="and" style="vertical-align:middle" id="cluster-search-type-and"   name="cluster-search-type">与</input>
					<input type="radio" value="or" style="vertical-align:middle" checked="true"  name="cluster-search-type">或</input>&#160;
					<img title="关键词搜索" alt="关键词搜索" class="imglink" src="img/b.gif" onmouseover="this.src='img/b-active.gif'" onmouseout="this.src='img/b.gif'" onclick="doCheckedKeywordSearch('B');"></img>&#160;&#160;
          <img title="概念搜索" alt="概念搜索" class="imglink" src="img/conceptsearch.gif" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" onclick="doCheckedKeywordSearch('C');"></img>
        </td>
        <td align="right">
          <img  class="imglink" src="img/close.gif" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" onclick="setPageViewDisplay('search');"/>
        </td>
					<!--<input class="cluster-search-bt" type="button"  value="关键词搜索" onclick="doCheckedKeywordSearch('B');"  />&#160;-->
					<!--<input class="cluster-search-bt" type="button"  value="概念搜索" onclick="doCheckedKeywordSearch('C');"  />&#160;-->
					
          <!--<input class="cluster-search-bt" type="button"  value="重新采样" onclick="loadQueryRelatedCluster(true);"  />&#160;-->
          
          <!--<span onclick="setPageViewDisplay('search')" class="anchorunderline">返回搜索结果</span>&#160;-->
          <!--<input class="cluster-search-bt" type="button"  value="复制选中" onclick="getCheckedKeywords();"  />-->
       
			</tr>
		</table>
		<table cellspacing="0" cellpadding="0" width="100%" >
			<tr width="100%" >
				<td valign="top" align="left">
					<table cellspacing="0" cellpadding="0" width="100%" style="line-height:17px" >
						<tr width="100%" class="querylist-title">
							<td style="background-color:white"  width="20px" nowrap="true">
								&#160;<img class="imglink" style="vertical-align:middle"  src="img/plus.gif">
									<xsl:attribute name="onclick">showAllClusterWordsClick(this)</xsl:attribute>
								</img>&#160;
							</td>
							<td width="300px" class="clustermargin" nowrap="true">
							  索引词
							</td>
							<td class="clustermargin">
								公司
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<xsl:for-each select="TagList">
				<tr width="100%" >
          <xsl:if test="position() mod 2 = 1">
            <xsl:attribute name="class">
              cluster-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
            </xsl:attribute>

          </xsl:if>
          <xsl:if test="position() mod 2 = 0">
            <xsl:attribute name="class">
              cluster-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
            </xsl:attribute>
          </xsl:if>
					<td valign="top" align="left">
						<table cellspacing="0" cellpadding="0" width="100%" style="line-height:22px" >
              <tr width="100%">
                <td width="100%" valign="middle">
                  <div>
                    <table cellspacing="0" cellpadding="0" width="100%" style="line-height:22px">
                      <tr width="100%" >
                        <!--<xsl:attribute name="class">
                          querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
                        </xsl:attribute>-->
                        <td style="background-color:white"  width="20px" nowrap="true">
                          &#160;<img class="imglink" style="vertical-align:middle"  src="img/plus.gif">
                            <xsl:attribute name="onclick">showClusterWordsClick(this)</xsl:attribute>
                          </img>&#160;
                        </td>
                        <td width="300px" class="clustermargin">
                          <!--<input type="checkbox" class="clustercheckbox" />-->
							<span class="keyword">
								<xsl:attribute name="value">
									<xsl:value-of select="normalize-space(Tag[position()=1]/Word)" />
								</xsl:attribute>
								<img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
									<xsl:attribute name="onclick">
										checkCheckboxImg(this);
									</xsl:attribute>
								</img>
							</span>
							
							
                          <img class="imglink" style="vertical-align:middle;padding-right:4px"  src="img/st.gif" title="用该索引词在全文字段(B)中做二次搜索">
                            <xsl:attribute name="onclick">onClusterIconClick(this, 'w')</xsl:attribute>
                          </img>
                          <span style="cursor:pointer" title="用该索引词做概念搜索">
                            <xsl:attribute name="onmouseover">onClusterMouseOver(this, 'w')</xsl:attribute>
                            <xsl:attribute name="onmouseout">onClusterMouseOut(this, 'w')</xsl:attribute>
                            <xsl:attribute name="onclick">onClusterClick(this, 'w')</xsl:attribute>
                            <xsl:attribute name="oncontextmenu">onClusterContextMenu(this, 'w')</xsl:attribute>
                              <xsl:value-of select="normalize-space(Tag[position()=1]/Word)" />
                          </span>&#160;&#160;
                          <xsl:value-of select="normalize-space(Tag[position()=1]/DocCount)"/>
                          <img class="imglink" style="vertical-align:middle"  onmouseover="this.src='img/rankby-active.gif'" onmouseout="this.src='img/rankby.gif'" src="img/rankby.gif" title="用该索引词对搜索结果重排序">
                            <xsl:attribute name="onclick">onClusterIconClick(this, 'r')</xsl:attribute>
                          </img>
                        </td>
                        <td class="clustermargin">
                          <xsl:for-each select="Tag[position()=1]/ANList/AN">
                            <img class="imglink" style="vertical-align:middle;display:none"  src="img/st.gif">
                              <xsl:attribute name="onclick">onClusterIconClick(this, 'a')</xsl:attribute>
                            </img>
                            <span style="cursor:pointer" title="用此公司名对本行索引词的关键词(B)搜索结果做筛选">
                              <xsl:attribute name="onmouseover">onClusterMouseOver(this, 'a')</xsl:attribute>
                              <xsl:attribute name="onmouseout">onClusterMouseOut(this, 'a')</xsl:attribute>
                              <xsl:attribute name="onclick">onClusterClick(this, 'a')</xsl:attribute>
                              <xsl:attribute name="oncontextmenu">onClusterContextMenu(this, 'a')</xsl:attribute>
                              <xsl:value-of select="normalize-space(.)" />
                            </span>
                            <xsl:if test="position() != last()"> | </xsl:if>
                          </xsl:for-each>
                        </td>
                      </tr>
                    </table>
                  </div>
                </td>
              </tr>
							<tr width="100%">
								<td width="100%" valign="middle">
									<div style="display:none;">
										<table cellspacing="0" cellpadding="0" width="100%" style="line-height:22px">
											<xsl:for-each select="Tag[position()>1]">
												<tr width="100%" >
													<!--<xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>-->
													<xsl:attribute name="onmouseover">onClusterTableRowMouseOver(this)</xsl:attribute>
													<xsl:attribute name="onmouseout">onClusterTableRowMouseOut(this)</xsl:attribute>
													<td class="clustermargintd" nowrap="true" >
														&#160;<img style="vertical-align:middle" width="1px" height="1px">
														</img>&#160;
													</td>
													<td width="300px" class="clustermargin">
														<span class="keyword">
															<xsl:attribute name="value">
																<xsl:value-of select="normalize-space(Word)" />
															</xsl:attribute>
															<img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
																<xsl:attribute name="onclick">
																	checkCheckboxImg(this);
																</xsl:attribute>
															</img>
														</span>
														<img class="imglink" style="vertical-align:middle;padding-right:4px"  src="img/st.gif" title="用该索引词在全文字段(B)中做二次搜索">
															<xsl:attribute name="onclick">onClusterIconClick(this, 'w')</xsl:attribute>
														</img>
                            <span style="cursor:pointer" title="用该索引词做概念搜索">
                              <xsl:attribute name="onmouseover">onClusterMouseOver(this, 'w')</xsl:attribute>
                              <xsl:attribute name="onmouseout">onClusterMouseOut(this, 'w')</xsl:attribute>
                              <xsl:attribute name="onclick">onClusterClick(this, 'w')</xsl:attribute>
                              <xsl:attribute name="oncontextmenu">onClusterContextMenu(this, 'w')</xsl:attribute>
                              <xsl:value-of select="normalize-space(Word)" />
                            </span>&#160;&#160;
                            [<xsl:value-of select="normalize-space(DocCount)"/>]
                            <img class="imglink" style="vertical-align:middle"  onmouseover="this.src='img/rankby-active.gif'" onmouseout="this.src='img/rankby.gif'" src="img/rankby.gif" title="用该索引词对搜索结果重排序">
															<xsl:attribute name="onclick">onClusterIconClick(this, 'r')</xsl:attribute>
														</img>
													</td>
													<td class="clustermargin">
														<xsl:for-each select="ANList/AN">
															<img class="imglink" style="vertical-align:middle;display:none"  src="img/st.gif">
																<xsl:attribute name="onclick">onClusterIconClick(this, 'a')</xsl:attribute>
															</img>
															<span style="cursor:pointer" title="用此公司名对本行索引词的关键词(B)搜索结果做筛选">
																<xsl:attribute name="onmouseover">onClusterMouseOver(this, 'a')</xsl:attribute>
																<xsl:attribute name="onmouseout">onClusterMouseOut(this, 'a')</xsl:attribute>
																<xsl:attribute name="onclick">onClusterClick(this, 'a')</xsl:attribute>
																<xsl:attribute name="oncontextmenu">onClusterContextMenu(this, 'a')</xsl:attribute>
																<xsl:value-of select="normalize-space(.)" />
															</span>
															<xsl:if test="position() != last()"> | </xsl:if>
														</xsl:for-each>
													</td>
												</tr>
											</xsl:for-each>
										</table>
									</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="PN">
	</xsl:template>

</xsl:stylesheet>

