<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="CNPatentOrderList/CNPatentOrder">
		
	</xsl:template>
  <xsl:template match="/Result">
    <table>
    	
      <xsl:for-each select="CCLClassList/CCLClass">
        <tr>
          <td align="left">
            <xsl:attribute name="class">
              <xsl:value-of select="/Result/FooPersonalType" />
            </xsl:attribute>
            <xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
              <xsl:if test="/Result/FooPersonalType = -1">
                <img class="patent-switchoff" src="img/Cc.gif">
                  <xsl:attribute name="onclick">
                    showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,3)
                  </xsl:attribute>
                </img>
              </xsl:if>
              <xsl:if test="/Result/FooPersonalType != -1">
                <img class="patent-switchoff" src="img/plus.gif">
                  <xsl:attribute name="onclick">
                    showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,3)
                  </xsl:attribute>
                </img>
              </xsl:if>

            </xsl:if>
            <xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
              <img src="img/square.gif" />
            </xsl:if>
          </td>
          <td align="left">
            <span class="patent-switchon" title="查找当前分类专利并按分类描述排序" onmouseover="onClassInfoMouseOver(this)" onmouseout="onClassInfoMouseOut(this)" oncontextmenu="setMenuItemVisibility(this, 'cls_0') ">
				<xsl:attribute name="NodeType">ccl</xsl:attribute>
              <xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
                <xsl:attribute name="onclick">
                  doSearchByClassInfo('<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>', this)
                </xsl:attribute>
                <xsl:attribute name="NodeId">
                  <xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
                </xsl:attribute>
                <xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
              </xsl:if>
              <xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Key)" />', this,3)
                </xsl:attribute>
                <xsl:attribute name="NodeId">
                  <xsl:value-of select="normalize-space(Key)"/>
                </xsl:attribute>
                <xsl:value-of select="normalize-space(Key)"/>
              </xsl:if>
              :<xsl:value-of select="normalize-space(Value)"/>
            </span>
          </td>
        </tr>
        <tr style="display:none">
          <td></td>
          <td align="left" valign="top">
            <div>

            </div>
          </td>
        </tr>
		  <tr style="display:none">
			  <td></td>
			  <td align="left" valign="top">
				  <div>

				  </div>
			  </td>
		  </tr>
      </xsl:for-each>

		<xsl:for-each select="ICLClassList/ICLClass">
			<tr>
				<td align="left">
          <xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
            <xsl:if test="/Result/FooPersonalType = -1">
              <img class="patent-switchoff" src="img/Cc.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,4)
                </xsl:attribute>
              </img>
            </xsl:if>
            <xsl:if test="/Result/FooPersonalType != -1">
              <img class="patent-switchoff" src="img/plus.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,4)
                </xsl:attribute>
              </img>
            </xsl:if>

          </xsl:if>
					<xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
						<img src="img/square.gif" />
					</xsl:if>
				</td>
				<td align="left">
					<span class="patent-switchon" onmouseover="onClassInfoMouseOver(this)" onmouseout="onClassInfoMouseOut(this)" oncontextmenu="setMenuItemVisibility(this, 'cls_0') ">
						<xsl:attribute name="NodeType">icl</xsl:attribute>
						<xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
							<xsl:attribute name="onclick">
								doSearchByClassInfo('<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>', this)
							</xsl:attribute>
							<xsl:attribute name="NodeId">
								<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
							</xsl:attribute>
							<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
						</xsl:if>
						<xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
							<xsl:attribute name="onclick">
								showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,4)
							</xsl:attribute>
							<xsl:attribute name="NodeId">
								<xsl:value-of select="normalize-space(Key)"/>
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)"/>
						</xsl:if>
						:<xsl:value-of select="normalize-space(Value)"/>
					</span>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>
		</xsl:for-each>

		<xsl:for-each select="LOCARNOClassList/LOCARNOClass">
			<tr>
				<td align="left">
					<xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
            <xsl:if test="/Result/FooPersonalType = -1">
              <img class="patent-switchoff" src="img/Cc.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,5)
                </xsl:attribute>
              </img>
            </xsl:if>
            <xsl:if test="/Result/FooPersonalType != -1">
              <img class="patent-switchoff" src="img/plus.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Key)" />',this,5)
                </xsl:attribute>
              </img>
            </xsl:if>
					</xsl:if>
					<xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
						<img src="img/square.gif" />
					</xsl:if>
				</td>
				<td align="left">
					<span class="patent-switchon" onmouseover="onClassInfoMouseOver(this)" onmouseout="onClassInfoMouseOut(this)" oncontextmenu="setMenuItemVisibility(this, 'cls_0') ">
						<xsl:attribute name="NodeType">locarno</xsl:attribute>
						<xsl:if test="substring(normalize-space(Key), 1, 1) = '_'">
							<xsl:attribute name="onclick">
								doSearchByClassInfo('<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>', this)
							</xsl:attribute>
							<xsl:attribute name="NodeId">
								<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
							</xsl:attribute>
							<xsl:value-of select="substring(normalize-space(Key), 2, string-length(normalize-space(Key)) - 1)"/>
						</xsl:if>
						<xsl:if test="substring(normalize-space(Key), 1, 1) != '_'">
							<xsl:attribute name="onclick">
								showSubClass('<xsl:value-of select="normalize-space(Key)" />', this,5)
							</xsl:attribute>
							<xsl:attribute name="NodeId">
								<xsl:value-of select="normalize-space(Key)"/>
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)"/>
						</xsl:if>
						:<xsl:value-of select="normalize-space(Value)"/>
					</span>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>
		</xsl:for-each>


      <xsl:for-each select="CatalogUserList/CatalogUser">
        <tr>
          <td align="left">
            <xsl:if test="ChildrenCount &gt; 0">
              <xsl:if test="/Result/FooPersonalType = -1">
                <img class="patent-switchoff" src="img/Ps.gif">
                  <xsl:attribute name="onclick">
                    showSubClass('<xsl:value-of select="normalize-space(Id)" />',this,1)
                  </xsl:attribute>
                </img>
              </xsl:if>
              <xsl:if test="/Result/FooPersonalType != -1">
                <img class="patent-switchoff" src="img/plus-blue.gif">
                  <xsl:attribute name="onclick">
                    showSubClass('<xsl:value-of select="normalize-space(Id)" />',this,1)
                  </xsl:attribute>
                </img>
              </xsl:if>
             
            </xsl:if>
            <xsl:if test="ChildrenCount = 0">
              <img src="img/square-blue.gif" />
            </xsl:if>
          </td>
          <td align="left">
            <span class="patent-switchon" title="在全文字段(B)中搜索" onmouseover="onClassInfoMouseOver(this)" onmouseout="onClassInfoMouseOut(this)">
              <xsl:attribute name="title">
                <xsl:value-of select="normalize-space(QueryText)"/>
              </xsl:attribute>
			  <xsl:attribute name="NodeType">user</xsl:attribute>
              <xsl:attribute name="NodeId">
                <xsl:value-of select="normalize-space(Id)"/>
              </xsl:attribute>
              <xsl:attribute name="ParentId">
                <xsl:value-of select="normalize-space(ParentID)"/>
              </xsl:attribute>
              <xsl:attribute name="Database">
                <xsl:value-of select="normalize-space(Database)"/>
              </xsl:attribute>
              <xsl:attribute name="QueryText">
                <xsl:value-of select="normalize-space(QueryText)"/>
              </xsl:attribute>
              <xsl:if test="ChildrenCount = 0">
                <xsl:attribute name="onclick">
                  doSearchByClassInfo('<xsl:value-of select="normalize-space(Id)" />', this)
                </xsl:attribute>
              </xsl:if>
              <xsl:if test="ChildrenCount &gt; 0">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Id)" />', this,1)
                </xsl:attribute>
              </xsl:if>
              <!--<xsl:if test="/Result/FooPersonalType = '1' or /Result/FooPersonalType = '2'">
                <xsl:attribute name="oncontextmenu">
                  setMenuItemVisibility(this, 'cls_<xsl:value-of select="normalize-space(/Result/FooPersonalType)"/>')
                </xsl:attribute>
              </xsl:if>-->
                <xsl:attribute name="oncontextmenu">
                  setMenuItemVisibility(this, 'cls_1')
                </xsl:attribute>
              <xsl:value-of select="normalize-space(Name)"/>
              
            </span>



						  <!--
          &#160;
          <img onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="Delete this class" alt="Delete this class" class="imglink">
				    <xsl:attribute name="onclick">doCatalogDelete('<xsl:value-of select="normalize-space(Id)" />', this, '<xsl:value-of select="normalize-space(ParentID)" />')</xsl:attribute>
			    </img>&#160;
          <img src="img/conceptsearch.gif" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" alt="Insert sub class" title="Insert sub class"  class="imglink">
            <xsl:attribute name="onclick">prepareInsertSubCatalog('<xsl:value-of select="normalize-space(Id)" />', this)</xsl:attribute>
          </img>&#160;
          <img src="img/uploadpatent.gif" onmouseover="this.src='img/uploadpatent-active.gif'" onmouseout="this.src='img/uploadpatent.gif'" alt="Import into" title="Import into"  class="imglink">
            <xsl:attribute name="onclick">prepareImportPatents(this, 'c', '<xsl:value-of select="normalize-space(Id)" />')</xsl:attribute>
          </img>
          -->
          </td>
        </tr>
		  <tr style="display:none">
			  <td></td>
			  <td align="left" valign="top">
				  <div>

				  </div>
			  </td>
		  </tr>

		<tr style="display:none">
          <td></td>
          <td align="left" valign="top">
            <div>
              <xsl:attribute name="ChildrenCount">
                <xsl:value-of select="normalize-space(ChildrenCount)"/>
              </xsl:attribute>
              <xsl:attribute name="ParentID">
                <xsl:value-of select="normalize-space(ParentID)"/>
              </xsl:attribute>
            </div>
          </td>
        </tr>
      </xsl:for-each>

		<xsl:for-each select="CatalogGlobalList/CatalogGlobal">
			<tr>
				<td align="left">
					<xsl:if test="ChildrenCount &gt; 0">
            <xsl:if test="/Result/FooPersonalType = -1">
              <img class="patent-switchoff" src="img/Sh.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Id)" />',this,2)
                </xsl:attribute>
              </img>
            </xsl:if>
            <xsl:if test="/Result/FooPersonalType != -1">
              <img class="patent-switchoff" src="img/plus-red.gif">
                <xsl:attribute name="onclick">
                  showSubClass('<xsl:value-of select="normalize-space(Id)" />',this,2)
                </xsl:attribute>
              </img>
            </xsl:if>
					
					</xsl:if>
					<xsl:if test="ChildrenCount = 0">
						<img src="img/square-red.gif" />
					</xsl:if>
				</td>
				<td align="left">
					<span class="patent-switchon" title="在全文字段(B)中搜索" onmouseover="onClassInfoMouseOver(this)" onmouseout="onClassInfoMouseOut(this)">
						<xsl:attribute name="title">
							<xsl:value-of select="normalize-space(QueryText)"/>
						</xsl:attribute>
						<xsl:attribute name="NodeType">global</xsl:attribute>
						<xsl:attribute name="NodeId">
							<xsl:value-of select="normalize-space(Id)"/>
						</xsl:attribute>
						<xsl:attribute name="ParentId">
							<xsl:value-of select="normalize-space(ParentID)"/>
						</xsl:attribute>
						<xsl:attribute name="Database">
							<xsl:value-of select="normalize-space(Database)"/>
						</xsl:attribute>
						<xsl:attribute name="QueryText">
							<xsl:value-of select="normalize-space(QueryText)"/>
						</xsl:attribute>
						<xsl:if test="ChildrenCount = 0">
							<xsl:attribute name="onclick">
								doSearchByClassInfo('<xsl:value-of select="normalize-space(Id)" />', this)
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="ChildrenCount &gt; 0">
							<xsl:attribute name="onclick">
								showSubClass('<xsl:value-of select="normalize-space(Id)" />', this,2)
							</xsl:attribute>
						</xsl:if>
						<!--<xsl:if test="/Result/FooPersonalType = '1' or /Result/FooPersonalType = '2'">
							<xsl:attribute name="oncontextmenu">
								setMenuItemVisibility(this, 'cls_<xsl:value-of select="normalize-space(/Result/FooPersonalType)"/>')
							</xsl:attribute>
						</xsl:if>-->
            
              <xsl:attribute name="oncontextmenu">
                setMenuItemVisibility(this, 'cls_2')
              </xsl:attribute>
            
						<xsl:value-of select="normalize-space(Name)"/>
					</span>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>
						<xsl:attribute name="ChildrenCount">
							<xsl:value-of select="normalize-space(ChildrenCount)"/>
						</xsl:attribute>
						<xsl:attribute name="ParentID">
							<xsl:value-of select="normalize-space(ParentID)"/>
						</xsl:attribute>
					</div>
				</td>
			</tr>
		</xsl:for-each>
      
    </table>
  </xsl:template>

</xsl:stylesheet>
