<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:template match="/Result/ExpandTypeCount">
 </xsl:template>
	<xsl:template match="/Result/FooWord">
	</xsl:template>
	
	<xsl:variable name="relatedpart">
		Related&#160;&#160;&#160;&#160;<span style="font-size:10px;font-weight:normal">Document Count</span>&#160;&#160;&#160;&#160;
		<span id="r-concept-order" class="cluster-order-unselected" sel="0" onclick="onChangeOrderOfHyponym('r-concept-order', 'r-position-order');">by rank</span>&#160;&#160;&#160;&#160;<span href="#" id="r-position-order" sel="0" class="cluster-order-unselected" onclick="onChangeOrderOfHyponym('r-position-order', 'r-concept-order');">by position</span>
		&#160;&#160;&#160;&#160;<span href="#" id="r-cluster-more" sel="0" class="cluster-order-unselected" onclick="onShowOneKindExpand('r-cluster-more', 'cluster-more');">More</span>
	</xsl:variable>
	<xsl:variable name="hyponympart">
		Hyponym&#160;&#160;&#160;&#160;<span style="font-size:10px;font-weight:normal">Document Count</span>&#160;&#160;&#160;&#160;
	<span href="#" id="concept-order" sel="0" class="cluster-order-unselected" onclick="onChangeOrderOfHyponym('concept-order', 'position-order');">by rank</span>&#160;&#160;&#160;&#160;<span href="#" id="position-order" class="cluster-order-unselected" onclick="onChangeOrderOfHyponym('position-order', 'concept-order');">by position</span>
	&#160;&#160;&#160;&#160;<span href="#" id="cluster-more" sel="0" class="cluster-order-unselected" onclick="onShowOneKindExpand('cluster-more', 'r-cluster-more');">More</span>
	</xsl:variable>
	<xsl:template match="/Result">
	
	<xsl:if test="ExpandTypeCount = 0">
	<table cellspacing="0" cellpadding="0" width="100%" >
    
    
    	
    	<tr width="100%" class="querylist-title" height="18px">
        
              <td style="background-color:white"  width="20px" nowrap="true">
                
              </td>
              <td colspan="4" align="left">
		<xsl:copy-of select="$relatedpart">
		</xsl:copy-of>
	      </td>
          
          
	</tr>
	<tr height="2px"><td></td></tr>
	<tr width="100%"  class="querylist-title" >
       
              <td style="background-color:white"  width="20px" nowrap="true">
		
              </td>
              <td colspan="4" align="left">
		<xsl:copy-of select="$hyponympart">
		</xsl:copy-of>
	      </td>
           
	</tr>
	<tr height="2px"><td></td></tr>
	</table>
	</xsl:if>
	<xsl:apply-templates select="/Result/ExpandTagList">
	</xsl:apply-templates>
	</xsl:template>
	
  <xsl:template match="/Result/ExpandTagList">
	 	<xsl:variable name="relatedCount" select="(/Result/ExpandTypeCount mod 16)">
	 	
	 	</xsl:variable>
		<xsl:variable name="allCount" select="round(/Result/ExpandTypeCount div 16)">
		</xsl:variable>
    <table cellspacing="0" cellpadding="0" width="100%" >
    
    
    	<xsl:for-each select="ExpandTagList">
		  
		  <xsl:if test="count(ExpandTag) > 0">
      	<xsl:variable name="curindex" select="position()" />
	<xsl:if test="position() = 1 ">
	<tr width="100%" class="querylist-title" height="18px">
        
              <td style="background-color:white"  width="20px" nowrap="true">
                <img class="imglink" style="padding-right:3px;vertical-align:middle"  src="img/plus.gif">
                  <xsl:attribute name="onclick">showAllClusterWordsClick2(this, 'f', <xsl:value-of select="$relatedCount"/>)</xsl:attribute>
                </img>
              </td>
              <td colspan="4" align="left">
		<xsl:copy-of select="$relatedpart">
		</xsl:copy-of>
	      </td>
          
          
	</tr>
	<tr height="2px"><td></td></tr>
	</xsl:if>
	<xsl:if test="(($relatedCount &lt; 8) and (position() = $relatedCount+1)) " >
	<tr width="100%"  class="querylist-title" >
       
              <td style="background-color:white"  width="20px" nowrap="true">
		<img class="imglink" style="padding-right:3px;vertical-align:middle"  src="img/plus.gif">
                  <xsl:attribute name="onclick">showAllClusterWordsClick2(this,'b', <xsl:value-of select="$relatedCount"/>)</xsl:attribute>
                </img>
              </td>
              <td colspan="4" align="left">
		<xsl:copy-of select="$hyponympart">
		</xsl:copy-of>
	      </td>
           
	</tr>
	
	<tr height="2px"><td></td></tr>
	</xsl:if>
        <tr width="100%" >
			
                  <xsl:if test="position() mod 2 = 1">
									<xsl:attribute name="class">
										cluster-dark
									</xsl:attribute>
									</xsl:if>
									<xsl:if test="position() mod 2 = 0">
									<xsl:attribute name="class">
										cluster-light
									</xsl:attribute>
									</xsl:if>
                        <td style="background-color:white"   width="20px" nowrap="true">
                          <img class="imglink" style="padding-right:3px;vertical-align:middle"  src="img/plus.gif">
                            <xsl:attribute name="onclick">showClusterWordsClick(this,1)</xsl:attribute>
                          </img>
                        </td>
                        <xsl:for-each select="ExpandTag[position()    =   1]">

                          <td width="25%" >
                            <xsl:apply-templates select="."/>
                          </td>
                          <td width="25%" >
                            <xsl:apply-templates select="following-sibling::ExpandTag[position()= 1]" />
                          </td>
                          <td width="25%" >
                            <xsl:apply-templates select="following-sibling::ExpandTag[position()= 2]" />
                          </td>
                          <td width="25%" >
                            <xsl:apply-templates select="following-sibling::ExpandTag[position()= 3]" />
                          </td>
                        </xsl:for-each>
                     
        </tr>
        <tr width="100%">
			<td width="20" nowrap="true">
				
			</td>
			<td width="100%" valign="middle" colspan="4">
				<div style="display:none">
					<table cellspacing="0" cellpadding="0" width="100%" style="line-height:16px">
						<xsl:for-each select="ExpandTag[position()   mod   4   =   1]">
							<xsl:if test="position() > 1">
								<tr>
									<xsl:if test="$curindex mod 2 = 1">
										<xsl:attribute name="class">
											cluster-dark
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="$curindex mod 2 = 0">
										<xsl:attribute name="class">
											cluster-light
										</xsl:attribute>
									</xsl:if>
									

					   <td width="25%" >
                        <xsl:apply-templates select="."/>
                      </td>
                      <td width="25%" >
                        <xsl:apply-templates select="following-sibling::ExpandTag[position()= 1]" />
                      </td>
                      <td width="25%" >
                        <xsl:apply-templates select="following-sibling::ExpandTag[position()= 2]" />
                      </td>
                      <td width="25%" >
                        <xsl:apply-templates select="following-sibling::ExpandTag[position()= 3]" />
                      </td>
                    </tr>
                  </xsl:if>
                </xsl:for-each>
              </table>
            </div>
          </td>
        </tr>
       <xsl:if test="(($relatedCount = 8) and (position() = 8))or($relatedCount = $allCount) " >
				<tr width="100%"  class="querylist-title" >
			       
			              <td style="background-color:white"  width="20px" nowrap="true">
					<img class="imglink" style="padding-right:3px;vertical-align:middle"  src="img/plus.gif">
			                  <xsl:attribute name="onclick">showAllClusterWordsClick2(this,'b', <xsl:value-of select="$relatedCount"/>)</xsl:attribute>
			                </img>
			              </td>
			              <td colspan="4" align="left">
					<xsl:copy-of select="$hyponympart">
					</xsl:copy-of>
				      </td>
			           
				</tr>
				
				<tr height="2px"><td></td></tr>
				</xsl:if>
		  </xsl:if>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template   match="/Result/ExpandTagList/ExpandTagList/ExpandTag">
   <table width="100%" cellspacing="0" cellpadding="0"><tr><td width="30px" nowrap="true">
    <span class="keyword">
      <xsl:attribute name="value">
        <xsl:value-of select="normalize-space(Word)" />
      </xsl:attribute>
      <img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
        <xsl:attribute name="onclick">
          checkCheckboxImg(this);
        </xsl:attribute>
      </img>
    </span>
    <img class="imglink" style="vertical-align:middle;padding-right:4px"  src="img/st.gif">
      <xsl:attribute name="onclick">onClusterIconClick(this, 'w',false,'querylist-expandkeyword-div-SEARCH-MASTER')</xsl:attribute>
    </img>
   </td><td>

    <span style="cursor:pointer">
      <xsl:attribute name="onmouseover">onClusterMouseOver(this, 'w')</xsl:attribute>
      <xsl:attribute name="onmouseout">onClusterMouseOut(this, 'w')</xsl:attribute>
      <xsl:attribute name="onclick">onClusterClickWithLang(this, 'w',event, true, 'querylist-expandkeyword-div-SEARCH-MASTER')</xsl:attribute>
      <xsl:attribute name="oncontextmenu">onClusterContextMenu(this, 'w')</xsl:attribute>

		<xsl:choose>
		
		<xsl:when test="contains(Word, normalize-space(/Result/FooWord))">
			<xsl:value-of select="substring-before(Word,normalize-space(/Result/FooWord))"/>
			<span style="background-color:#ffffcc">
				<xsl:value-of select="normalize-space(/Result/FooWord)"></xsl:value-of>
			</span>
			<xsl:value-of select="substring-after(Word, normalize-space(/Result/FooWord))"/>
		</xsl:when>
		<xsl:when test="count(HLList) &gt; 0 ">
			<xsl:apply-templates select="HLList"/>
		</xsl:when>
			
			<xsl:otherwise>
				<xsl:value-of select="normalize-space(Word)"></xsl:value-of>
			</xsl:otherwise>
		</xsl:choose>
    </span>&#160;&#160;
     <span style="font-size:8px"><xsl:value-of select="normalize-space(DocCount)"/></span>
     </td>
  </tr>
  </table>
  </xsl:template>
  <xsl:template match="PN">
  </xsl:template>
		<xsl:template match="HL1">
	<span>
	<xsl:attribute name="style">
			 background-color:#FF6600
			</xsl:attribute>
			<xsl:value-of select="."/>
	</span>
	
	</xsl:template>
	<xsl:template match="HL2">
	<span>
	<xsl:attribute name="style">
			 background-color:#6699FF
			</xsl:attribute>
			<xsl:value-of select="."/>
	</span>
	
	</xsl:template>
	<xsl:template match="HLList">
<xsl:apply-templates />
	
	</xsl:template>
	
	<xsl:template match="HL0">
	<span>
	<xsl:attribute name="style">
			 background-color:#99FF33
			</xsl:attribute>
			<xsl:value-of select="."/>
	</span>
	
	</xsl:template>
	
	
</xsl:stylesheet>

