﻿var JsVersion = 'js1.6/';
function CallBackFunction(backFunc, arguments){
    var func = backFunc;
    var args = arguments;
    var callback = function () {
        func.apply(window,args);
    };
}
function AsyncLoadJs(jsArray, index, callbackFunc,callbackArgs) {
    var request = {
        url: jsArray[index],
        load: function (response, ioArgs) {
            var fileref;
            fileref = document.createElement('script');
            fileref.setAttribute("type", "text/javascript");
            fileref.setAttribute("src", jsArray[index]);
            document.getElementsByTagName("head")[0].appendChild(fileref);            
            index++;
            if (index == jsArray.length) {
                if(callbackFunc!=null && typeof(callbackFunc)!='undefined')
                    callbackFunc.apply(window, callbackArgs);
            }
            else {
                AsyncLoadJs(jsArray, index, callbackFunc, callbackArgs);
            }
        }
    };
    dojo.xhrGet(request);
}
function AsyncLoad(id, html, callbackFunc, callbackArgs) {
    if (g_version == 'chn') {
        var subfn = html.indexOf('.');
        html = html.substring(0, subfn) + '_cn.htm';
    }
    if (id == 'signup-form-div') {
        LoadJsCssFile(JsVersion+'signup.js', 'js');
    }
    else if(id=='resetpwd-form-div' || id=='resendemail-form-div')
    {
        LoadJsCssFile(JsVersion+'resetpwd.js','js');
    }
    var request = {
        url: html,
        load: function (response, ioArgs) {
            dojo.byId(id).innerHTML = response;
            dojo.parser.parse(dojo.byId(id));
            if (id == 'search-wizardinput-div') {
                dijit.byId('dojox_widget_Wizard_0').startup();
                dijit.byId('dojox_widget_Wizard_0').resize();
                dijit.byId('dojox_widget_Wizard_0').layout();
                dijit.byId('dojox_widget_Wizard_0').back();
                dijit.byId('dojox_widget_Wizard_0').back();
                dijit.byId('dojox_widget_Wizard_0').back();
            }
            if (callbackFunc != null)
                callbackFunc.apply(window, callbackArgs);
            //dojo.loaded();
        }
    };
    dojo.xhrGet(request);
}

function dload(id,html)
{
    if(id=='signup-form-div')
    {
        LoadJsCssFile(JsVersion+'signup.js','js');
    }
    else if(id=='resetpwd-form-div' || id=='resendemail-form-div')
    {
        LoadJsCssFile(JsVersion+'resetpwd.js','js');
    }
    if(g_version=='chn')
    {
        var subfn=html.indexOf('.');
        html=html.substring(0,subfn)+'_cn.htm';
    }
    {
        var request={
            url:html,
            sync:true,
            load:function(response,ioArgs){
                dojo.byId(id).innerHTML=response;
                dojo.parser.parse(dojo.byId(id));
                if(id=='search-wizardinput-div')
                {
					dijit.byId('dojox_widget_Wizard_0').startup();
					dijit.byId('dojox_widget_Wizard_0').resize();
					dijit.byId('dojox_widget_Wizard_0').layout();
					dijit.byId('dojox_widget_Wizard_0').back();
					dijit.byId('dojox_widget_Wizard_0').back();
					dijit.byId('dojox_widget_Wizard_0').back();
                }
                //dojo.loaded();
            }            
        };
        dojo.xhrGet(request);
    }
}
function LoadJsCssFile(filename, filetype)
{
    var request={
            url:filename,
            sync:true,
            load:function(response,ioArgs){
                var fileref;
                if (filetype=="js"){ //如果是.js文件
	                fileref=document.createElement('script');
	                fileref.setAttribute("type","text/javascript");
	                fileref.setAttribute("src",filename);
                }
                else if (filetype=="css"){ //如果是.css文件
	                fileref=document.createElement("link");
	                fileref.setAttribute("rel", "stylesheet");
	                fileref.setAttribute("type", "text/css");
	                fileref.setAttribute("href",filename);
	            }
	            if (fileref != null)
	                document.getElementsByTagName("head")[0].appendChild(fileref)
            }            
        };
        dojo.xhrGet(request);
    
}
function LoadHlepJsFile()
{
    LoadJsCssFile(JsVersion+'help.js','js');
    LoadJsCssFile('css/help.css','css');
}
function LoadQueryJsFile(callbackFunc, callbackArgs)
{
    if(Query_JS==false) {
        Query_JS=true;
        var jsArray = new Array(JsVersion+'pnclipboard.js', JsVersion+'querylist.js', JsVersion+'querytab.js', JsVersion+'querytag.js', JsVersion+'highlight.js',
                            JsVersion+'highlightpopup.js',JsVersion+'cluster.js',JsVersion+'querystat.js',JsVersion+'figclipboard.js',JsVersion+'LegalStatuspopup.js');
        if (Wizard_JS == false) {
       		  Wizard_JS = true;
            jsArray.push(JsVersion+'wizard.js');
            jsArray.push(JsVersion+'preference.js');
        }
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
    }
}
function LoadDocumentJsFile(callbackFunc, callbackArgs) {
    if (Document_JS == false) {
        Document_JS = true;
        var jsArray = new Array(JsVersion+'personaldocument.js');
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
    }
}
function LoadHistoryJsFile(callbackFunc, callbackArgs)
{
    if (History_JS == false) {
        History_JS = true;
        var jsArray = new Array(JsVersion+'history.js');
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
    }
}
function LoadClassJsFile(callbackFunc, callbackArgs) 
{
    if (Class_JS == false) {
        Class_JS = true;
        var jsArray = new Array(JsVersion+'classview.js');
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
    }
}
function LoadWizardJsFile(callbackFunc, callbackArgs)
{
    if(Wizard_JS==false)
    {
        Wizard_JS=true;
        var jsArray = new Array(JsVersion+'wizard.js',JsVersion+'preference.js');
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
    }   
}
function LoadManageJsFile()
{
    if(Manage_JS==false)
    {
        Manage_JS=true;
        LoadJsCssFile(JsVersion+'AddUserBatch.js','js');
        dload('management-div', 'management.htm');
    }   
}
function LoadStatisticsJsFile(callbackFunc, callbackArgs) {
    if (StatisticStatisticlist_Load == false) {
        StatisticStatisticlist_Load = true;
        var jsArray = new Array(JsVersion+'statistic.js');
        AsyncLoadJs(jsArray, 0, callbackFunc, callbackArgs);
   		  LoadJsCssFile('css/statistic.css','css');
    }
}
