 function getCheckedKeywords()
{
    var word = '';
    var checkboxs = dojo.byId('queryrelated-cluster-div').getElementsByTagName('input');
    for(var i = 0; i < checkboxs.length; i++)
    {
        var checkbox = checkboxs[i];
        if(checkbox.type.toUpperCase() != 'CHECKBOX')
            continue;
        if(!checkbox.checked)
            continue;
        var span = findSiblingAfter(checkbox, 'span', 1);
        word += dojox.data.dom.textContent(span) + '\r\n';
    }
    if(window.clipboardData) 
    { 
        window.clipboardData.clearData(); 
        window.clipboardData.setData("Text", word); 
        alert("Copied to clipboard successfully!");
    }  
    else
    {
        alert("Please use IE!");
    }
}

function doCheckedKeywordSearch(querytype)
{
    var keywordspans = dojo.byId('queryrelated-cluster-div').getElementsByTagName('span');
    var queryterm = '';
    var checkedcount = 0;
    
    var relation = dojo.byId('cluster-search-type-and').checked ? ' and ' : ' or ';
    for (var i=0;i<keywordspans.length;i++){
    if(keywordspans[i].className=='keyword')
            {
                var imgs = keywordspans[i].getElementsByTagName('img');
                if(imgs.length>0)
                {
                    if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                    {
                        var kv = keywordspans[i].getAttribute('value');
                       // if(filter&&strContainChinese(kv))
                         //   continue;
                        if(++checkedcount>10)
                        {
                             alert(c_sERROR_QUERYTAG_KEYWORDSEARCH);
                             return;
                        }
                        queryterm = getQueryString(querytype,kv,queryterm,relation);
                    }
                }
            }
            }

    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}

function loadQueryRelatedCluster(dorefresh)
{
    onSelectTypeChange(null);
    setPageViewDisplay(null);
    var queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp'));
    var idi = dojo.byId('search-form-master').idi.value;
    var targetdiv = dojo.byId('queryrelated-cluster-div');
    targetdiv.style.display = '';
    if(targetdiv.rsq == queryterm && targetdiv.ridi == idi && dorefresh != true)
        return;
    targetdiv.innerHTML = c_sLoading;
    var form = dojo.byId('queryrelated-cluster-form');
    form.sq.value = queryterm;
    form.idi.value = idi;
    var url = c_sQueryRelatedCluster + '&random=' + Math.random();
    var request =  {
        url:url,
        handleAs:"text",
                form: form,
                load: function(response, ioArgs){
	                targetdiv.innerHTML = XSLTtrans(response, c_sXslFileQueryRelatedCluster);
	                targetdiv.rsq = queryterm;
	                targetdiv.formtype = null;
	                targetdiv.ridi = idi;
	                targetdiv.fcsq = null;
                },
                error: function(error,ioArgs) { 
                    targetdiv.innerHTML = error.message;
                    targetdiv.rsq = null;
                    targetdiv.fcsq = null;
                    targetdiv.formtype = null;
                }
            };            
    dojo.xhrGet(request);
}

var g_cluster = false;
function loadQueryFulltextCluster(formtype,dorefresh)
{
    getUserLoginState2(loadQueryFulltextCluster1,[formtype,dorefresh]);

}
function loadQueryFulltextCluster1(paramarray)
{    
    
    var formtype = paramarray[0];
    var dorefresh = paramarray[1];
    var targetdiv = dojo.byId('queryrelated-cluster-div-'+formtype);
    if(!dorefresh)
        fulltextImgClick(dojo.byId('queryfulltext_clusterpatent_'+formtype));
    if(targetdiv&&targetdiv.style.display == '' && dorefresh != true)
    {
        targetdiv.style.display = 'none';
        return;
    }else
    {
    
        /*if(dojo.byId('querylist-queryresultchart-div-'+formtype))
            dojo.byId('querylist-queryresultchart-div-'+formtype).style.display = 'none';
        if(dojo.byId('querylist-queryresultstat-div-'+formtype))
            dojo.byId('querylist-queryresultstat-div-'+formtype).style.display = 'none';
        if(formtype=='SEARCH-MASTER'){
            dojo.byId('search-master-rotate-div').style.display = 'none';
        }
        */
        HiddenQueryListIcon(paramarray);
    }
    
    
    
    
    
    onSelectTypeChange(null);
   // setPageViewDisplay(null);
   
    var queryterm = (formtype == 'SEARCH-MASTER') ? dojo.byId('queryrelated-queryexp') : dojo.byId('queryrelated-queryexp_s');
    var form = (formtype == 'SEARCH-MASTER') ? dojo.byId('search-form-master') : dojo.byId('search-form-slave');
    
    targetdiv.style.display = '';
    if(targetdiv.fcsq == queryterm && targetdiv.fcidi == form.idi.value && dorefresh != true)
        return;
    targetdiv.innerHTML = c_sLoading;
    g_cluster = true;
    var url = c_sQueryFulltextCluster + '&foo=' + formtype + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"text",
                form: form,
                load: function(response, ioArgs){
	                targetdiv.innerHTML = XSLTtrans(response, c_sXslFileQueryFulltextCluster);
	                targetdiv.formtype = formtype;
	                targetdiv.fcsq = queryterm;
	                targetdiv.fcidi = form.idi.value;
	                targetdiv.rsq = null;
                    g_cluster = false;
                },
                error: function(error,ioArgs) { 
                    targetdiv.innerHTML = error.message;
                    targetdiv.rsq = null;
                    targetdiv.fcsq = null;
                    targetdiv.formtype = null;
                    g_cluster = false;
                }
            };            
    dojo.xhrPost(request);
}

function onClusterTableRowMouseOver(obj)
{
    //obj.cells[0].getElementsByTagName('div')[0].style.display = 'inline'; 
}

function onClusterTableRowMouseOut(obj)
{
    //obj.cells[0].getElementsByTagName('div')[0].style.display = 'none'; 
}

function onClusterMouseOver(obj, type)
{
    obj.style.textDecoration = 'underline';
}

function onClusterMouseOut(obj, type)
{
    obj.style.textDecoration = 'none';
}

function onClusterContextMenu(obj, type)
{
    setMenuItemVisibility(obj, type);
}

function showAllClusterWordsClick2(imgobj, type, termcount)
{
    var toexpand = (imgobj.src.indexOf('minus.gif') == -1);
    if (toexpand)
		imgobj.src = c_sImgPath+'img/minus.gif';
	else
		imgobj.src = c_sImgPath+'img/plus.gif';
	 var tr = findParentNode(imgobj, 'tr', 1);
	 
	 
	 
		if(type != 'f')
		{
			termcount = 8 - termcount;
		}
	 	
	
	for(var i=0;i<termcount;i++)
	{
	    var _tr = findSiblingAfter(tr, 'tr',1 + 2*i+2);
	    if(_tr==null)
	    {
	    	break;
	    }
	    var div = _tr.getElementsByTagName('div').length>0?_tr.getElementsByTagName('div')[0]:null;
	    
	    if(div == null)
	    {
	        continue;
	    }
	    var _prevtr = findSiblingAfter(tr, 'tr', 1 + 2*i+1); 
	    var img = _prevtr.cells[0].getElementsByTagName('img')[0];
	    if(toexpand)
	    {
	         div.style.display = '';
	         img.src = c_sImgPath+'img/minus.gif';
	    }else
	    {
	        div.style.display = 'none';
	        img.src = c_sImgPath+'img/plus.gif';
	    }
	}

}


function showAllClusterWordsClick(imgobj,num)
{
    var skip=2;
    if(num!=null)
        skip=num;
    var toexpand = (imgobj.src.indexOf('minus.gif') == -1);
    if (toexpand)
		imgobj.src = c_sImgPath+'img/minus.gif';
	else
		imgobj.src = c_sImgPath+'img/plus.gif';
    var table = findParentNode(imgobj, 'table', 2);
    for(var i = 1; i < table.rows.length; i++)
    {
        var img = table.rows[i].getElementsByTagName('table')[0].rows[0].cells[0].getElementsByTagName('img')[0];
        var div = findSiblingAfter(findParentNode(img, 'tr', skip), 'tr', 1).getElementsByTagName('div')[0];
        if (toexpand)
        {
		    img.src = c_sImgPath+'img/minus.gif';
		    div.style.display = '';
		}
	    else
	    {
		    img.src = c_sImgPath+'img/plus.gif';
		    div.style.display = 'none';
		}
		if(skip==3)
		    i++;
    }
}

function onRankByClusterIconClick(imgobj,formtype)
{
    var table = findSiblingAfter(findParentNode(imgobj,'tr',1),'tr',1).getElementsByTagName('td')[1].getElementsByTagName('table')[0];//findSiblingAfter(findParentNode(imgobj, 'td', 1), 'td', 1).getElementsByTagName('table')[0];
    var pns = '';
    for(var i = 1; i < table.rows.length; i += 2)
    {
        //var pn = dojox.data.dom.textContent(table.rows[i].cells[0]);
        var pn = table.rows[i].cells[0].innerText;
        pns += pn.replace(/,/g,"") + ' ';
    }
    if(pns.length > 0)
        pns = pns.substring(0, pns.length);
    var queryterm = '';
    /*if(dojo.byId('queryrelated-cluster-div').formtype == 'SEARCH-MASTER')
        queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp')) + ' and R/"' + pns  + '"';
    else
        queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp_s')) + ' and R/"' + pns  + '"';*/
    
    /*
    if(formtype == 'SEARCH-MASTER')
        queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp')) + ' and R/"' + pns  + '"';
    else
        queryterm = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp_s')) + ' and R/"' + pns  + '"';    
    */
    var queryID = ''
    if(formtype == 'SEARCH-MASTER')
       queryID = 'queryrelated-querycoreexp';
    else
    	 queryID = 'queryrelated-querycoreexp_s';
    queryterm = dojox.data.dom.textContent(dojo.byId(queryID));
    if (queryterm != '')
       queryterm += ' and ';
    queryterm += 'R/"' + pns  + '"';
    
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}

function onListByClusterIconClick(imgobj,formtype)
{
    var table = findSiblingAfter(findParentNode(imgobj,'tr',1),'tr',1).getElementsByTagName('td')[1].getElementsByTagName('table')[0];//findSiblingAfter(findParentNode(imgobj, 'td', 1), 'td', 1).getElementsByTagName('table')[0];
    var pns = '';
    for(var i = 1; i < table.rows.length; i += 2)
    {
        var pn = table.rows[i].cells[0].innerText;
        pns += pn.replace(/,/g,"") + ' ';
    }
    if(pns.length > 0)
        pns = pns.substring(0, pns.length);
    var queryterm = 'pns/"'+pns+'"';
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}
function showAllPatentClusterListClick(imgobj)
{
    var toexpand = (imgobj.src.indexOf('minus.gif') == -1);
    if (toexpand)
		imgobj.src = c_sImgPath+'img/minus.gif';
	else
		imgobj.src = c_sImgPath+'img/plus.gif';
    var table = findParentNode(imgobj, 'table', 1);
    for(var i = 2; i < table.rows.length; i += 2)
    {
        var img = table.rows[i].cells[0].getElementsByTagName('img')[0];
        var div = findSiblingAfter(findParentNode(img, 'tr', 1), 'tr', 1);//.getElementsByTagName('div')[0];
        if (toexpand)
        {
		    img.src = c_sImgPath+'img/minus.gif';
		    div.style.display = '';
		}
	    else
	    {
		    img.src = c_sImgPath+'img/plus.gif';
		    div.style.display = 'none';
		}
    }
}

function showPatentClusterListClick(imgobj)
{
    var divobj = findSiblingAfter(findParentNode(imgobj, 'tr', 1), 'tr', 1);//.getElementsByTagName('div')[0];
    if (divobj.style.display == 'none')
	{
		divobj.style.display = '';
		imgobj.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		divobj.style.display = 'none';
		imgobj.src = c_sImgPath+'img/plus.gif';
	}
}

function showClusterWordsClick(imgobj,num)
{
    var skip=2;
    if(num!=null)
        skip=num;
    var divobj = findSiblingAfter(findParentNode(imgobj, 'tr', skip), 'tr', 1).getElementsByTagName('div')[0];
    if (divobj.style.display == 'none')
	{
		divobj.style.display = '';
		imgobj.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		divobj.style.display = 'none';
		imgobj.src = c_sImgPath+'img/plus.gif';
	}
}

function onClusterClick(obj, type,evt)
{
		evt = window.event || evt;
		if(evt != null)
		{
			if(evt.shiftKey)
			{
				currentFocusInput.value = dojo.dom.textContent(obj);
				return;
			}
		}
    var queryterm = '';
    if(type == 'w')
        queryterm = c_sCONCEPT + '"' + dojox.data.dom.textContent(obj) + '"';
    else if(type == 'a')
    {
        var an = dojox.data.dom.textContent(obj);
        var word = dojox.data.dom.textContent(findParentNode(obj, 'tr', 1).cells[1].getElementsByTagName('span')[1]);
        queryterm = c_sBOOL + '"' + word + '" and ANN/"' + an + '"';
    }
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}

function doCheckedKeywordsSearchWithLang(type, guid, pn,innerpn,langdiv )
{
	
	  if(langdiv != null)
		{
			var langvalue = 3;
			var langdivobj = dojo.byId(langdiv);
			if(langdivobj!= null)
			{
				if(langdivobj.getAttribute('langvalue')=='cn')
				{
					langvalue = 12;
				}
			}
			dojo.byId('search-form-slave').idi.value = langvalue;
			
		}
    var divobj = null;
    var toppn;
    var keywords;
    if(guid == 'showpatent_tag')
        divobj = dojo.byId('patent-div-tag');
    else if(guid == 'queryrelated') 
        divobj = dojo.byId('queryrelated-keywords-tablediv');
    else if(guid=='expand-keyword')
        divobj = dojo.byId('expand-keyword-div-SEARCH-MASTER');
    else
        divobj = dojo.byId('querytab-tab-div-k-' + guid);
    if(divobj == null)
        return;
    var inputs = divobj.getElementsByTagName('input');
    var conword;
    if(type == '1')
        conword = 'and';
    else if(type == '2')
        conword = 'or';
    var queryterm = '';
    var filter = false;
    if(divobj.patentabilitytype == 'us' && getPatentNumIDI(divobj.pn) > 3)
        filter = true;
    var MAXCHECKEDCOUNT = 10;
    var checkedcount = 0;
    var keywordspans = divobj.getElementsByTagName('span');
    if(type == '1' || type == '2')
    {
        for(var i = 0; i < keywordspans.length; i++)
            if(keywordspans[i].className=='keyword')
            {
                var imgs = keywordspans[i].getElementsByTagName('img');
                if(imgs.length>0)
                {
                    if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                    {
                        var kv = keywordspans[i].getAttribute('value');
                        if(filter&&strContainChinese(kv))
                            continue;
                        if(++checkedcount>10)
                        {
                             alert(c_sERROR_QUERYTAG_KEYWORDSEARCH);
                             return;
                        }
                        queryterm = getQueryString('B',kv,queryterm,conword);
                    }
                }
            }
    }
    else //type == '3' or type == '4'//edit by seedy ,add type '5'
    {
        for(var i = 0; i < keywordspans.length; i++)
        { 
            if(keywordspans[i].className=='keyword')
            {
                var imgs = keywordspans[i].getElementsByTagName('img');
                if(imgs.length>0)
                {
                    if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                    {
                        var kv = keywordspans[i].getAttribute('value');
                        if(filter&&strContainChinese(kv))
                            continue;
                        
                        queryterm = queryterm + (queryterm == '' ? '' : ', ') + kv;
                    }
                }
            }
        }
        if(!isNullorEmpty(queryterm))
        {
            if(type == '3')
                queryterm = getQueryString(c_sC, queryterm, null, null);
            else if(type == '4')
                queryterm = getQueryString('R', queryterm, getQueryString('C', pn, null, null), 'and');
            else if(type == '5')
            {
                keywords = queryterm;
                var searchmastertable = dojo.byId('querylist-queryresult-table-SEARCH-MASTER');
                if(searchmastertable!=null && searchmastertable.style.display == '')
                {
                    var trs = searchmastertable.getElementsByTagName('tr');
                    for(var i=0;i<trs.length;i++)
                    {
                        if(trs[i].className=='querylist-light'||trs[i].className=='querylist-dark'||trs[i].className=='querylist-top')
                        {
                            var tds = trs[i].getElementsByTagName('td');
                            var firsttd = tds[0];
                            toppn = dojox.data.dom.textContent(firsttd);
                          //  alert(pn);
                            break;
                        
                        }
                    
                    }
                    queryterm = getQueryString('R',queryterm,getQueryString('PN',toppn,null,null),'and');
                        
                
                }else
                {
                   var searchmastertoptable = dojo.byId('querylist-queryresult-table-SEARCH-MASTER-TOP');
                  if(searchmastertoptable!=null && searchmastertoptable.style.display == '')
                    {
                    var trs = searchmastertoptable.getElementsByTagName('tr');
                    for(var i=0;i<trs.length;i++)
                    {
                        if(trs[i].className=='querylist-light'||trs[i].className=='querylist-dark'||trs[i].className=='querylist-top')
                        {
                            var tds = trs[i].getElementsByTagName('td');
                            var firsttd = tds[0];
                            toppn = dojox.data.dom.textContent(firsttd);
                          //  alert(pn);
                            break;
                        
                        }
                    
                    }
                    queryterm = getQueryString('R',queryterm,getQueryString('PN',toppn,null,null),'and');
                        
                
                  }else{
                    return;
                  }
                
                }
                
                
            }
        }
    }
    if(isNullorEmpty(queryterm))
        return;
    else if(queryterm.indexOf(conword) != -1)
        queryterm = '(' + queryterm + ')';
    if(type != '4' && type != '3' && type!='5' && !isNullorEmpty(pn) )
        queryterm = getQueryString('R', pn, queryterm, 'and');
   
    
   
    prepareSlaveSearch(queryterm, '#', null, null, null, null);
   
}

function onClusterClickWithLang(obj, type,evt, containmasterquery, langdiv)
{
		evt = window.event || evt;
		if(evt != null)
		{
			if(evt.shiftKey)
			{
				currentFocusInput.value = dojo.dom.textContent(obj);
				return;
			}
		}
		if(containmasterquery == null)
		{
			containmasterquery = true;
		}
		
		if(langdiv != null)
		{
			var langvalue = 3;
			var langdivobj = dojo.byId(langdiv);
			if(langdivobj!= null)
			{
				if(langdivobj.getAttribute('langvalue')=='cn')
				{
					langvalue = 12;
				}
			}
			dojo.byId('search-form-slave').idi.value = langvalue;
			
		}
		
    var queryterm = '';
    if(type == 'w')
        queryterm = c_sCONCEPT + '"' + dojox.data.dom.textContent(obj) + '"';
    else if(type == 'a')
    {
        var an = dojox.data.dom.textContent(obj);
        var word = dojox.data.dom.textContent(findParentNode(obj, 'tr', 1).cells[1].getElementsByTagName('span')[1]);
        queryterm = c_sBOOL + '"' + word + '" and ANN/"' + an + '"';
    }
    prepareSlaveSearch(queryterm, '#', null, null, null, null);
}






function onClusterIconClick(obj, type, containmasterquery, langdiv)
{
		
		if(containmasterquery == null)
		{
			containmasterquery = true;
		}
		
		if(langdiv != null)
		{
			var langvalue = 3;
			var langdivobj = dojo.byId(langdiv);
			if(langdivobj!= null)
			{
				if(langdivobj.getAttribute('langvalue')=='cn')
				{
					langvalue = 12;
				}
			}
			dojo.byId('search-form-slave').idi.value = langvalue;
			
		}
		
		
    var queryterm = '';
    if(type == 'w')
    {
        var word = findSiblingBefore(obj, 'span', 1).getAttribute('value');
        if(word != null && word != '')
        {
        }else
        {
        	word = dojo.dom.textContent(findSiblingBefore(obj, 'span', 1));
        }
        var masterquery = null;
        if(dojo.byId('queryrelated-queryexp')!=null)
	      {
	      		masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp'));
	      }
	        if(masterquery != null && masterquery != '' && containmasterquery)
	            queryterm = masterquery + ' and ' + c_sBOOL + '"' + word + '"'; 
	        else
	            queryterm = c_sBOOL + '"' + word + '"'; 	
        
        
    }
    else if(type == 'a')
    {
        var an = dojox.data.dom.textContent(findSiblingAfter(obj, 'span', 1));
        var word = dojox.data.dom.textContent(findParentNode(obj, 'tr', 1).cells[1].getElementsByTagName('span')[0]);
        queryterm = c_sCONCEPT + word + '" and ANN/"' + an + '"';
    }
    else if(type == 'r')
    {
        var word = dojox.data.dom.textContent(findSiblingBefore(obj, 'span', 1));
        
        
         var masterquery = null;
        if(dojo.byId('queryrelated-querycoreexp')!=null)
	      {
	      		masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp'));
	      }
	        if(masterquery != null && masterquery != '' && containmasterquery)
	            queryterm = masterquery + ' and ' + c_sRANK + '"' + word + '"'; 
	        else
	            queryterm = c_sRANK + '"' + word + '"'; 	
       }
    prepareSlaveSearch(queryterm, '#', null, null, null, null);
}

function doFulltextClusterKeywordsSearch(fromtype, searchtype)
{
    if(fromtype != 'SEARCH-MASTER' && fromtype != 'SEARCH-SLAVE')
    {
        return;
    }
    var clusterdiv = dojo.byId('fulltextcluster_'+fromtype);
    var relation = dojo.byId('fulltextcluster_and_'+fromtype).checked?' and ':' or ';
    var keywordspans = clusterdiv.getElementsByTagName('span');
    var queryterm = '';
    var checkedcount = 0;
    for (var i=0;i<keywordspans.length;i++){
    if(keywordspans[i].className=='keyword')
            {
                var imgs = keywordspans[i].getElementsByTagName('img');
                if(imgs.length>0)
                {
                    if(imgs[0].src.indexOf('img/cancel.gif')!=-1)
                    {
                        var kv = keywordspans[i].getAttribute('value');
                       // if(filter&&strContainChinese(kv))
                         //   continue;
                        if(++checkedcount>10)
                        {
                             alert(c_sERROR_QUERYTAG_KEYWORDSEARCH);
                             return;
                        }
                        queryterm = getQueryString(searchtype,kv,queryterm,relation);
                    }
                }
            }
            }
     prepareSlaveSearch(queryterm, -1, null, null, null, null);
    
}

function expandKeywordDown(evt, val)
{
	var keyEvent = evt || window.event;
	if(evt.keyCode == 13)
	{
		expandKeyword(val,true);
	}
}