﻿function loadHistorylist()
{
    var divid = 'historylistdiv';
    var targetdiv = dojo.byId(divid);
    targetdiv.innerHTML = c_sLoading;
    var request = {
    	url:c_sHistoryList + '&random=' + Math.random(),
    	handleAs:"text",
	    load: function(response, ioArgs){
	        dojo.byId('history-historylist-unlogin').style.display = 'none';
	        targetdiv.innerHTML = XSLTtrans(response, c_sXslFileHistoryList);
	        dojo.byId('history-historylist').style.display = '';
	    },
      error: function(error, ioArgs) 
      {
      	alert("loadHistorylist has error");
      	targetdiv.innerHTML = error.message; 
     	}
    };
    dojo.xhrGet(request);
}
/*
function ChangeHistoryType(type)
{
    dojo.byId('history-div-historytype-h').style.display = (type == 'h' ? '' : 'none');
    dojo.byId('history-div-historytype-b').style.display = (type == 'b' ? '' : 'none');
    if(type == 'h')
        loadHistorylist();
    else
    {
        loadBookmarkHistory();
        dojo.byId('history-bookmark-fromdate').value = '';
        dojo.byId('history-bookmark-todate').value = '';
    }
}
*/
function getHistoryPatents()
{
    var timevalue = dojo.byId('history-selecttime').value;
    var date = new Date();
    var today = new Date(date.getFullYear(), date.getMonth(), date.getDate() + 1);
    var sdsValue;
    var sdeValue = today.getFullYear() + '-' + (today.getMonth() + 1) + '-' + today.getDate();
    switch(timevalue)
    {
        case '0':
            sdsValue = date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
            break;
        case '1':
            var sdate = new Date(date.getFullYear(), date.getMonth(), date.getDate() - 3);
            sdsValue = sdate.getFullYear() + '-' + (sdate.getMonth() + 1) + '-' + sdate.getDate();
            break;
        case '2':
            var sdate = new Date(date.getFullYear(), date.getMonth(), date.getDate() - 7);
            sdsValue = sdate.getFullYear() + '-' + (sdate.getMonth() + 1) + '-' + sdate.getDate();
            break;
        case '3':
            var sdate = new Date(2000, 1, 1);
            sdsValue = sdate.getFullYear() + '-' + (sdate.getMonth() + 1) + '-' + sdate.getDate();
            break;
    }
    var form = dojo.byId('search-form-slave');
    form.sds.value = sdsValue;
    form.sde.value = sdeValue;
    prepareSlaveSearch('SHOWHISTORY', -1, null, null, null, null);
}

function showHistory(historyid)
{
    var divobj = dojo.byId('historylist-hidden-div-' + historyid);
    var imgNode = dojo.byId('historylist-img-' + historyid);
	if (divobj.style.display == 'none')
	{
		divobj.style.display = '';
		imgNode.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		divobj.style.display = 'none';
		imgNode.src = c_sImgPath+'img/plus.gif';
		 return;
	}
	
    divobj.innerHTML = c_sLoading;
    var url = c_sShowHistory + '&iid=' + historyid + '&random=' + Math.random();
    
    var request = {
    	url:url,
    	handleAs: "text",
    	load: function(response, ioArgs){
				divobj.innerHTML = XSLTtrans(response, c_sXslFileShowHistory);
			},
			error: function(error, ioArgs) { divobj.innerHTML = error.message; }
		};
		dojo.xhrGet(request);       
}

//function showDiv(guid)
//{
//    var divNode = dojo.byId('searchhistory-div-' + guid);
//    var imgNode = dojo.byId('searchhistory-img-' + guid);
//	if (divNode.style.display == 'none')
//	{
//		divNode.style.display = '';
//		imgNode.src = 'img/minus.gif';
//	}
//	else
//	{
//		divNode.style.display = 'none';
//		imgNode.src = 'img/plus.gif';
//	}
//}

function showDiv(imgNode, divindex)
{
    var divNode;
    if(divindex == 1)
        divNode = imgNode.parentNode.parentNode.nextSibling.getElementsByTagName('div')[0];
    else if(divindex == 2)
        divNode = imgNode.parentNode.parentNode.nextSibling.nextSibling.getElementsByTagName('div')[0];
	if (divNode.style.display == 'none')
	{
		divNode.style.display = '';
		imgNode.src = c_sImgPath+'img/minus.gif';
	}
	else
	{
		divNode.style.display = 'none';
		imgNode.src = c_sImgPath+'img/plus.gif';
	}
}

function onBrowseHistoryClick(obj,pn,guid)
{
//    var divid = 'searchhistory-hidden-div-' + guid;
//    showHiddenTr(divid, pn);
    var divobj = obj.parentNode.parentNode.nextSibling.getElementsByTagName('div')[0];
    showHiddenTrByDivObj(divobj, pn)
}

function onBrowseHistoryMouseOver(obj)
{
    obj.style.textDecoration = "underline";
}

function onBrowseHistoryMouseOut(obj)
{
    obj.style.textDecoration = "none";
}

function onSearchHistoryClick(obj)
{
    var caseName = obj.getAttribute("currentcase");
    var selectobj = dojo.byId('search-bookmark-select');
    if(caseName==null||caseName=='')
    {
        if(selectobj!=null)
        {
           prepareSlaveSearch(dojox.data.dom.textContent(obj).toString(), -1, null, null, null, null);
        }
    }else
    {
        if(selectobj!=null)
        {
            if(selectobj.value != caseName)
            {
                
                var optionNum = selectobj.options.length;
                for(var i=0;i<optionNum;i++)
                {
                    if(selectobj.options[i].value == caseName)
                    {
                        var casetype = selectobj.getAttribute('casetype');
                        selectobj.value = caseName;
                       // dojo.byId('search-bookmark-delete').style.display = (selectobj.value == 'Temp' || selectobj.value == -1 || casetype == 2 ? 'none' : '');
                        dojo.byId('search-bookmark-delete').style.display = (selectobj.value == -1 || casetype == 2 ? 'none' : '');
                        dojo.byId('search-bookmark-and').style.display = (selectobj.value == -1 ? 'none' : '');
                        dojo.byId('search-bookmark-or').style.display = (selectobj.value == -1 ? 'none' : '');
                        dojo.byId('search-bookmark-andnot').style.display = (selectobj.value == -1 ? 'none' : '');
                        dojo.byId('search-bookmark-save').style.display = (selectobj.value == -1 || casetype == 2 ? 'none' : '');
                        dojo.byId('search-bookmark-tempexpand-img').style.display = (selectobj.value == 'Temp' ? '' : 'none');
                        var targetdiv = dojo.byId('quickbookmarklist-tablediv');
                        if(targetdiv == null)
                            return;
                        var currentBookmark = caseName;
                        var form = document.createElement('form');
                        if(currentBookmark != -1)
                        {
                            var input = document.createElement('textarea');
                            input.name = 'sn';
                            input.value = currentBookmark;
                            form.appendChild(input);
                        }
                        else
                        {
                            targetdiv.innerHTML = '';
                            prepareAddNewBookmark();
                            return;
                        }
                        targetdiv.innerHTML = c_sLoading;
                        var url =  c_sBookmarkGet_Quick + '&random=' + Math.random();
                        if(currentBookmark == 'Temp' && dojo.byId('search-bookmark-tempexpand-img').src.indexOf('close-5.gif') != -1)
                            url += '&fooTemp=1';    
                        url += '&fooCaseType=' + casetype+'&it='+casetype;
                        var request = {
                            url:url,
                            handleAs:"text",
                            form:form,
                            load:function(response,ioArgs){
                                targetdiv.innerHTML = XSLTtrans(response, c_sXslFileBookmarkGet_Quick);
                                prepareSlaveSearch(dojox.data.dom.textContent(obj).toString(), -1, null, null, null, null);
                            },error:function(type,error){
                                alert(error.message);
                            }
                        };
                        dojo.xhrPost(request);
                        break;
                        
                    }
                }
                
                
            }else
            {
                prepareSlaveSearch(dojox.data.dom.textContent(obj).toString(), -1, null, null, null, null);
            }
        }
    }

}

function onSearchHistoryMouseOver(obj)
{
    obj.style.textDecoration = "underline";
}

function onSearchHistoryMouseOut(obj)
{
    obj.style.textDecoration = "none";
}

function ChangeHistoryType(type)
{
    dojo.byId('history-div-historytype-h').style.display = (type == '1' ? '' : 'none');
    dojo.byId('history-div-historytype-b').style.display = (type == '2' ? '' : 'none');
    dojo.byId('historyimg-1').src = c_sHISTORY_1_IMG;
    dojo.byId('historyimg-2').src = c_sHISTORY_2_IMG;
   switch(type)
    {
        case '1':
            dojo.byId('historyimg-1').src = c_sHISTORY_1_ACTIVE_IMG;
            loadHistorylist();
            break;
        case '2':
             dojo.byId('historyimg-2').src = c_sHISTORY_2_ACTIVE_IMG;
             loadBookmarkHistory();
             dojo.byId('history-bookmark-fromdate').value = '';
             dojo.byId('history-bookmark-todate').value = '';
             break;
      
    }
  

}
