﻿function doDocumentAdd()
{
    var formid = 'documentupdate-newdocument-form';
    var form = dojo.byId(formid);
    if(form.idoc.checked)
        form.ido.value = 1;
    else
        form.ido.value = 0;
    var name = dojo.string.trim(form.sn.value);
    var content = dojo.string.trim(form.sc.value);
    var claim  = dojo.string.trim(form.scl.value);
    
    //edit by seedy begin
    var abst = dojo.string.trim(form.sab.value);
    if(name == '' && content == '')
    {
        alert(c_sERROR_DOCUMENT_ADDDOCUMENT_NAMECONTENTEMPTY);
        return;
    }
    var request = {
        url:c_sDocumentAdd + '&random=' + Math.random(),
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_DOCUMENT_ADDDOCUMENT + ret.Error);
		    }
		    else
		    {
		        var docPN = 'U' + (ret.ipn % 256);
		        loadDocument(docPN);
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);
}

function loadDocument(docPN)
{
    var divid = 'document-documentlist';
    var targetdiv = dojo.byId(divid);
    
    var documentit = 1;
    var stradio = dojo.byId('documentget-st-1');
    if(stradio != null)
        documentit = (stradio.checked ? 1 : 2);
    targetdiv.documentit = documentit;
    targetdiv.innerHTML = c_sLoading;
    var url = c_sDocumentGet + '&it=' + documentit + '&fooit=' + documentit + '&random=' + Math.random();
    if(!isNullorEmpty(docPN))
        url += '&fooRecentPN=' + docPN;
    var request = {
        url:url,
        handleAs:"text",
	    load: function(response, ioArgs){
	        targetdiv.innerHTML = XSLTtrans(response, c_sXslFileDocumentGet);
	        targetdiv.setAttribute('getpns',1);
	        var stradio = dojo.byId('documentget-st-' + targetdiv.documentit);
	        if(stradio != null)
	            stradio.checked = true;
	        
	    },
        error: function(error,ioArgs) { targetdiv.innerHTML = error.message; }
    };
    dojo.xhrGet(request);
}

function onDocumentNameClick(documentid)
{
    var divid = 'document-update-hidden-div-' + documentid;
    var divobj = dojo.byId(divid);
    if(divobj == null)
        return;
    if(divobj.style.display == '')
    {
        divobj.style.display = 'none';
        return;
    }
    else
        divobj.style.display = '';
    divobj.innerHTML = c_sLoading;
    var request = {
        url:c_sDocumentGetJson + '&iid=' + documentid + '&random=' + Math.random(),
        handleAs:"json",        
        load: function(ret, ioArgs){
	            if(ret.Error != null)
		            alert(ret.Error);
		        else if(ret.DocumentList.length > 0)
		            divobj.innerHTML = '<table width="100%"><tr><td align="left">Claim:</td></tr><tr><td><textarea type="text" rows="20" style="width:98%" >' + ret.DocumentList[0].Claim + '</textarea></td></tr><tr><td align="left">Fulltext:' + '</td></tr><tr><td><textarea type="text" rows="20" style="width:98%" >' + ret.DocumentList[0].Content + '</textarea></td></tr></table>';
		        else
		            divobj.innerHTML = '';
        },
        error: function(error,ioArgs) {divobj.innerHTML = error.message; }
    };
    dojo.xhrGet(request);
}

function prepareAddDocument()
{
    var divid = 'documentupdate-div-documentupdate';
    var divobj = dojo.byId(divid);
    if(divobj.style.display == '')
        divobj.style.display = 'none';
    else
    {
        divobj.style.display = '';
        var uploaddocument = dojo.byId('doc_upload');
        if(uploaddocument!=null)
            uploaddocument.style.display='';
    }
}

function cancelDocumentAdd()
{
    var formid = 'documentupdate-newdocument-form';
    var form = dojo.byId(formid);
    form.sn.value = '';
    form.sc.value = '';
    var divid = 'documentupdate-div-documentupdate';
    dojo.byId(divid).style.display = 'none';    
}

function getCheckedDocumentIds()
{
    var sids = '';
    var tableid = 'document-update-table';
    var tableobj = dojo.byId(tableid);
    if(tableobj == null)
        return sids;
    for(var i = 3; i < tableobj.rows.length; i += 3)
    {
        var checkbox = tableobj.rows[i].cells[tableobj.rows[i].cells.length - 1].getElementsByTagName('input')[0];
        if(checkbox != null && checkbox.checked)
            sids += checkbox.value + '~';
    }
    if(sids != '')
        sids = sids.substring(0, sids.length - 1);
    return sids;
}


function doCheckAllDocuments()
{
    var tableid = 'document-update-table';
    var tableobj = dojo.byId(tableid);
    if(tableobj == null)
        return;
    var titlecheckbox = tableobj.rows[2].cells[tableobj.rows[2].cells.length - 1].getElementsByTagName('input')[0];
    for(var i = 3; i < tableobj.rows.length; i += 3)
    {
        var checkbox = tableobj.rows[i].cells[tableobj.rows[i].cells.length - 1].getElementsByTagName('input')[0];
        if(checkbox != null)
            checkbox.checked = titlecheckbox.checked;
    }
}

function doDocumentDelete(documentid)
{
    var table = dojo.byId('document-documenttable');
    var spl = '';
    for(var i = 1; i < table.rows.length; i += 2)
    {
        var checkbox = table.rows[i].cells[6].getElementsByTagName('input')[0];
        if(checkbox.checked)
            spl += checkbox.value + ';';
    }
    if(isNullorEmpty(spl))
        return;
    if(confirm(c_sCONFIRM_DOCUMENT_REMOVEDOCUMENT) == false)
        return;
    var url = c_sDocumentDelete + '&spl=' + spl + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"json",
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_PROJECT_DELETEPROJECT + ret.Error);
		    }
		    else
		    {
		        loadDocument();
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrGet(request);
}

function prepeareDocumentUpdate(documentid)
{
    var namedivid = 'document-update-name-hidden-div-' + documentid;
    var namespanid = 'document-update-name-span-' + documentid;
    var authordivid = 'document-update-author-hidden-div-' + documentid;
    var authorspanid = 'document-update-author-span-' + documentid;
    var datedivid = 'document-update-date-hidden-div-' + documentid;
    var datespanid = 'document-update-date-span-' + documentid;
    var imgid = 'document-update-img-' + documentid;
    var namedivobj = dojo.byId(namedivid);
    var namespanobj = dojo.byId(namespanid);
    var authordivobj = dojo.byId(authordivid);
    var authorspanobj = dojo.byId(authorspanid);
    var datedivobj = dojo.byId(datedivid);
    var datespanobj = dojo.byId(datespanid);
    var imgobj = dojo.byId(imgid);
    namedivobj.style.display = 'inline';
    namespanobj.style.display = 'none';
    authordivobj.style.display = 'inline';
    authorspanobj.style.display = 'none';
    datedivobj.style.display = 'inline';
    datespanobj.style.display = 'none';
    imgobj.style.display = 'none';
    onDocumentNameClick(documentid);
}

function cancelDocumentUpdate(documentid)
{
    var namedivid = 'document-update-name-hidden-div-' + documentid;
    var namespanid = 'document-update-name-span-' + documentid;
    var authordivid = 'document-update-author-hidden-div-' + documentid;
    var authorspanid = 'document-update-author-span-' + documentid;
    var datedivid = 'document-update-date-hidden-div-' + documentid;
    var datespanid = 'document-update-date-span-' + documentid;
    var imgid = 'document-update-img-' + documentid;
    var namedivobj = dojo.byId(namedivid);
    var namespanobj = dojo.byId(namespanid);
    var authordivobj = dojo.byId(authordivid);
    var authorspanobj = dojo.byId(authorspanid);
    var datedivobj = dojo.byId(datedivid);
    var datespanobj = dojo.byId(datespanid);
    var imgobj = dojo.byId(imgid);
    namedivobj.style.display = 'none';
    namespanobj.style.display = '';
    authordivobj.style.display = 'none';
    authorspanobj.style.display = '';
    datedivobj.style.display = 'none';
    datespanobj.style.display = '';
    imgobj.style.display = '';
    onDocumentNameClick(documentid)
}

function doDocumentUpdate(documentid)
{
    var name = dojo.string.trim(dojo.byId('document-update-name-hidden-input-' + documentid).value);
    var claim = dojo.string.trim(dojo.byId('document-update-hidden-div-' + documentid).getElementsByTagName('textarea')[0].innerHTML);
    var content = dojo.string.trim(dojo.byId('document-update-hidden-div-' + documentid).getElementsByTagName('textarea')[1].innerHTML);
    var author = dojo.string.trim(dojo.byId('document-update-author-hidden-input-' + documentid).value);
    var date = dojo.string.trim(dojo.byId('document-update-date-hidden-input-' + documentid).value);
    if(name == '' && content == '')
    {
        alert(c_sERROR_DOCUMENT_ADDDOCUMENT_NAMECONTENTEMPTY);
        return;
    }
    var form = document.createElement('form');
    var inputiid = document.createElement('input');
    inputiid.name = 'iid';
    inputiid.value = documentid;
    form.appendChild(inputiid);
    var inputsn = document.createElement('textarea');
    inputsn.name = 'sn';
    inputsn.value = name;
    form.appendChild(inputsn);
    var inputsc = document.createElement('textarea');
    inputsc.name = 'sc';
    inputsc.value = content;
    form.appendChild(inputsc);
    var inputscl = document.createElement('textarea');
    inputscl.name = 'scl';
    inputscl.value = claim;
    form.appendChild(inputscl);
    var inputsa = document.createElement('textarea');
    inputsa.name = 'sa';
    inputsa.value = author;
    form.appendChild(inputsa);
    var inputdate = document.createElement('textarea');
    inputdate.name = 'swt';
    inputdate.value = date;
    form.appendChild(inputdate);
    var request = {
        url:c_sDocumentUpdate + '&random=' + Math.random(),
        handleas:"json",
        form: form,
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		    {
		        alert(c_sERROR_DOCUMENT_UPDATEDOCUMENT + ret.Error);
		    }
		    else
		    {
		        alert(c_sSUCCESS_DOCUMENT_UPDATEDOCUMENT);
		        loadDocument();
		    }  	    
	    },
        error: function(error,ioArgs) {  }
    };
    dojo.xhrPost(request);
}

function onDocumentGetTableClick(obj)
{
    var suffix = '##' + dojox.data.dom.textContent(obj);
    prepareSlaveSearch(c_sCONCEPT + suffix, -1, null, null, null, null);
}

function onDocumentTableCheckboxClick(checkbox)
{
    var table = dojo.byId('document-documenttable');
    for(var i = 1; i < table.rows.length; i += 2)
    {
        table.rows[i].cells[6].getElementsByTagName('input')[0].checked = checkbox.checked;
    }
}