function initComboBoxDataUrl(idArray, urlArray, fieldArray)
{
    for( var i = 0; i < idArray.length; i++)
    {
        var widget = dijit.byId(idArray[i]);
        widget._setValueField(fieldArray[i]);
        widget.store._setSearchUrlPattern(urlArray[i],fieldArray[i]);
        
    }
}
function setComboBoxDataUrl(selectobj)
{
    var widget1 = dijit.byId(selectobj.id + '-value');
    var selectedvalue = selectobj.value;
    if(selectedvalue == 'AN' || selectedvalue == 'ANN')
    {
        widget1._setValueField('ANList');
        widget1.store._setSearchUrlPattern(c_sCheckAN,'ANList');
    }
    else if(selectedvalue == 'CCL')
    {
        widget1._setValueField('CCLList');
        widget1.store._setSearchUrlPattern(c_sCheckCCL,'CCLList');
    }
    else if(selectedvalue == 'B' || selectedvalue == 'KW' || selectedvalue == 'R' || selectedvalue == 'TTL' || selectedvalue == 'ABST' || selectedvalue == 'ACLM' || selectedvalue == 'SPEC')
    {
        widget1._setValueField('KWList');
        widget1.store._setSearchUrlPattern(c_sCheckKW,'KWList');
    }
    else
    {
        widget1._setValueField('');
        widget1.store._setSearchUrlPattern(c_sCheckKW,'');
    }
}

function initBooleanInput()
{
    var sourceselect = dojo.byId('booleaninput-select-1');
    if(sourceselect == null)
        return;
    for(var selectindex = 2; selectindex < 5; selectindex++)
    {
        var destselect = dojo.byId('booleaninput-select-' + selectindex);
        for(var i = 0; i < sourceselect.options.length; i++)
        {
            var option = document.createElement('OPTION');
            option.text = sourceselect.options[i].text;
            option.value = sourceselect.options[i].value;
            if(i == 0)
                option.selected = true;
            destselect.options.add(option);
        }
    }
}

function doSearchByAdvancedInput()
{
    var queryterm = dojo.byId('search-advanceinput-input').value;
    if(!isNullorEmpty(queryterm))
        prepareMasterSearch(queryterm, -1, -1, null, null, null);
}

function resetAdvancedInput()
{
    dojo.byId('search-advanceinput-input').value = '';
}

function doSearchByBooleanInput()
{
    var queryterm = '';
    for(var i = 1; i < 5; i++)
    {
        var term = dijit.byId('booleaninput-select-' + i + '-value').value;
        if(!isNullorEmpty(term))
        {
            var type = dojo.byId('booleaninput-select-' + i).value;
            if(type == 'CCL')
            {
                var pos = term.indexOf(' ');
                if(pos != -1)
                    term = term.substring(0, pos);
            }
            var log = ((i == 1) ? '':dojo.byId('booleaninput-select-andor-' + i).value);
            queryterm += normalize(type, term, log);
        }
    }
    if(queryterm != '')
    {
        queryterm = queryterm.substring(queryterm.substring(1, queryterm.length).indexOf(' ') + 2, queryterm.length);
        prepareMasterSearch(queryterm, -1, -1, null, null, null);
    }    
}

function resetBooleanInput()
{
    for(var i = 1; i < 5; i++)
    {
        dojo.byId('booleaninput-select-' + i).value = 'B';
        dijit.byId('booleaninput-select-' + i + '-value').value = '';
        dojo.byId('booleaninput-select-' + i + '-value').value = '';
        if(i > 1)
            dojo.byId('booleaninput-select-andor-' + i).value = 'and';
    }
}

function doWizardInputSearch()
{
    var queryterm = '';
    var term = dijit.byId('wizardsearch-conceptinput-value').value;
    if(!isNullorEmpty(term))
        queryterm += normalize(c_sC, term, null);
    term = dijit.byId('wizardsearch-booleaninput-value').value;
    if(!isNullorEmpty(term))
        queryterm += normalize(dojo.byId('wizardsearch-booleaninput').value, term, null);
    term = dijit.byId('wizardsearch-otherinput-value').value;
    if(!isNullorEmpty(term))
        queryterm += normalize(dojo.byId('wizardsearch-otherinput').value, term, null);
    if(queryterm != '')
    {
        queryterm = queryterm.substring(5, queryterm.length);
        prepareMasterSearch(queryterm, -1, -1, null, null, null);
    }
}



