﻿<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>

	<xsl:template match="Foo"></xsl:template>
  <xsl:template match="QueryFilter"></xsl:template>
  <xsl:template match="ShowPN"></xsl:template>
	<xsl:template match="ConceptFlag"></xsl:template>
	<xsl:template match="Fooconceptflag"></xsl:template>
	<xsl:template match="ConceptTerm"></xsl:template>
  <xsl:template match="Footype"></xsl:template>
	<xsl:template match="Total"></xsl:template> 
    <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
    <xsl:template match="Other"></xsl:template>
  <xsl:template match="Color"></xsl:template>
  <xsl:template match="ColorList"></xsl:template>
  <xsl:template match="BookmarkNumber"></xsl:template>
  <xsl:template match="BookmarkName"></xsl:template>
  <xsl:template match="FooShowPN"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="ChangedQuery"></xsl:template>
  <xsl:template match="SpellSuggestQuery"></xsl:template>
  <xsl:template match="QueryExp"></xsl:template>
  <xsl:template match="ap"></xsl:template>
  <xsl:template match="Threshold"></xsl:template>
  <xsl:template match="RankCount"></xsl:template>
  <xsl:template match="ChangeLan"></xsl:template>
  <xsl:template match="isd"></xsl:template>
  <xsl:template match="ck"></xsl:template>
  <xsl:template match="LegalStatus"></xsl:template>
  <xsl:template match="QueryHistoryItem"></xsl:template>
  <xsl:template match="Database"></xsl:template>
  <xsl:template match="bk"></xsl:template>
	<xsl:template match="Wordrel"></xsl:template>
  <xsl:template match="ct"></xsl:template>
  <xsl:template match="ref"></xsl:template>
  <xsl:template match="fam"></xsl:template>
  <xsl:template match="WithCount"></xsl:template>
	<xsl:template match="lsd"></xsl:template>
  <xsl:template match="icls"></xsl:template>
  <xsl:template match="sd"></xsl:template>
  <xsl:template match="iHighCnt"></xsl:template>
	<xsl:template match="UcTitle">
    <div id="ucInfoDiv" style="display:none"></div>
  </xsl:template>
  <xsl:template match="UCType">
    <div id="uctype" style="display:none">
      <xsl:value-of select="."/>
    </div>
  </xsl:template>
  <xsl:template match="SortType">
    <div id="sttype" style="display:none">
      <xsl:value-of select="."/>
    </div>
  </xsl:template>
  

  <xsl:template match="RelatedList">  
  		<table>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">Related concepts:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<!--<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>-->
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  <!--	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>-->
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  				  <br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<!--<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>-->
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="6 &lt; position()">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<!--<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>-->
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">


	   <xsl:choose>

		   <xsl:when test ="starts-with(., 'SS')">
			   <td>
				   <xsl:choose>
					   <xsl:when test ="../Other = ''">
						   <span>
							   <xsl:value-of select="."/>
						   </span>
					   </xsl:when>
					   <xsl:otherwise>

					   </xsl:otherwise>
				   </xsl:choose>
			   </td>
		   </xsl:when>
		   <xsl:otherwise>
	   <td  >

		   <xsl:if test="(../PN) &gt; 3574860 or (../PN) &lt; 60000 ">
			   <span class="p">
               <xsl:attribute name="onclick">viewFullTextFromPN('<xsl:value-of select="normalize-space(../p)" />',this);</xsl:attribute>
				   <xsl:if test="normalize-space(/Result/UcTitle)= 'Count' and normalize-space(../uc)= '0'">
					   <xsl:attribute name="style">color:white</xsl:attribute>
				   </xsl:if>
           <xsl:attribute name="pn">
             <xsl:value-of select="normalize-space(../p)" />
           </xsl:attribute>
           <xsl:if test="count(../ap) =0">
                <xsl:value-of select="normalize-space(.)" />
              </xsl:if>
              <xsl:if test="count(../ap) =1">
                <xsl:value-of select="normalize-space(../ap)" />
              </xsl:if>
			   </span>
			   <xsl:text>&#160;</xsl:text>
			   <img src="html/img/pdf2.gif" class="d">
				   <xsl:attribute name="onclick">
					   external.ViewPdf(<xsl:value-of select="normalize-space(../PN)" />)
				   </xsl:attribute>
			   </img>
			   <xsl:text>&#160;</xsl:text>
			   <img src="html/img/full.gif" class="d">
           <xsl:choose>
             <xsl:when test="(../PN) &gt; 30000000 or (../PN) &lt; 20200000 ">
               <xsl:attribute name="onclick">external.ViewFullText('<xsl:value-of select="normalize-space(../p)" />');</xsl:attribute>
             </xsl:when>
             <xsl:otherwise>
               <xsl:attribute name="onclick">external.ViewFullText('<xsl:value-of select="normalize-space(../p)" />_EN');</xsl:attribute>
             </xsl:otherwise>
           </xsl:choose>
			   </img>

		   </xsl:if>

		   <xsl:if test="(../PN) &lt; 3574861 and (../PN) &gt; 60000 ">
			   <span>
				   <xsl:value-of select="normalize-space(.)" />
			   </span>
		   </xsl:if>
   </td>
		   </xsl:otherwise>
		   </xsl:choose>
  </xsl:template> 
   
  <xsl:template match="t">
	  <td>
			  <span class="qt">
				  <xsl:attribute name="onclick">
					  view('<xsl:value-of select="../ID"/>',this);
				  </xsl:attribute>
				  <xsl:value-of select="normalize-space(.)" />
			  </span>
   </td> 
  </xsl:template>
	<xsl:template name="rankDisplay">
		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			<xsl:choose>
				<xsl:when test="normalize-space(Key) = 'r'">
					<td>
						
					</td>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
  <xsl:template match="ad">
    <td>
      <xsl:value-of select="normalize-space(.)" />
    </td>
	  <xsl:if test="count(../r) =0">
		  <xsl:call-template   name="rankDisplay">
		  </xsl:call-template>
	  </xsl:if>
  </xsl:template>

  <xsl:template   name="ucDisplay">
    <xsl:param   name="param1"/>
    <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
      <xsl:choose>
        <xsl:when test="normalize-space(Key) = 'u'">
          <td>
            <xsl:value-of select="$param1" />
          </td>
        </xsl:when>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
  
  <xsl:template match="uc">
    <xsl:call-template   name="ucDisplay">
      <xsl:with-param   name="param1"   select="."/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="r">
    <xsl:if test="count(/Result/DisplayFieldList/DisplayField) &gt; 7">
		<td>
					<xsl:value-of select="normalize-space(.)" /><xsl:if test="count(/Result/RankCount)=0">%</xsl:if>
		</td>
    </xsl:if>
	</xsl:template>

  <xsl:template match="aList">
    <td>
      <xsl:apply-templates />
    </td>
  </xsl:template>
  <xsl:template match="a">
    <xsl:if test="count(//aList)=0">
      <td>
        <xsl:if test="normalize-space(.) != ''">
          <xsl:value-of select="normalize-space(.)" />
        </xsl:if>
        <xsl:if test="normalize-space(.) = ''">
        </xsl:if>
      </td>
    </xsl:if>
    <xsl:if test="count(//aList)>0">
      <xsl:if test="normalize-space(.) != ''">
        <xsl:value-of select="normalize-space(.)" />
      </xsl:if>
      <xsl:if test="normalize-space(.) = ''">

      </xsl:if>
      <xsl:if test="position() != last()"> | </xsl:if>
    </xsl:if>
  </xsl:template>

  <xsl:template match="i"> 							
			<xsl:value-of select="normalize-space(.)" />
    <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
	  <td>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
	   <xsl:choose>
		   <xsl:when test="contains(normalize-space(Key),'/')">
			   <xsl:value-of select="substring-before(normalize-space(Key),'/')" />
		   </xsl:when>
		   <xsl:otherwise>
			   <xsl:value-of select="normalize-space(Key)" />
		   </xsl:otherwise>
	   </xsl:choose>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="n">
		<td>
      <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
					<xsl:value-of select="normalize-space(.)" />
			</span>
		</td> 
	</xsl:template> 


  <xsl:template match="e">
	  <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 										
			<xsl:value-of select="normalize-space(.)" />
			
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>	  	 							
			<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
   </td> 
  </xsl:template> 

  
  <xsl:template match="PatentList">
    <table>
    	<xsl:if test="/Result/Foo = 'SEARCH-MASTER' or /Result/Foo = 'SEARCH-SLAVE'">
    		<xsl:attribute name="style">border:1px solid #808080;background-color:white</xsl:attribute>
    	</xsl:if>
      <xsl:attribute name="id">querylist-queryresult-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      <xsl:if test="normalize-space(/Result/Classsuffix) = ''"><xsl:attribute name="cellspacing">2</xsl:attribute></xsl:if>
      <xsl:if test="normalize-space(/Result/Classsuffix) != ''"><xsl:attribute name="cellspacing">0</xsl:attribute></xsl:if>
   		<xsl:attribute name="class">querylist-contenttable<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      <tbody id="tbody">
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
	   		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
  	 			<td style="cursor:pointer"> 
  	 			<xsl:choose>
  	 			<xsl:when test="normalize-space(Key) = 't'"><xsl:attribute name="onclick">external.SortPatents(2);</xsl:attribute></xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'a'"><xsl:attribute name="onclick">external.SortPatents(3);</xsl:attribute></xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'i'"><xsl:attribute name="onclick">external.SortPatents(4);</xsl:attribute></xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'"><xsl:attribute name="onclick">external.SortPatents(5);</xsl:attribute></xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'l'"><xsl:attribute name="onclick">external.SortPatents(6);</xsl:attribute></xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'p'"><xsl:attribute name="onclick">external.SortPatents(1);</xsl:attribute></xsl:when>
  	 			    <xsl:when test="normalize-space(Key) = 'r'"><xsl:attribute name="onclick">external.SortPatents(7);</xsl:attribute></xsl:when>
  	 			    <xsl:when test="normalize-space(Key) = 'd'"><xsl:attribute name="onclick">external.SortPatents(8);</xsl:attribute></xsl:when>
  	 			    <xsl:when test="normalize-space(Key) = 'u'"><xsl:attribute name="onclick">external.SortPatents(10);</xsl:attribute></xsl:when>
  	 			<xsl:otherwise>
  	 			</xsl:otherwise>
  	 			</xsl:choose>
  	 				<xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="style">cursor:pointer;width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute></xsl:if>
  	 				<xsl:choose> 
  	 					<xsl:when test="normalize-space(Key) = 'p'">
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								<xsl:attribute name="align">left</xsl:attribute>
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '0', null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'" >PN</xsl:if>
						</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 't'">Title</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'a'">Assignee</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'i'">Inventors</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'">Class</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'w'">Index Word</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'n'">Count</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'e'">Examiner</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'l'">ICL</xsl:when>
              <xsl:when test="normalize-space(Key) = 'd'">APD</xsl:when>
              <xsl:when test="normalize-space(Key) = 'u'"><xsl:value-of select="normalize-space(/Result/UcTitle)" /></xsl:when>
						  <xsl:when test="normalize-space(Key) = 'r'">
							  <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								  <xsl:attribute name="align">left</xsl:attribute>   	
								  <span class="sortedColumn">
									  <xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '1', null, null)</xsl:attribute>   
									  Rank
								  </span>
								  <img src="img/sort.gif" style="display:none">
									  <xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								  </img>
							  </xsl:if>
							  <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'">
                  <xsl:if test="count(/Result/RankCount)=0">Rank</xsl:if>
                  <xsl:if test="count(/Result/RankCount)!=0">Count</xsl:if>
                </xsl:if>
						  </xsl:when>
  	 					<xsl:otherwise>Other</xsl:otherwise>
  	 				</xsl:choose>
   				</td>
   			</xsl:for-each>
        <td width="10px">
          <span style="cursor:pointer" onclick="external.SortPatents(9);">Sel</span>
        </td>
 			</tr> 
 			<xsl:for-each select="Patent">
 			 <tr>
         <xsl:attribute name="pnid">
           <xsl:value-of select="normalize-space(./ID)" />
         </xsl:attribute>
         <xsl:if test="normalize-space(./uc)= '0'">
           <xsl:choose>
             <xsl:when test="normalize-space(/Result/UCType)='1'">
               <xsl:choose>
                 <xsl:when test="normalize-space(./Color)='#00ff00'">
                   <xsl:attribute name="style">background-color:Red;color:white</xsl:attribute>
                 </xsl:when>
                 <xsl:when test="normalize-space(./Color)='#0000ff'">
                   <xsl:attribute name="style">background-color:#cc0000;color:white</xsl:attribute>
                 </xsl:when>
                 <xsl:otherwise>
                   <xsl:attribute name="style">background-color:Red;color:white</xsl:attribute>
                 </xsl:otherwise>
               </xsl:choose>
               <xsl:attribute name="c">red</xsl:attribute>
             </xsl:when>
             <xsl:when test="normalize-space(/Result/UCType)='0' or normalize-space(/Result/UCType)='5'">
               <xsl:choose>
                 <xsl:when test="normalize-space(./Color)='#00ff00'">
                   <xsl:attribute name="style">background-color:Green;color:white</xsl:attribute>
                 </xsl:when>
                 <xsl:when test="normalize-space(./Color)='#0000ff'">
                   <xsl:attribute name="style">background-color:#00b000;color:white</xsl:attribute>
                 </xsl:when>
                 <xsl:otherwise>
                   <xsl:attribute name="style">background-color:Green;color:white</xsl:attribute>
                 </xsl:otherwise>
               </xsl:choose>
               <xsl:attribute name="c">green</xsl:attribute>
             </xsl:when>
             <xsl:when test="normalize-space(/Result/UCType)='2'">
               <xsl:attribute name="style">background-color:Green;color:white</xsl:attribute>
             </xsl:when>
             <xsl:when test="normalize-space(/Result/UCType)='3'">
               <xsl:attribute name="style">background-color:Red;color:white</xsl:attribute>
             </xsl:when>
           </xsl:choose>
         </xsl:if>
         <xsl:if test="normalize-space(p) = normalize-space(/Result/ShowPN)">
           <xsl:attribute name="class">querylist-showpn</xsl:attribute>
           <xsl:attribute name="style">overflow:auto</xsl:attribute>
         </xsl:if>
         <xsl:if test="normalize-space(p) != normalize-space(/Result/ShowPN)">
				  <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
					  <xsl:if test="normalize-space(/Result/Foo)!='SEARCH-SLAVE'">
 			 			  <xsl:if test="position() mod 2 = 0">
 			 			   <xsl:attribute name="class">d<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 			  </xsl:if>
 			 			  <xsl:if test="position() mod 2 != 0">
 			 			   <xsl:attribute name="class">l<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 			  </xsl:if>
					  </xsl:if>
				  </xsl:if>
				  <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
					   <xsl:attribute name="class">querylist-top</xsl:attribute>
				  </xsl:if>
           <xsl:if test="normalize-space(Color) != '' and count(/Result/UCType) = 0">
             <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
             <xsl:attribute name="Color"><xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
           </xsl:if>
        </xsl:if>
 			 	<xsl:apply-templates />
         <td>
           <xsl:attribute name="style">background-color:#<xsl:value-of select="normalize-space(bk)"/></xsl:attribute>
           <input type="checkbox" onclick="ck(this);">
           <xsl:attribute name="ipn"><xsl:value-of select="normalize-space(PN)"/></xsl:attribute>
           <xsl:attribute name="pn"><xsl:value-of select="normalize-space(p)"/> </xsl:attribute>
           <xsl:attribute name="apn"><xsl:value-of select="normalize-space(ap)"/></xsl:attribute>
           <xsl:attribute name="id">ck<xsl:value-of select="position()"/></xsl:attribute>
           <xsl:if test="ck= 1">
              <xsl:attribute name="checked"></xsl:attribute>
            </xsl:if>
         </input></td>
 			 </tr>
        <tr width="100%" style="display:none">
          <xsl:attribute name="class">qh<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
          <td align="center" width="100%">
            <xsl:attribute name="colspan"><xsl:number value="count(/Result/DisplayFieldList/DisplayField)+1"/></xsl:attribute>
            <div style="width:100%;align:left">
              <xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
            </div>
          </td>
        </tr>
 			</xsl:for-each>
      </tbody>
 		</table>
	</xsl:template>

	<xsl:template match="Result">
		<input type="hidden" id="changedquery">
		<xsl:attribute name="value"><xsl:value-of select="ChangedQuery"/></xsl:attribute>
		
		</input>
		<input type="hidden" id="suggestedquery">
			<xsl:attribute name="value">
				<xsl:value-of select="SpellSuggestQuery"/>
			</xsl:attribute>
		</input>
		<input type="hidden">
		  <xsl:attribute name="id">queryexp</xsl:attribute>
			<xsl:attribute name="value">
			<xsl:value-of select="QueryExp"/>
			</xsl:attribute>
			
		</input>
		<div style="display:none" id="resultparamdiv">
		<xsl:attribute name="conceptterm"><xsl:value-of select="normalize-space(/Result/ConceptTerm)"/></xsl:attribute>
      <xsl:attribute name="showpn"><xsl:value-of select="normalize-space(/Result/ShowPN)" /></xsl:attribute>
      <xsl:value-of select="normalize-space(/Result/ID)" />
    </div> 
		 <span style="display:none">
			 <xsl:attribute name="id">querylist-result-total-span<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			 <xsl:value-of select="normalize-space(/Result/Total)" />
		 </span>
    <div id="operate-history-div" style="display:none;position: absolute; visibility: visible; z-index: 998; padding: 3px; border: 1px solid black; background: none repeat scroll 0% 0% white; left: 10px; top: 40px; width:400px;">
    <table width="100%" align="center">
      <tr>
        <td colspan="3" align="center">
          <b>Operator History</b>
        </td>
        <td align="right">
          <img onmouseover="this.src='html/img/close-active.gif'" onmouseout="this.src='html/img/close.gif'" src="html/img/close.gif" alt="Close" title="Close" onclick="closediv('operate-history-div');" class="imglink"/>
        </td>
      </tr>
      <tr>
        <td>
          Query Expression
        </td>
        <td>Operator</td>
        <td>Source Count</td>
        <td>Result Count</td>
      </tr>
      <xsl:if test="count(/Result/QueryHistory)=0">
        <tr>
          <td>
            <span onmouseover="onQueryTableMouseOver(this);" onmouseout="onQueryTableMouseOut(this);" style="cursor:pointer;color:blue;">
              <xsl:attribute name="onclick">window.external.SearchFromRightView('<xsl:value-of select="normalize-space(/Result/QueryExp)" />','<xsl:value-of select="normalize-space(/Result/Database)" />');</xsl:attribute>
              <xsl:attribute name="title"><xsl:value-of select="normalize-space(/Result/QueryExp)" /></xsl:attribute>
            <xsl:if test="string-length(normalize-space(/Result/QueryExp)) &lt; 30">
              <xsl:value-of select="normalize-space(/Result/QueryExp)" />
            </xsl:if>
            <xsl:if test="string-length(normalize-space(/Result/QueryExp))  &gt; 29">
              <xsl:value-of select="concat(substring(normalize-space(/Result/QueryExp), 0, 30),'...')" />
            </xsl:if>
            </span>
          </td>
          <td>NEW</td>
          <td>
            <xsl:value-of select="count(/Result/PatentList/Patent)" />
          </td>
          <td>
            <xsl:value-of select="count(/Result/PatentList/Patent)" />
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="count(/Result/QueryHistory)&gt;0">
        <xsl:for-each select="/Result/QueryHistory/QueryHistoryItem">
          <tr>
            <td>
              <span  onmouseover="onQueryTableMouseOver(this);" onmouseout="onQueryTableMouseOut(this);" style="cursor:pointer;color:blue;">
                <xsl:attribute name="onclick">window.external.SearchFromRightView('<xsl:value-of select="normalize-space(QueryExpr)" />','<xsl:value-of select="normalize-space(DB)" />');</xsl:attribute>
                <xsl:attribute name="title"><xsl:value-of select="normalize-space(/Result/QueryExp)" /></xsl:attribute>
                <xsl:if test="string-length(normalize-space(QueryExpr)) &lt; 30">
                  <xsl:value-of select="normalize-space(QueryExpr)" />
                </xsl:if>
                <xsl:if test="string-length(normalize-space(QueryExpr))  &gt; 29">
                  <xsl:value-of select="concat(substring(normalize-space(QueryExpr), 0, 30),'...')" />
                </xsl:if>
              </span>
            </td>
            <td>
              <xsl:value-of select="Relation"/>
            </td>
            <td>
              <xsl:value-of select="Count"/>
            </td>
            <td>
              <xsl:value-of select="RCount"/>
            </td>
          </tr>
        </xsl:for-each>
      </xsl:if>
    </table>
    </div>
		<table>
			<xsl:attribute name="class">querylist-summary<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<tr>
				<td align="left">
					<span>
						<xsl:choose>
							<xsl:when test = "/Result/ConceptFlag = 1">
								Most Relevant <span id="patent-number-span"><xsl:value-of select="count(/Result/PatentList/Patent)" /></span> results:	
							</xsl:when>
							<xsl:otherwise>
								<span id="patent-number-span"><xsl:value-of select="count(/Result/PatentList/Patent)" /></span> results:
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="/Result/Fooconceptflag = 1">
							
					
					</xsl:if>
					</span>
					<span id="basenum-div" class="printno">
						<xsl:choose>
							<xsl:when test="normalize-space(/Result/UCType)='1' or normalize-space(/Result/UCType)='3'">
								<xsl:attribute name="style">background-color:Red;color:white</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="style">background-color:Green;color:white</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</span>
					<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					<span id="othernum-div" class="printno">
					</span>
          <span id="basenum-div2" class="print">
            <xsl:choose>
              <xsl:when test="normalize-space(/Result/UCType)='1' or normalize-space(/Result/UCType)='3'">
                <xsl:attribute name="style">background-color:Red;color:white</xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="style">background-color:Green;color:white</xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </span>
          <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
          <span id="othernum-div2" class="print">
          </span>
          <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
          <span id="rank-div" class="printno">
          </span>
					<xsl:if test="normalize-space(/Result/Footype) = '1' or normalize-space(/Result/Footype) = '2'">
						<div style="display:none">
							<xsl:attribute name="id">querytab-beforeafterdate-div-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />
							</xsl:attribute>
						</div>
					</xsl:if>
					<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT') and /Result/Total > 0">
            </xsl:if>
				</td>
				        <td align="right">
                  <img alt="Compare Picture" title="Compare Picture" src="html/img/showpatent.gif" class="imglink" onmouseover="this.src='html/img/showpatent-active.gif'" onmouseout="this.src='html/img/showpatent.gif'" onclick="showComparePicture();"/>
                  <img alt="operate history" title="operate history" src="html/img/operateHistory.gif" class="imglink" onmouseover="this.src='html/img/operateHistory-active.gif'" onmouseout="this.src='html/img/operateHistory.gif'" onclick="showOperateHistory();"/>
                  <img id="changeBKColor-img" alt="set color" title="set color" src="html/img/color.gif" class="imglink" onmouseover="this.src='html/img/color-active.gif'" onmouseout="this.src='html/img/color.gif'" onclick="changeBkColor();"/>
                  <select class="selectproject"  style="display:none" onchange="onChangeColor(this)" id="hidden-select-color">
                    <option style='background:white' value='' select='' ></option>
                    <option style='background:white' value='close' select='' >Close</option>
                    <option style='background:white' value='' select='selected' >None</option>
                    <option style='background:#FFFF00' value='#FFFF00'></option>
                    <option style='background:#FFCC33' value='#FFCC33'></option>
                    <option style='background:#FF9900' value='#FF9900'></option>
                    <option style='background:#9900FF' value='#9900FF'></option>
                    <option style='background:#33CCFF' value='#33CCFF'></option>
                    <option style='background:#00FFFF' value='#00FFFF'></option>
                    <option style='background:#00CCCC' value='#00CCCC'></option>
                    <option style='background:#0033FF' value='#0033FF'></option>
                    <option style='background:#3300CC' value='#3300CC'></option>
                    <option style='background:#CC00CC' value='#CC00CC'></option>
                    <option style='background:#FF00FF' value='#FF00FF'></option>
                    <option style='background:#3399FF' value='#3399FF'></option>
                  </select>
                  <img alt="cyclic" id="cyclic-img" style="display:none" title="cyclic" src="html/img/cyclic.gif" class="imglink" onmouseover="this.src='html/img/cyclic-active.gif'" onmouseout="this.src='html/img/cyclic.gif'" onclick="checkReduplication();"/>
                  <img style="display:none" id="reservedAnalysis-img" alt="Analysis Inventor" title="Analysis Inventor" src="html/img/match.gif" class="imglink" onmouseover="this.src='html/img/match-active.gif'" onmouseout="this.src='html/img/match.gif'" onclick="doReservedAnalysis();"/>
                  <img style="display:none" id="cluster-img" alt="Cluster Result" title="Cluster Result" src="html/img/odcluster.gif" class="imglink" onmouseover="this.src='html/img/odcluster-active.gif'" onmouseout="this.src='html/img/odcluster.gif'" onclick="doCluster();"/>
                  <img style="display:none" id="reverse-img" alt="Reverse Result" title="Reverse Result" src="html/img/od.gif" class="imglink" onmouseover="this.src='html/img/od-active.gif'" onmouseout="this.src='html/img/od.gif'" onclick="doReverse();"/>
                  <img alt="Search in Local" title="Search in Local" src="html/img/refine.gif" class="imglink" onmouseover="this.src='html/img/refine-active.gif'" onmouseout="this.src='html/img/refine.gif'" onclick="showSecondSearch();"/>
                  <img alt="result filter" title="result filter" src="html/img/filter.gif" class="imglink" onmouseover="this.src='html/img/filter-active.gif'" onmouseout="this.src='html/img/filter.gif'" onclick="window.external.ShowResultFilter(1);"/>
                  <img alt="result analysis" title="result analysis" src="html/img/i-analyse.gif" class="imglink" onmouseover="this.src='html/img/i-analyse-active.gif'" onmouseout="this.src='html/img/i-analyse.gif'" onclick="window.external.OpenAnalyseDialog();"/>
                  <!--<img alt="export to excel" title="export to excel" src="html/img/excel.gif" class="imglink" onmouseover="this.src='html/img/excel-active.gif'" onmouseout="this.src='html/img/excel.gif'" onclick="exportToExcel('You don\'t select any patent!\nDo you want to export all?');"/>-->
                  <img alt="upload patents" title="upload patents" src="html/img/uploadpatent.gif" class="imglink" onmouseover="this.src='html/img/uploadpatent-active.gif'" onmouseout="this.src='html/img/uploadpatent.gif'" onclick="saveToProject('You don\'t select any patent!\nDo you want to import all?');"/>
                  <img class="imglink" onmouseover="this.src='html/img/delete-active.gif'" onmouseout="this.src='html/img/delete.gif'" src="html/img/delete.gif" title="Delete" onclick="deletedpg()"/>
                  <img class="imglink" id="sortTypeImg" alt="Sort Checked" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="html/img/check.gif" onclick="checkSortCheckboxImg(this);"/>
                  <img class="imglink" alt="invert check" onmouseover="imgInvertCheckboxOver(this)" onmouseout="imgInvertCheckboxOut(this)" src="html/img/invertcheck.gif" onclick="checkInvertCheckboxImg(this);"/>
                  <img onmouseover="this.src='html/img/expandall-active.gif'" onmouseout="this.src='html/img/expandall.gif'" src="html/img/expandall.gif" alt="Expand all checked tabs" title="Expand all checked tabs" onclick="expandAll(this,'');" class="imglink" id="expand-all"/>
                  <img onmouseover="this.src='html/img/close-active.gif'" onmouseout="this.src='html/img/close.gif'" src="html/img/close.gif" alt="Close all checked tabs" title="Close all checked tabs" onclick="expandAll(this,'none');" class="imglink" id="close-all"/>
                  <img class="imglink" alt="check all" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="html/img/check.gif" onclick="checkCheckboxImg(this);"/>
        </td>
			</tr>
		</table>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
      <div style="display:none">
        <xsl:attribute name="id">querylist-queryresultstat-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
		<div style="display:none">
			<xsl:attribute name="id">querylist-patentmap-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			<div align="right">
        <table>
          <td>
            <input type="radio" value="keyword" checked="true" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-keyword" onclick="doPatentMap('SEARCH-MASTER','radio')">
              KeyWord
            </input>
            <input type="radio" value="pn" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-pn" onclick="doPatentMap('SEARCH-MASTER','radio')">
              Patent
            </input>
          </td>
          <td>
           <!-- <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="closeSwf('SEARCH-MASTER');" class="imglink" align="right" style="vertical-align:middle;"></img>-->
          </td>
        </table>
			</div>
			<div style="z-index:-1">
				<xsl:attribute name="id">querylist-patentmap-div-swf-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			</div>
		</div>

	</xsl:if>
	<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
		<div style="display:none">
			
				<xsl:attribute name="id">querylist-queryresultchart-div-<xsl:value-of select="normalize-space(/Result/Foo)" />
				</xsl:attribute>
			<div style="border:1px solid rgb(128,128,128)">
				<table width="100%"  cellspacing="0" cellpadding="0" >
					<tr>
						<td align="center">
							<span  class="statistic-time-label">Unit:</span>
							<select class="smallcombo" id="statistic-itselect" >
								<option value="-1"  selected="true">Year</option>
								<option value="-2">Quarter</option>
								<option value="-3">Month</option>
							</select>
							<span  class="statistic-time-label">Size:</span>
							<select class="smallcombo" id="statistic-sizeselect" >
								<option value="1" selected="true">600*400</option>
								<option value="2">800*600</option>
								<option value="3">1024*768</option>
							</select>
							<input class="querylist-addtop-button" type="button" value="Set" onclick="openQueryFulltextDrawing(true);"/>
						</td>
						<td align="right">
							<!--<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="openQueryFulltextDrawing();" class="imglink" style="margin-right:3px"></img>-->
						</td>
					</tr>


				</table>
				<div id="statistic-picdiv" style="padding-top:2px"></div>

			</div>
			<br/>
		</div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
      <div parseWidgets="false" id="search-master-rotate-div" style="display:none" >
        <!--<div align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="prepareRotate();" class="imglink" />
        </div>-->
        <table cellpadding="2" cellspacing="2" width="100%" style="border:1px solid rgb(128,128,128)">
           	<tr width="100%">
        <td align="right">
         <!-- <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="prepareRotate();" class="imglink" />-->
        </td>
      </tr>
          <tr>
            <td align="center">
              <input class="querylist-pn-input" type="text" id="search-master-rotate-input" onfocus="onInputFocus(this)"/>
              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-fromclaim-checkbox" />by Claim
              <!--<img class="imglink" onmouseover="this.src='img/big-add-active.gif'" onmouseout="this.src='img/big-add.gif'" src="img/big-add.gif" title="Add patent index words or new words" alt="Add patent index words or new words" onclick="addQueryResultStatKeywords();" />-->

              <!--<div id="rotatekeywords-container-div" class="combobox" style="background-color:White; ">
                <span typevalue="1" class="combobox" id="rotatekeywords-display-span" onmouseover="onSearchTypeMouseOver(this);" style="color:Gray" onmouseout="onSearchTypeMouseOut(this)" onclick="onRotateKeywordsDisplayClick(this);">Click to select words...</span>
                <img alt="" id="rotatekeywords-display-img" class="combobox" onmouseover="this.src='img/combobox-arrow-active.gif'" onmouseout="this.src='img/combobox-arrow.gif'" src="img/combobox-arrow.gif" onclick="onRotateKeywordsDisplayClick(this.previousSibling);"/>
              </div>

              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-withterm-checkbox" />with Term
              <img class="imglink" onmouseover="this.src='newstyle/img/search-rotate-active.gif'" onmouseout="this.src='newstyle/img/search-rotate.gif'" src="newstyle/img/search-rotate.gif" title="Rotate search" alt="Rotate search" onclick="doSearchMasterRotateSearch();" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-and-active.gif'" onmouseout="this.src='newstyle/img/search-and.gif'" src="newstyle/img/search-and.gif" title="AND search" alt="AND search" onclick="doRotateBookmarkSearch(1);" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-or-active.gif'" onmouseout="newstyle/img/search-or-active.gif" src="newstyle/img/search-or-active.gif" title="OR search" alt="OR search" onclick="doRotateBookmarkSearch(2);" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-andnot-active.gif'" onmouseout="this.src='newstyle/img/search-andnot-active.gif'" src="newstyle/img/search-andnot-active.gif" title="ANDNOT search" alt="ANDNOT search" onclick="doRotateBookmarkSearch(3);" />-->
            </td>
          </tr>
          <tr>
            <td align="center">
              <div parseWidgets="false" id="search-master-rotate-bookmark-div">
              </div>
            </td>
          </tr>
        </table>
		  <br/>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
     
        <div parseWidgets="false"  style="display:none;">
          <xsl:attribute name ="id">queryrelated-cluster-div-<xsl:value-of select="normalize-space(/Result/Foo)"/>
        </xsl:attribute>
        </div>
     
    </xsl:if>
    <xsl:apply-templates />
  </xsl:template>
	<xsl:template match="PageList"></xsl:template>

  <xsl:template match="/">
    <HTML>
      <HEAD>
          <TITLE></TITLE>
          <link href="css/querylist.css" rel="stylesheet" type="text/css" />
          <link href="css/index.css" rel="stylesheet" type="text/css" />
        <link href="css/print.css" rel="stylesheet" media="print" type="text/css"/>
          <script type="text/javascript" src="JavaScript/common.js"></script>
        <style type="text/css">
        body {font-size:8pt}
        td {font-size:8pt}

        </style>
        <script type="text/javascript">
          var querytext =  '<xsl:value-of select="normalize-space(/Result/QueryExp)" />';
        </script>
      </HEAD>
      <BODY style="overflow-y:auto" onload="queryPatentNumber()" onkeydown= "printDocument2()" class="printbody">
        <div id="title" class="title"></div>
        <div class="title">
          <br/>
        </div>
        <div id="comment" class="comment"></div>
        <div class="title"><br/></div>
 	    <div class="print" id="inventor">
		  <div class="table-title" id="inventor-table-title" align="center"></div>
		  <table class="print" id="inventor-table" align="center">
            <tr style="font:bold">
              <td width="28%">Inventor 1</td>
              <td width="28%">Inventor 2</td>
              <td width="14%">Link</td>
              <td width="10%" align="center">c1</td>
              <td width="10%" align="center">c2</td>
              <td width="10%" align="center">c12</td>
            </tr>
          </table>
          <div class="title"><br/></div>
        </div>
        <div id="inventorInfo" class="inventor" align="center"></div>
	    <div class="print" id="inventorCross"></div>
		<div class="print" id="analysePIC"></div>
		<div class="print" id="clusterWord"></div>
		<div id="clientPatent"  style="font-size: 8pt;">
          <xsl:apply-templates />
        </div>


      </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
