﻿<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="*|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="Abstract">
    <xsl:apply-templates />
  </xsl:template>
  <xsl:template match="MainClaim">
    <xsl:apply-templates />
  </xsl:template>
  <xsl:template match="br">
    <br />
  </xsl:template>

  <xsl:template match="/">
    <xsl:apply-templates select="Result"></xsl:apply-templates>
  </xsl:template>

  <xsl:template match="ptable">
    <center>
      <div class="ptable" style="word-wrap:break-word; overflow:hidden;">
        <xsl:value-of select="." disable-output-escaping="yes" />
      </div>
    </center>
  </xsl:template>
  <xsl:template match="Result">
    <div class='ab' style='broder:1px solid #065F6C; text-align:justify'><strong>Abstract:</strong>
      <xsl:apply-templates select='Abstract'/>
    </div>
    <xsl:if test="string-length(normalize-space(MainClaim)) &gt; 0">
      <div class='mc' style="width:100%;word-wrap:break-word; overflow:hidden;"><strong>MainClaim:</strong>
        <xsl:apply-templates select='MainClaim'/>
      </div>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>

